2,CREATE TABLE SYSTSYST (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SYSTVER         varchar    (16)    NULL,
        SYSTDESC        varchar    (40)    NULL,
        SYSTLANGUE      smallint           NULL,
        SYSTDIR         varchar   (128)    NULL,
        SYSTMODIF       datetime           NULL,
        CREATIONDATE    datetime           NULL,
        LASTMODIFDATE   datetime           NULL,
        SYSTNOTES       text               NULL,
        NBMODIF         int                NULL,
        UPDSEQ          int                NULL,
        USRCODE         varchar    (16)    NULL);
2,CREATE UNIQUE INDEX I_SYSTSYST ON SYSTSYST (APPSYSTNAME);
2,CREATE TABLE SYSTSECTION (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        SECTNAME        varchar    (16)    NOT NULL,
        SECTFULLNAME    varchar    (40)    NOT NULL,
        SECTCREATION    datetime           NULL,
        LASTMODIFDATE   datetime           NULL,
        FATHERSECT      varchar    (16)    NULL,
        SECTDESC        text               NULL);
2,CREATE UNIQUE INDEX I_SYSTSECTION ON SYSTSECTION (APPSYSTNAME,SECTFULLPATH);
2,CREATE UNIQUE INDEX I_SYSTSECTION2 ON SYSTSECTION (APPSYSTNAME,SECTNAME);
2,CREATE TABLE SYSTAPP (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPNAME         varchar    (16)    NOT NULL,
        APPSUBSYSTNAME  varchar    (16)    NOT NULL,
        APPAUTHOR       varchar    (40)    NULL,
        APPVERSION      varchar     (6)    NULL,
        APPCREATION     datetime           NULL,
        APPMODIF        datetime           NULL,
        APPFUNCTION     int                NULL,
        APPLOCK         smallint           NULL,
        APPMENUNAME     varchar    (16)    NULL,
        APPDEFQV        varchar    (16)    NOT NULL,
        APPDEFQH        varchar    (16)    NULL,
        APPDEFIMP       varchar    (16)    NULL,
        APPDEFLST       varchar    (16)    NULL,
        APPNOTES        text               NULL);
2,CREATE UNIQUE INDEX I_SYSTAPP ON SYSTAPP (APPSYSTNAME,SECTFULLPATH,APPNAME);
2,CREATE UNIQUE INDEX I_SYSTAPP2 ON SYSTAPP (APPSYSTNAME,APPNAME);
2,CREATE TABLE SYSTAPPTXT (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        APPFULLNAME     varchar    (40)    NOT NULL,
        APPDESC         text               NULL);
2,CREATE UNIQUE INDEX I_SYSTAPPTXT ON SYSTAPPTXT (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE);
2,CREATE UNIQUE INDEX I_SYSTAPPTXT2 ON SYSTAPPTXT (APPSYSTNAME,APPNAME,LANGUE);
2,CREATE TABLE SYSTMODULE(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        MODFULLNAME     varchar    (40)    NOT NULL,
        MODTYPE         smallint           NOT NULL,
        AUTHOR          varchar    (40)    NULL,
        CREATIONDATE    datetime           NULL,
        LASTMODIFDATE   datetime           NULL,
        ATTRSVAL        varchar  (4000)    NULL,
        MODDESC         text               NULL);
2,CREATE UNIQUE INDEX I_SYSTMODULE ON SYSTMODULE (APPSYSTNAME,SECTFULLPATH,MODNAME);
2,CREATE UNIQUE INDEX I_SYSTMODULE2 ON SYSTMODULE (APPSYSTNAME,MODNAME);
2,CREATE TABLE SYSTMODULELST(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        SEQNO           smallint           NOT NULL,
        INCSYSTNAME     varchar    (16)    NOT NULL,
        INCSECTFULLPATH varchar    (80)    NOT NULL,
        INCMODNAME      varchar    (16)    NOT NULL);
2,CREATE UNIQUE INDEX I_SYSTMODULELST ON SYSTMODULELST (APPSYSTNAME,SECTFULLPATH,MODNAME,INCSYSTNAME,INCSECTFULLPATH,INCMODNAME);
2,CREATE UNIQUE INDEX I_SYSTMODULELST2 ON SYSTMODULELST (APPSYSTNAME,MODNAME,INCSYSTNAME,INCMODNAME);
2,CREATE UNIQUE INDEX I_SYSTMODULELST3 ON SYSTMODULELST (APPSYSTNAME,MODNAME,SEQNO);
2,CREATE TABLE SYSTCOL (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        COLNAME         varchar    (30)    NOT NULL,
        COLSYNONYM      varchar    (30)    NULL,
        COLFULLNAME     varchar    (80)    NULL,
        COLTYPE         smallint           NOT NULL,
        COLMAXSIZE      smallint           NULL,
        COLNUMDEC       smallint           NULL,
        COLAUTHOR       varchar    (40)    NULL,
        COLVERSION      varchar     (6)    NULL,
        COLCREATION     datetime           NULL,
        COLMODIF        datetime           NULL,
        COLDESC         text               NULL);
2,CREATE UNIQUE INDEX I_SYSTCOL ON SYSTCOL (APPSYSTNAME,SECTFULLPATH,COLNAME);
2,CREATE UNIQUE INDEX I_SYSTCOL2 ON SYSTCOL (APPSYSTNAME,COLNAME);
2,CREATE TABLE SYSTTABLE (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        TABLENAME       varchar    (30)    NOT NULL,
        TABLEPREFIX     varchar    (30)    NULL,
        TABLESUFFIX     varchar    (30)    NULL,
        TABLEAUTHOR     varchar    (40)    NULL,
        TABLEVERSION    varchar     (6)    NULL,
        TABLECREATION   datetime           NULL,
        TABLEMODIF      datetime           NULL,
        TABLETYPE       tinyint            NOT NULL,
        TABLEDESC       text               NULL);
2,CREATE UNIQUE INDEX I_SYSTTABLE ON SYSTTABLE (APPSYSTNAME,SECTFULLPATH,TABLENAME);
2,CREATE UNIQUE INDEX I_SYSTTABLE2 ON SYSTTABLE (APPSYSTNAME,TABLENAME);
2,CREATE TABLE SYSTTABLECOL (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        TABLENAME       varchar    (30)    NOT NULL,
        COLPOS          smallint           NOT NULL,
        COLNAME         varchar    (30)    NOT NULL,
        COLPHYSNAME     varchar    (240)   NULL,
        COLNULL         tinyint            NOT NULL);
2,CREATE UNIQUE INDEX I_SYSTTABLECOL ON SYSTTABLECOL (APPSYSTNAME,SECTFULLPATH,TABLENAME,COLNAME);
2,CREATE UNIQUE INDEX I_SYSTTABLECOL2 ON SYSTTABLECOL (APPSYSTNAME,TABLENAME,COLNAME);
2,CREATE TABLE SYSTTABLEIND (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        TABLENAME       varchar    (30)    NOT NULL,
        INDEXNAME       varchar    (30)    NOT NULL,
        INDEXTYPE       tinyint            NOT NULL,
        INDEXDESC       text               NULL);
2,CREATE UNIQUE INDEX I_SYSTTABLEIND ON SYSTTABLEIND (APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME);
2,CREATE UNIQUE INDEX I_SYSTTABLEIND2 ON SYSTTABLEIND (APPSYSTNAME,TABLENAME,INDEXNAME);
2,CREATE TABLE SYSTTABLEINDCOL (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        TABLENAME       varchar    (30)    NOT NULL,
        INDEXNAME       varchar    (30)    NOT NULL,
        COLPOS          smallint           NOT NULL,
        COLNAME         varchar    (30)    NOT NULL,
        ORDERTYPE       tinyint            NOT NULL);
2,CREATE UNIQUE INDEX I_SYSTTABLEINDCOL ON SYSTTABLEINDCOL (APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME,COLNAME);
2,CREATE UNIQUE INDEX I_SYSTTABLEINDCOL2 ON SYSTTABLEINDCOL (APPSYSTNAME,TABLENAME,INDEXNAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLEINDCOL3 ON SYSTTABLEINDCOL (APPSYSTNAME,TABLENAME,INDEXNAME,COLNAME);
2,CREATE TABLE SYSTTABLEFK (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        TABLENAME       varchar    (30)    NOT NULL,
        FKNAME          varchar    (30)    NOT NULL,
        RELTABLENAME    varchar    (30)    NOT NULL,
        FKTYPE          tinyint            NOT NULL,
        FKDESC          text               NULL);
2,CREATE UNIQUE INDEX I_SYSTTABLEFK ON SYSTTABLEFK (APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME);
2,CREATE UNIQUE INDEX I_SYSTTABLEFK2 ON SYSTTABLEFK (APPSYSTNAME,TABLENAME,FKNAME);
2,CREATE TABLE SYSTTABLEFKCOL (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        TABLENAME       varchar    (30)    NOT NULL,
        FKNAME          varchar    (30)    NOT NULL,
        COLPOS          smallint           NOT NULL,
        COLNAME         varchar    (30)    NOT NULL);
2,CREATE UNIQUE INDEX I_SYSTTABLEFKCOL ON SYSTTABLEFKCOL (APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME,COLNAME);
2,CREATE UNIQUE INDEX I_SYSTTABLEFKCOL2 ON SYSTTABLEFKCOL (APPSYSTNAME,TABLENAME,FKNAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLEFKCOL3 ON SYSTTABLEFKCOL (APPSYSTNAME,TABLENAME,FKNAME,COLNAME);
2,CREATE TABLE SYSTQUEST (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        QUNAME          varchar    (30)    NOT NULL,
        COLNAME         varchar    (30)    NULL,
        QUTYPE          smallint           NOT NULL,
        QUATTR          int                NULL,
        ANSATTR         int                NULL,
        ANSMINCHR       int                NOT NULL,
        ANSMAXCHR       int                NOT NULL,
        ANSMINVALUE     numeric(10,0)      NULL,
        ANSMAXVALUE     numeric(10,0)      NULL,
        ANSNUMDEC       smallint           NULL,
        DISPFLG         int                NOT NULL,
        INPMASK         varchar   (240)    NULL,
        OUTMASK         varchar    (80)    NULL,
        CDNCMD          varchar   (240)    NULL,
        CTLTYPE         smallint           NOT NULL,
        ATTRSVAL        varchar  (4000)    NULL,
        QUNOTES         text               NULL);
2,CREATE UNIQUE INDEX I_SYSTQUEST ON SYSTQUEST (APPSYSTNAME,SECTFULLPATH,QUNAME);
2,CREATE UNIQUE INDEX I_SYSTQUEST2 ON SYSTQUEST (APPSYSTNAME,QUNAME);
2,CREATE TABLE SYSTQUESTTXT (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        QUNAME          varchar    (30)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        QUDESC          varchar    (80)    NULL,
        COLDESC1        varchar    (80)    NULL,
        COLDESC2        varchar    (80)    NULL,
        ANSCHOICE       varchar   (240)    NULL,
        ANSDEFAULT      varchar   (240)    NULL,
        QUHELP          text               NULL);
2,CREATE UNIQUE INDEX I_SYSTQUESTTXT ON SYSTQUESTTXT (APPSYSTNAME,SECTFULLPATH,QUNAME,LANGUE);
2,CREATE UNIQUE INDEX I_SYSTQUESTTXT2 ON SYSTQUESTTXT (APPSYSTNAME,QUNAME,LANGUE);
2,CREATE TABLE SYSTACTION (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        ACTIONNAME      varchar    (16)    NOT NULL,
        ACTIONFULLNAME  varchar    (40)    NOT NULL,
        ACTIONID        int                NULL,
        ACTIONCAT       int                NOT NULL,
        ACTIONSTATE     int                NOT NULL,
        ACTIONALIVE     tinyint            NULL,
        ACTIONNOTES     text               NULL);
2,CREATE UNIQUE INDEX I_SYSTACTION ON SYSTACTION (APPSYSTNAME,SECTFULLPATH,MODNAME,ACTIONNAME);
2,CREATE UNIQUE INDEX I_SYSTACTION2 ON SYSTACTION (APPSYSTNAME,MODNAME,ACTIONNAME);
2,CREATE TABLE SYSTACTIONTXT (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        ACTIONNAME      varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        TOOLTIPTEXT     varchar    (40)    NULL,
        STATUSBARTEXT   varchar    (80)    NULL,
        BUTTONTEXT      varchar    (80)    NULL,
        ACTIONFULLHELP  text               NULL);
2,CREATE UNIQUE INDEX I_SYSTACTIONTXT ON SYSTACTIONTXT (APPSYSTNAME,SECTFULLPATH,MODNAME,ACTIONNAME,LANGUE);
2,CREATE UNIQUE INDEX I_SYSTACTIONTXT2 ON SYSTACTIONTXT (APPSYSTNAME,MODNAME,ACTIONNAME,LANGUE);
2,CREATE TABLE SYSTMITEM(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        MITEMNAME       varchar    (16)    NOT NULL,
        MITEMTYPE       smallint           NOT NULL,
        ACTIONNAME      varchar    (16)    NOT NULL,
        MITEMFATHER     varchar    (16)    NULL,
        MITEMPOS        smallint           NOT NULL,
        MITEMACCEL      smallint           NULL,
        MITEMALIVE      tinyint            NOT NULL,
        MITEMATTR       smallint           NULL,
        MITEMNOTES      text               NULL);
2,CREATE UNIQUE INDEX I_SYSTMITEM ON SYSTMITEM (APPSYSTNAME,SECTFULLPATH,MODNAME,MITEMNAME);
2,CREATE UNIQUE INDEX I_SYSTMITEM2 ON SYSTMITEM (APPSYSTNAME,MODNAME,MITEMNAME);
2,CREATE TABLE SYSTMITEMTXT(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        MITEMNAME       varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        MITEMTEXT       varchar    (40)    NULL);
2,CREATE UNIQUE INDEX I_SYSTMITEMTXT ON SYSTMITEMTXT (APPSYSTNAME,SECTFULLPATH,MODNAME,MITEMNAME,LANGUE);
2,CREATE UNIQUE INDEX I_SYSTMITEMTXT2 ON SYSTMITEMTXT (APPSYSTNAME,MODNAME,MITEMNAME,LANGUE);
2,CREATE TABLE SYSTMENULIST (
        APPOWNSYSTNAME  varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPSYSTNAME     varchar    (16)    NOT NULL,
        APPSUBSYSTNAME  varchar    (16)    NOT NULL,
        MENUPOS         int                NOT NULL,
        MENUPROG        varchar   (128)    NULL,
        ACCESSCAT       smallint           NOT NULL,
        PRGTYPE         tinyint            NULL,
        PROTECPRGID     varchar    (16)    NULL,
        MENUNOTES       text               NULL);
2,CREATE UNIQUE INDEX I_SYSTMENULIST ON SYSTMENULIST (APPOWNSYSTNAME,SECTFULLPATH,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS);
2,CREATE UNIQUE INDEX I_SYSTMENULIST2 ON SYSTMENULIST (APPOWNSYSTNAME,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS);
2,CREATE INDEX I_SYSTMENULIST3 ON SYSTMENULIST (APPSYSTNAME,APPSUBSYSTNAME,MENUPOS);
2,CREATE TABLE SYSTMENULISTTXT (
        APPOWNSYSTNAME  varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPSYSTNAME     varchar    (16)    NOT NULL,
        APPSUBSYSTNAME  varchar    (16)    NOT NULL,
        MENUPOS         int                NOT NULL,
        LANGUE          smallint           NOT NULL,
        MENUDESC        varchar    (40)    NULL);
2,CREATE UNIQUE INDEX I_SYSTMENULISTTXT ON SYSTMENULISTTXT (APPOWNSYSTNAME,SECTFULLPATH,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE);
2,CREATE UNIQUE INDEX I_SYSTMENULISTTXT2 ON SYSTMENULISTTXT (APPOWNSYSTNAME,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE);
2,CREATE INDEX I_SYSTMENULISTTXT3 ON SYSTMENULISTTXT (APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE);
2,CREATE TABLE SYSTHELPSYST (
        LANGUE          smallint           NOT NULL,
        SUBFATHER       varchar    (16)    NOT NULL,
        SUBNAME         varchar    (16)    NOT NULL,
        SUBDESC         text               NULL);
2,CREATE TABLE SYSTHELPPROC (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        SUBFATHER       varchar    (16)    NOT NULL,
        SUBNAME         varchar    (16)    NOT NULL,
        SUBDESC         text               NULL);
2,CREATE TABLE APPSTR (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        STRNAME         varchar    (64)    NOT NULL,
        STRNAMECASE     varchar    (64)    NULL,
        STRTYPE         tinyint            NOT NULL,
        STRLONGNAME     varchar    (80)    NULL,
        STRDESC         text               NULL);
2,CREATE UNIQUE INDEX I_APPSTR ON APPSTR (APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,STRTYPE,STRNAME);
2,CREATE UNIQUE INDEX I_APPSTR2 ON APPSTR (APPSYSTNAME,MODNAME,LANGUE,STRTYPE,STRNAME);
2,CREATE TABLE APPBLOB (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        BLOBNAME        varchar    (64)    NOT NULL,
        BLOBDESC        text               NULL);
2,CREATE UNIQUE INDEX I_APPBLOB ON APPBLOB (APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,BLOBNAME);
2,CREATE UNIQUE INDEX I_APPBLOB2 ON APPBLOB(APPSYSTNAME,MODNAME,LANGUE,BLOBNAME);
2,CREATE TABLE APPBLOBDATA (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        BLOBNAME        varchar    (64)    NOT NULL,
        BLOBSEQNO       int                NOT NULL,
        BLOBDATA        image              NULL);
2,CREATE UNIQUE INDEX I_APPBLOBDATA ON APPBLOBDATA (APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,BLOBNAME,BLOBSEQNO);
2,CREATE UNIQUE INDEX I_APPBLOBDATA2 ON APPBLOBDATA (APPSYSTNAME,MODNAME,LANGUE,BLOBNAME,BLOBSEQNO);
2,CREATE TABLE APPMACRO (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        MACROUNIQUENAME varchar    (32)    NOT NULL,
        MACRONAME       varchar    (32)    NOT NULL,
        MACROTYPE       smallint           NOT NULL,
        MACROACCESS     smallint           NOT NULL,
        MACRORELNAME    varchar    (32)    NOT NULL,
        MACRODESC       varchar   (240)    NULL,
        MACROACCKEY     int                NULL,
        MACROSQLCMD     text               NULL);
2,CREATE UNIQUE INDEX I_APPMACRO ON APPMACRO (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,MACROUNIQUENAME);
2,CREATE UNIQUE INDEX I_APPMACRO2 ON APPMACRO(APPSYSTNAME,APPNAME,LANGUE,MACROUNIQUENAME);
2,CREATE TABLE APPMACROQUEST (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        MACROUNIQUENAME varchar    (32)    NOT NULL,
        MACRONAME       varchar    (32)    NULL,
        QUNAME          varchar    (30)    NOT NULL,
        QUINDEX         smallint           NOT NULL,
        QUTABLE         varchar    (30)    NULL,
        QUDESC          varchar    (80)    NULL,
        QUDEFANS        varchar    (80)    NULL,
        QUSUBST         varchar    (30)    NULL);
2,CREATE UNIQUE INDEX I_APPMACROQUEST ON APPMACROQUEST (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,MACROUNIQUENAME,QUNAME);
2,CREATE UNIQUE INDEX I_APPMACROQUEST2 ON APPMACROQUEST (APPSYSTNAME,APPNAME,LANGUE,MACROUNIQUENAME,QUNAME);
2,CREATE TABLE MODHTMLFILE(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        HTMLFILENAMEUC  varchar    (255)   NOT NULL,
        HTMLFILENAME    varchar    (255)   NOT NULL,
        HTMLOPT         int                NOT NULL,
        ISMULTILANGUAGE smallint           NOT NULL,
        HTMLFILEDESC    text               NULL,
        ATTRSVAL        varchar  (4000)    NULL);
2,CREATE UNIQUE INDEX I_MODHTMLFILE ON MODHTMLFILE(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC);
2,CREATE UNIQUE INDEX I_MODHTMLFILE2 ON MODHTMLFILE(APPSYSTNAME,MODNAME,HTMLFILENAMEUC);
2,CREATE TABLE MODHTMLFILEASSIGN(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        HTMLFILENAMEUC  varchar    (255)   NOT NULL,
        HTMLFORMNAME    varchar    (255)   NOT NULL,
        HTMLCTLNAME     varchar    (255)   NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        FLDNAME         varchar    (30)    NOT NULL,
        ASSIGNTYPE      smallint           NOT NULL);
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN ON MODHTMLFILEASSIGN(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN2 ON MODHTMLFILEASSIGN(APPSYSTNAME,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);
2,CREATE TABLE MODGRP (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        TABLENAME       varchar    (30)    NULL,
        ATTRSVAL        varchar  (4000)    NULL,
        GRPDESC         text               NULL);
2,CREATE UNIQUE INDEX I_MODGRP ON MODGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME);
2,CREATE UNIQUE INDEX I_MODGRP2 ON MODGRP(APPSYSTNAME,MODNAME,GRPNAME);
2,CREATE TABLE MODGRPTXT (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        GRPHELP         text               NULL);
2,CREATE UNIQUE INDEX I_MODGRPTXT ON MODGRPTXT(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE);
2,CREATE UNIQUE INDEX I_MODGRPTXT2 ON MODGRPTXT(APPSYSTNAME,MODNAME,GRPNAME,LANGUE);
2,CREATE TABLE APPQUEST (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        QUINDEX         smallint           NOT NULL,
        QUNAME          varchar    (30)    NOT NULL,
        TABLENAME       varchar    (30)    NULL,
        QUSTATE         int                NOT NULL,
        DISPFLG         int                NULL,
        SQLNAME         varchar    (64)    NULL,
        LISTSQLNAME     varchar    (64)    NULL,
        INPMASK         varchar   (240)    NULL,
        OUTMASK         varchar    (80)    NULL,
        ATTRSVAL        varchar  (4000)    NULL,
        CDNCMD          varchar   (240)    NULL);
2,CREATE UNIQUE INDEX I_APPQUEST ON APPQUEST (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME);
2,CREATE UNIQUE INDEX I_APPQUEST2 ON APPQUEST (APPSYSTNAME,MODNAME,GRPNAME,QUNAME);
2,CREATE TABLE APPQUESTTXT (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        QUNAME          varchar    (30)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        QUDESC          varchar    (80)    NULL,
        ANSMAXDISPCHR   smallint           NOT NULL,
        QUATTR          int                NULL,
        ANSATTR         int                NULL,
        QUPOSX          smallint           NOT NULL,
        QUPOSY          smallint           NOT NULL,
        ANSPOSX         smallint           NOT NULL,
        ANSPOSY         smallint           NOT NULL,
        ANSDEFAULT      varchar   (240)    NULL,
        QUHELP          text               NULL);
2,CREATE UNIQUE INDEX I_APPQUESTTXT ON APPQUESTTXT (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME,LANGUE);
2,CREATE UNIQUE INDEX I_APPQUESTTXT2 ON APPQUESTTXT (APPSYSTNAME,MODNAME,GRPNAME,QUNAME,LANGUE);
2,CREATE TABLE MODCARD(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        CARDNAME        varchar    (16)    NOT NULL,
        CARDOPT         tinyint            NULL,
        ATTRSVAL        varchar  (4000)    NULL,
        CARDDESC        text               NULL);
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARD ON MODCARD(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME);
2,CREATE TABLE MODCARDGRP(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        CARDNAME        varchar    (16)    NOT NULL,
        CARDGRPID       smallint           NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        FATHERCARDGRPID smallint           NOT NULL,
        GRPTYPE         tinyint            NOT NULL,
        GRPINSTOPT      tinyint            NOT NULL,
        DELAYREADING    tinyint            NOT NULL,
        SQLCACHEOPT     tinyint            NOT NULL,
        DATACACHESIZE   int                NOT NULL,
        DELCACHESIZE    int                NOT NULL,
        ISPKBROKEN      int                NULL,
        AUTOINCMODE     int                NULL,
        SEQNAME         varchar  (30)      NULL,
        ATTRSVAL        varchar  (4000)    NULL);
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARDGRP ON MODCARDGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID);
2,CREATE TABLE APPCTL (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        CTLUNIQUEID     int                NOT NULL,
        QUNAME          varchar    (30)    NULL,
        CTLID           int                NOT NULL,
        CTLTYPE         smallint           NOT NULL,
        CTLCLASS        int                NOT NULL,
        CTLCLASSNAME    varchar    (48)    NOT NULL,
        CTLTEXT         varchar   (240)    NULL,
        CTLLOCK         tinyint            NOT NULL,
        CTLLINK         tinyint            NOT NULL,
        CTLREPLACEFLD   tinyint            NOT NULL,
        CTLPOSX         smallint           NOT NULL,
        CTLPOSY         smallint           NOT NULL,
        CTLEXTX         smallint           NOT NULL,
        CTLEXTY         smallint           NOT NULL,
        CTLFONTHEIGHT   int                NULL,
        CTLFONTSTYLE    int                NULL,
        CTLFONTCOLOR    int                NULL,
        CTLFONTNAME     varchar    (32)    NULL,
        CTLBACKCOLOR    int                NULL,
        CTLACCKEY       int                NULL,
        CTLBITMAP       varchar    (64)    NULL,
        CTLINDEX        int                NULL,
        CTLNAME         varchar    (30)    NULL);
2,CREATE UNIQUE INDEX I_APPCTL ON APPCTL (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,CTLUNIQUEID);
2,CREATE UNIQUE INDEX I_APPCTL2 ON APPCTL (APPSYSTNAME,MODNAME,GRPNAME,LANGUE,CTLUNIQUEID);
2,CREATE TABLE APPIMPANS (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        RIACCESS        smallint           NOT NULL,
        RIRELNAME       varchar    (32)    NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        QUNAME          varchar    (30)    NOT NULL,
        ANSORIGIN       char        (1)    NOT NULL,
        ANSCONSTANT     varchar    (80)    NULL,
        ANSQUNAME       varchar    (30)    NULL,
        ANSOP           char        (1)    NOT NULL,
        ANSOPCONSTANT   varchar    (80)    NULL,
        ANSOPSPEC       char        (1)    NOT NULL,
        ANSSTATE        char        (1)    NOT NULL);
2,CREATE UNIQUE INDEX I_APPIMPANS ON APPIMPANS (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,RIACCESS,RIRELNAME,GRPNAME,QUNAME);
2,CREATE UNIQUE INDEX I_APPIMPANS2 ON APPIMPANS (APPSYSTNAME,APPNAME,LANGUE,RIACCESS,RIRELNAME,GRPNAME,QUNAME);
2,CREATE TABLE APPSCRFORMAT (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPNAME         varchar    (16)    NOT NULL,
        SFACCESS        smallint           NOT NULL,
        SFRELNAME       varchar    (32)    NOT NULL,
        SFQVSIZE        int                NOT NULL,
        SFREGWINDOW     tinyint            NOT NULL,
        TOOLPRESENCE    int                NULL,
        TOOLSTATE       int                NULL,
        TOOL0XPOS       smallint           NULL,
        TOOL0YPOS       smallint           NULL,
        TOOL1XPOS       smallint           NULL,
        TOOL1YPOS       smallint           NULL,
        TOOL2XPOS       smallint           NULL,
        TOOL2YPOS       smallint           NULL,
        TOOL3XPOS       smallint           NULL,
        TOOL3YPOS       smallint           NULL,
        TOOL4XPOS       smallint           NULL,
        TOOL4YPOS       smallint           NULL,
        TOOL5XPOS       smallint           NULL,
        TOOL5YPOS       smallint           NULL,
        TOOL6XPOS       smallint           NULL,
        TOOL6YPOS       smallint           NULL,
        TOOL7XPOS       smallint           NULL,
        TOOL7YPOS       smallint           NULL);
2,CREATE UNIQUE INDEX I_APPSCRFORMAT ON APPSCRFORMAT (APPSYSTNAME,SECTFULLPATH,APPNAME,SFACCESS,SFRELNAME);
2,CREATE UNIQUE INDEX I_APPSCRFORMAT2 ON APPSCRFORMAT (APPSYSTNAME,APPNAME,SFACCESS,SFRELNAME);
2,CREATE TABLE APPTOOLFORMAT (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        TOOLACCESS      smallint           NOT NULL,
        TOOLRELNAME     varchar    (32)    NOT NULL,
        TOOLCAT         smallint           NOT NULL,
        TOOLTYPE        smallint           NOT NULL,
        TOOLTAG         varchar    (64)    NOT NULL,
        TOOLVALID       varbinary (128)    NOT NULL);
2,CREATE UNIQUE INDEX I_APPTOOLFORMAT ON APPTOOLFORMAT (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG);
2,CREATE UNIQUE INDEX I_APPTOOLFORMAT2 ON APPTOOLFORMAT (APPSYSTNAME,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG);
2,CREATE TABLE APPTOOLFORMATDATA ( 
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        TOOLACCESS      smallint           NOT NULL,
        TOOLRELNAME     varchar    (32)    NOT NULL,
        TOOLCAT         smallint           NOT NULL,
        TOOLTYPE        smallint           NOT NULL,
        TOOLTAG         varchar    (64)    NOT NULL,
        TOOLSEQ         smallint           NOT NULL,
        TOOLDATA        image              NULL);
2,CREATE UNIQUE INDEX I_APPTOOLFORMATDATA ON APPTOOLFORMATDATA (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ);
2,CREATE UNIQUE INDEX I_APPTOOLFORMATDATA2 ON APPTOOLFORMATDATA (APPSYSTNAME,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ);
2,CREATE TABLE FORMPERSIST (
        APPSYSTNAME     varchar    (16)     NOT NULL,
        SECTFULLPATH    varchar    (80)     NOT NULL,
        MODNAME         varchar    (16)     NOT NULL,
        GRPNAME         varchar    (16)     NOT NULL,
        LANGUE          smallint            NOT NULL,
        PERSCAT         smallint            NOT NULL,
        PERSTYPE        smallint            NOT NULL,
        PERSTAG         varchar    (64)     NOT NULL,
        PERSVALID       varbinary (128)     NOT NULL);
2,CREATE UNIQUE INDEX I_FORMPERSIST ON FORMPERSIST (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG);
2,CREATE UNIQUE INDEX I_FORMPERSIST2 ON FORMPERSIST (APPSYSTNAME,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG);
2,CREATE TABLE FORMPERSISTDATA ( 
        APPSYSTNAME     varchar    (16)     NOT NULL,
        SECTFULLPATH    varchar    (80)     NOT NULL,
        MODNAME         varchar    (16)     NOT NULL,
        GRPNAME         varchar    (16)     NOT NULL,
        LANGUE          smallint            NOT NULL,
        PERSCAT         smallint            NOT NULL,
        PERSTYPE        smallint            NOT NULL,
        PERSTAG         varchar    (64)     NOT NULL,
        PERSSEQ         smallint            NOT NULL,
        PERSDATA        image               NULL);
2,CREATE UNIQUE INDEX I_FORMPERSISTDATA ON FORMPERSISTDATA (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG,PERSSEQ);
2,CREATE UNIQUE INDEX I_FORMPERSISTDATA2 ON FORMPERSISTDATA (APPSYSTNAME,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG,PERSSEQ);
2,CREATE TABLE APPPRTDEF (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        APPNAME         varchar    (16)    NOT NULL,
        PRTACCESS       smallint           NOT NULL,
        PRTRELNAME      varchar    (32)    NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        QUNAME          varchar    (30)    NOT NULL,
        ANSMAXDISPCHR   smallint           NOT NULL,
        QUINDEX         smallint           NOT NULL,
        QUISVISIBLE     smallint           NOT NULL);
2,CREATE UNIQUE INDEX I_APPPRTDEF ON APPPRTDEF (APPSYSTNAME,SECTFULLPATH,APPNAME,PRTACCESS,PRTRELNAME,GRPNAME,QUNAME);
2,CREATE UNIQUE INDEX I_APPPRTDEF2 ON APPPRTDEF (APPSYSTNAME,APPNAME,PRTACCESS,PRTRELNAME,GRPNAME,QUNAME);
2,CREATE TABLE MODTYPELIB ( 
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        GUID            varchar    (48)    NOT NULL, 
        TYPELIBNAME     varchar    (64)    NOT NULL,
        TYPELIB         smallint           NOT NULL,
        MAJVERSION      smallint           NULL,
        MINVERSION      smallint           NULL,
        LCID            int                NULL);
2,CREATE UNIQUE INDEX I_MODTYPELIB ON MODTYPELIB (APPSYSTNAME,SECTFULLPATH,MODNAME,GUID);
2,CREATE UNIQUE INDEX I_MODTYPELIB2 ON MODTYPELIB (APPSYSTNAME,MODNAME,GUID);
2,CREATE TABLE PROTENTRY(
        ENTRYSYSTID     varchar    (16)    NOT NULL,
        ENTRYID         varchar    (16)    NOT NULL,
        FULLNAME        varchar    (40)    NOT NULL,
        DATATYPE        tinyint            NOT NULL,
        CONFLICTRES     tinyint            NOT NULL,
        DEFAULTVAL      varchar   (128)    NOT NULL,
        SUPERVAL        varchar   (128)    NOT NULL,
        ENTRYNOTES      text               NULL);
2,CREATE UNIQUE INDEX I_PROTENTRY ON PROTENTRY (ENTRYSYSTID,ENTRYID);
2,CREATE TABLE PROTASSIGN (
        ENTRYSYSTID     varchar    (16)    NOT NULL,
        ENTRYID         varchar    (16)    NOT NULL,
        ASSIGNENTRYTYPE smallint           NULL,
        ASSIGNPRGTYPE   smallint           NOT NULL,
        SYSTID          varchar    (16)    NOT NULL,
        PRGID           varchar    (16)    NOT NULL,
        USERCONTEXT     varchar    (255)   NOT NULL,
        ASSIGNUSRTYPE   smallint           NOT NULL,
        USRID           varchar    (16)    NOT NULL,
        COMPID          varchar    (16)    NOT NULL,
        STATIONID       varchar    (16)    NOT NULL,
        DATESTART       datetime           NOT NULL,
        DATEEND         datetime           NOT NULL,
        TIMESTART       datetime           NOT NULL,
        TIMEEND         datetime           NOT NULL,
        WEEKDAYSTART    smallint           NOT NULL,
        WEEKDAYEND      smallint           NOT NULL,
        LANGUAGE        smallint           NOT NULL,
        DBENGINEID      smallint           NOT NULL,
        ASSIGNVAL       varchar(128)       NOT NULL);
2,CREATE UNIQUE INDEX I_PROTASSIGN ON PROTASSIGN (ENTRYSYSTID,ENTRYID,ASSIGNPRGTYPE,SYSTID,PRGID,USERCONTEXT,ASSIGNUSRTYPE,USRID,COMPID,STATIONID,DATESTART,DATEEND,TIMESTART,TIMEEND,WEEKDAYSTART,WEEKDAYEND);
2,CREATE TABLE PROTUSR(
        USRID          varchar     (16)    NOT NULL,
        FULLNAME       varchar     (40)    NOT NULL,
        PASSWORD       varbinary   (40)    NULL,
        EMAIL          varchar     (240)   NULL,
        ATTRSVAL       varchar     (4000)  NULL);
2,CREATE UNIQUE INDEX I_PROTUSR ON PROTUSR (USRID);
2,CREATE TABLE PROTUSRGRP (
        USRGRPID        varchar    (16)    NOT NULL,
        FULLNAME        varchar    (40)    NOT NULL);
2,CREATE UNIQUE INDEX I_PROTUSRGRP ON PROTUSRGRP (USRGRPID);
2,CREATE TABLE PROTUSRGRPMBR (
        USRGRPID        varchar    (16)    NOT NULL,
        MBRTYPE         smallint           NOT NULL,
        MBRID           varchar    (16)    NOT NULL);
2,CREATE UNIQUE INDEX I_PROTUSRGRPMBR ON PROTUSRGRPMBR (USRGRPID,MBRTYPE,MBRID);
2,CREATE TABLE PROTCOMP (
        COMPID          varchar    (16)    NOT NULL,
        COMPFULLNAME    varchar   (140)    NOT NULL,
        COMPSHORTNAME   varchar    (40)    NOT NULL,
        ADDRESS         varchar   (140)    NULL,
        CITY            varchar    (80)    NULL,
        STATE           varchar    (40)    NULL,
        COUNTRY         varchar    (40)    NULL,
        ZIP             varchar    (12)    NULL,
        TEL             varchar    (20)    NULL,
        FAX             varchar    (20)    NULL,
        ATTRSVAL       varchar   (4000)    NULL);
2,CREATE UNIQUE INDEX I_PROTCOMP ON PROTCOMP(COMPID);
2,CREATE TABLE PROTPRGGRP (
        SYSTID          varchar    (16)    NOT NULL,
        PRGGRPID        varchar    (16)    NOT NULL,
        FULLNAME        varchar    (40)    NOT NULL);
2,CREATE UNIQUE INDEX I_PROTPRGGRP ON PROTPRGGRP (SYSTID,PRGGRPID);
2,CREATE TABLE PROTPRGGRPMBR (
        SYSTID          varchar    (16)    NOT NULL,
        PRGGRPID        varchar    (16)    NOT NULL,
        MBRTYPE         smallint           NOT NULL,
        MBRSYSTID       varchar    (16)    NOT NULL,
        MBRID           varchar    (16)    NOT NULL);
2,CREATE UNIQUE INDEX I_PROTPRGGRPMBR ON PROTPRGGRPMBR (SYSTID,PRGGRPID,MBRTYPE,MBRSYSTID,MBRID);
2,CREATE TABLE PROTFUNC (
    APPSYSTNAME     varchar (16)  NOT NULL,
    FUNCID          varchar (16)  NOT NULL,
    ENTRYSYSTID     varchar (16)  NOT NULL,
    ENTRYID         varchar (16)  NOT NULL,
    FUNCCAT         varchar (40)  NULL,
    FUNCVALUE       varchar (128) NOT NULL, 
    FUNCNOTES       text          NULL);
2,CREATE  UNIQUE INDEX I_PROTFUNC ON PROTFUNC(APPSYSTNAME,FUNCID);
2,CREATE TABLE PROTFUNCTXT (
    APPSYSTNAME     varchar (16)  NOT NULL,
    FUNCID          varchar (16)  NOT NULL,
    LANGUE          smallint      NOT NULL,
    FUNCNAME        varchar (40)  NOT NULL,
    FUNCHELP        text          NULL);
2,CREATE  UNIQUE INDEX I_PROTFUNCTXT ON PROTFUNCTXT(APPSYSTNAME,FUNCID,LANGUE);
2,CREATE TABLE PROTROLE (
    APPSYSTNAME     varchar (16)  NOT NULL,
    ROLEID          varchar (16)  NOT NULL,
    ROLECAT         varchar (40)  NULL,
    CREATIONDATE    datetime      NULL,
    LASTMODIFDATE   datetime      NULL,
    ROLENOTES       text          NULL);
2,CREATE  UNIQUE INDEX I_PROTROLE ON PROTROLE(APPSYSTNAME,ROLEID);
2,CREATE TABLE PROTROLETXT (
    APPSYSTNAME     varchar (16)  NOT NULL,
    ROLEID          varchar (16)  NOT NULL,
    LANGUE          smallint      NOT NULL,
    ROLENAME        varchar (40)  NOT NULL,
    ROLEHELP        text          NULL);
2,CREATE  UNIQUE INDEX I_PROTROLETXT ON PROTROLETXT(APPSYSTNAME,ROLEID,LANGUE);
2,CREATE TABLE PROTROLEFUNC (
    APPSYSTNAME     varchar (16)  NOT NULL,
    ROLEID          varchar (16)  NOT NULL,
    FUNCID          varchar (16)  NOT NULL);
2,CREATE  UNIQUE INDEX I_PROTROLEFUNC ON PROTROLEFUNC(APPSYSTNAME,ROLEID,FUNCID);
2,CREATE TABLE VCSHISTORY(
        APPSYSTNAME    varchar     (16)    NOT NULL,
        SECTFULLPATH   varchar     (80)    NOT NULL,
        COMPNAME       varchar     (30)    NOT NULL,
        COMPTYPE       smallint            NOT NULL,
        USRID          varchar     (16)    NOT NULL,
        HISTORYDATE    datetime            NOT NULL,
        ACTIONCODE     smallint            NOT NULL,
        VERSION        smallint            NOT NULL,
        HISTORYDESC    text                NULL);
2,CREATE UNIQUE INDEX I_VCSHISTORY ON VCSHISTORY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,HISTORYDATE,ACTIONCODE);
2,CREATE UNIQUE INDEX I_VCSHISTORY2 ON VCSHISTORY (APPSYSTNAME,COMPNAME,COMPTYPE,HISTORYDATE,ACTIONCODE);
2,CREATE TABLE VCSCKTRANSLOG(
        APPSYSTNAME    varchar     (16)    NOT NULL,
        SECTFULLPATH   varchar     (80)    NOT NULL,
        COMPNAME       varchar     (30)    NOT NULL,
        COMPTYPE       smallint            NOT NULL,
        USRID          varchar     (16)    NOT NULL,
        STRINGDATA1    varchar     (80)    NULL,
        NUMDATA1       smallint            NULL,
        SUBCOMPINDEX   smallint            NOT NULL,
        STRINGDATA2    varchar     (80)    NULL,
        STRINGDATA3    varchar     (80)    NULL,
        NUMDATA2       smallint            NULL,
        MODCODE        smallint            NOT NULL,
        LONGDATA1      text                NULL);
2,CREATE UNIQUE INDEX I_VCSCKTRANSLOG ON VCSCKTRANSLOG (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,STRINGDATA1,NUMDATA1,SUBCOMPINDEX);
2,CREATE UNIQUE INDEX I_VCSCKTRANSLOG2 ON VCSCKTRANSLOG (APPSYSTNAME,COMPNAME,COMPTYPE,STRINGDATA1,NUMDATA1,SUBCOMPINDEX);
2,CREATE TABLE VCSCHECKOUTLST(
        APPSYSTNAME    varchar     (16)    NOT NULL,
        SECTFULLPATH   varchar     (80)    NOT NULL,
        COMPNAME       varchar     (30)    NOT NULL,
        COMPTYPE       smallint            NOT NULL,
        USRID          varchar     (16)    NOT NULL,
        CHECKOUTDATE   datetime            NOT NULL,
        LASTMODIFDATE  datetime            NULL,
        CHECKOUTDESC   text                NULL);
2,CREATE UNIQUE INDEX I_VCSCHECKOUTLST ON VCSCHECKOUTLST (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE);
2,CREATE UNIQUE INDEX I_VCSCHECKOUTLST2 ON VCSCHECKOUTLST (APPSYSTNAME,COMPNAME,COMPTYPE);
2,CREATE TABLE USRDEFATTRLST(
    ATTRLSTNAME	       varchar     (16)    NOT NULL,
    CREATIONDATE       datetime            NULL,
    LASTMODIFDATE      datetime            NULL,
    ATTRLSTNOTES	   text                NULL);
2,CREATE UNIQUE INDEX I_USRDEFATTRLST ON USRDEFATTRLST(ATTRLSTNAME);
2,CREATE TABLE USRDEFATTRLSTSYS(
    ATTRLSTNAME	       varchar     (16)    NOT NULL,
    APPSYSTNAME	       varchar     (16)    NOT NULL,
    SECTFULLPATH	   varchar     (80)    NOT NULL);
2,CREATE UNIQUE INDEX I_USRDEFATTRLSTSYS ON USRDEFATTRLSTSYS(ATTRLSTNAME,APPSYSTNAME,SECTFULLPATH);
2,CREATE TABLE USRDEFATTR(
    ATTRLSTNAME	    varchar    (16)  NOT NULL,
    ATTRNAME	    varchar    (16)  NOT NULL,
    ATTRPROMPT      varchar    (80)  NULL,
    ATTRCAT	        smallint         NOT NULL,
    ATTRTYPE	    smallint         NOT NULL,
    ANSDEFAULT      varchar    (240) NULL,
    ANSCHOICE	    varchar    (240) NULL,
    CTLTYPE	        smallint         NOT NULL,
    ATTRMAXSIZE     smallint         NOT NULL,
    ATTRFLAGS       smallint         NOT NULL,
    ATTRHELP	    text             NULL);
2,CREATE UNIQUE INDEX I_USRDEFATTR ON USRDEFATTR(ATTRLSTNAME,ATTRNAME,ATTRCAT);

1,INSERT INTO PROTUSR(
    USRID,
    FULLNAME,
    PASSWORD
  ) VALUES (
    '$SUPERUSER',
    'Security Manager',
    NULL);
1,INSERT INTO PROTUSR(
    USRID,
    FULLNAME,
    PASSWORD
  ) VALUES (
    'DEMO',
    'Demonstration user',
    NULL);
1,INSERT INTO PROTUSRGRP(
    USRGRPID,
    FULLNAME
  ) VALUES (
    '$EVERYBODY',
    'All users');
1,INSERT INTO PROTUSRGRPMBR(
    USRGRPID,
    MBRTYPE,
    MBRID
  ) VALUES (
    '$EVERYBODY',
    1,
    'DEMO');
1,INSERT INTO PROTCOMP(
    COMPID,
    COMPFULLNAME,
    COMPSHORTNAME,
    ADDRESS,
    CITY,
    STATE,
    COUNTRY,
    ZIP,
    TEL,
    FAX
  ) VALUES (
    'CONSYST',
    'Consyst SQL Inc.',
    'CONSYST',
    '2064, rue St-Hubert',
    'Montral',
    'Qubec',
    'Canada',
    'H2L 3Z5',
    '(514) 849-7431',
    '(514) 849-8125');
1,INSERT INTO PROTENTRY(ENTRYSYSTID,ENTRYID,FULLNAME,
                        DATATYPE,CONFLICTRES,DEFAULTVAL,
                        SUPERVAL,ENTRYNOTES)
   VALUES('$SYSTEM','$REP_IMPORT_SYS', 'Permission to import systems',
          1, 1, 'F', 'T', NULL);
