2,CREATE TABLE SYSTSYST (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    APPSYSTNAMECASE VARCHAR (16),
    SYSTVER         VARCHAR (16),
    SYSTDESC        VARCHAR (80),
    SYSTLANGUE      DECIMAL (2),
    SYSTDIR         VARCHAR (128),
    SYSTMODIF       DATE,
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    NBMODIF         DECIMAL (6),
    UPDSEQ          DECIMAL (6),
    USRCODE         VARCHAR (16),
    SYSTNOTES       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE SYSTSECTION (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    SECTNAME        VARCHAR (16) NOT NULL,
    SECTFULLNAME    VARCHAR (80) NOT NULL,
    SECTCREATION    DATE,
    LASTMODIFDATE   DATE,
    FATHERSECT      VARCHAR (16),
    SECTDESC        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTSECTION2 ON SYSTSECTION(APPSYSTNAME,SECTNAME);
2,CREATE TABLE SYSTAPP (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    APPNAME         VARCHAR (16) NOT NULL,
    APPNAMECASE     VARCHAR (16),
    APPSDESC        VARCHAR (80),
    APPSUBSYSTNAME  VARCHAR (16) NOT NULL,
    APPAUTHOR       VARCHAR (40),
    APPVERSION      VARCHAR (6),
    APPCREATION     DATE,
    APPMODIF        DATE,
    APPFUNCTION     DECIMAL (12),
    APPLOCK         DECIMAL (2),
    APPMENUNAME     VARCHAR (16),
    APPDEFQV        VARCHAR (30) NOT NULL,
    APPDEFQH        VARCHAR (30),
    APPDEFIMP       VARCHAR (30),
    APPDEFLST       VARCHAR (30),
	APPNOTES        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTAPP2 ON SYSTAPP(APPSYSTNAME,APPNAME);
2,CREATE TABLE SYSTAPPTXT (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    APPNAME         VARCHAR (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    APPFULLNAME     VARCHAR (40) NOT NULL,
    APPDESC         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTAPPTXT2 ON SYSTAPPTXT(APPSYSTNAME,APPNAME,LANGUE);
2,CREATE TABLE SYSTMODULE(
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    MODNAMECASE     VARCHAR (16),
    MODFULLNAME     VARCHAR (80) NOT NULL,
    MODTYPE         DECIMAL (3)  NOT NULL,
    AUTHOR          VARCHAR (40),
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    ATTRSVAL        VARCHAR2(4000),
    MODDESC         LONG VARCHAR,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME)
) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMODULE2 ON SYSTMODULE(APPSYSTNAME,MODNAME);
2,CREATE TABLE SYSTMODULELST(
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    SEQNO           DECIMAL (3)  NOT NULL,
    INCSYSTNAME     VARCHAR (16) NOT NULL,
    INCSECTFULLPATH VARCHAR (80) NOT NULL,
    INCMODNAME      VARCHAR (16) NOT NULL,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,INCSYSTNAME,INCSECTFULLPATH,INCMODNAME)
) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMODULELST2 ON SYSTMODULELST(APPSYSTNAME,MODNAME,INCSYSTNAME,INCMODNAME);
2,CREATE UNIQUE INDEX I_SYSTMODULELST3 ON SYSTMODULELST(APPSYSTNAME,MODNAME,SEQNO);
2,CREATE TABLE SYSTCOL (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    COLNAME         VARCHAR (30) NOT NULL,
    COLNAMECASE     VARCHAR (30),
    COLSYNONYM      VARCHAR (30),
    COLFULLNAME     VARCHAR (80),
    COLTYPE         DECIMAL (2)  NOT NULL,
    COLMAXSIZE      DECIMAL (5),
    COLNUMDEC       DECIMAL (2),
    COLAUTHOR       VARCHAR (40),
    COLVERSION      VARCHAR (6),
    COLCREATION     DATE,
    COLMODIF        DATE,
    COLDESC         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,COLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTCOL2 ON SYSTCOL(APPSYSTNAME,COLNAME);
2,CREATE TABLE SYSTTABLE (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    TABLENAME       VARCHAR (30) NOT NULL,
    TABLENAMECASE   VARCHAR (30),
    TABLESDESC      VARCHAR (80),
    TABLEPREFIX     VARCHAR (30),
    TABLESUFFIX     VARCHAR (30),
    TABLEAUTHOR     VARCHAR (40),
    TABLEVERSION    VARCHAR (6),
    TABLECREATION   DATE,
    TABLEMODIF      DATE,
    TABLETYPE       DECIMAL (1)  NOT NULL,
    TABLEDESC       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLE2 ON SYSTTABLE(APPSYSTNAME,TABLENAME);
2,CREATE TABLE SYSTTABLECOL (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    TABLENAME       VARCHAR (30)  NOT NULL,
    COLPOS          DECIMAL (5)   NOT NULL,
    COLNAME         VARCHAR (30)  NOT NULL,
    COLPHYSNAME     VARCHAR (240),
    COLNULL         DECIMAL (1)   NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,COLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
-- Index removed because of synchronization problems
--2,CREATE UNIQUE INDEX I_SYSTTABLECOL3 ON SYSTTABLECOL(APPSYSTNAME,TABLENAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLECOL2 ON SYSTTABLECOL(APPSYSTNAME,TABLENAME,COLNAME);
2,CREATE TABLE SYSTTABLEIND (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    TABLENAME       VARCHAR (30)  NOT NULL,
    INDEXNAME       VARCHAR (128) NOT NULL,
    INDEXNAMECASE   VARCHAR (128),
    INDEXSDESC      VARCHAR (80),
    INDEXTYPE       DECIMAL (1)   NOT NULL,
    INDEXDESC       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLEIND2 ON SYSTTABLEIND(APPSYSTNAME,TABLENAME,INDEXNAME);
2,CREATE TABLE SYSTTABLEINDCOL (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    TABLENAME       VARCHAR (30)  NOT NULL,
    INDEXNAME       VARCHAR (128) NOT NULL,
    COLPOS          DECIMAL (5)   NOT NULL,
    COLNAME         VARCHAR (30)  NOT NULL,
    ORDERTYPE       DECIMAL (1)   NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME,COLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLEINDCOL2 ON SYSTTABLEINDCOL(APPSYSTNAME,TABLENAME,INDEXNAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLEINDCOL3 ON SYSTTABLEINDCOL(APPSYSTNAME,TABLENAME,INDEXNAME,COLNAME);
2,CREATE TABLE SYSTTABLEFK (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    TABLENAME       VARCHAR (30)  NOT NULL,
    FKNAME          VARCHAR (128) NOT NULL,
    FKNAMECASE      VARCHAR (128),
    RELTABLENAME    VARCHAR (30)  NOT NULL,
    FKTYPE          DECIMAL (1)   NOT NULL,
    FKSDESC         VARCHAR (80),
    FKDESC          LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLEFK2 ON SYSTTABLEFK(APPSYSTNAME,TABLENAME,FKNAME);
2,CREATE TABLE SYSTTABLEFKCOL (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    TABLENAME       VARCHAR (30)  NOT NULL,
    FKNAME          VARCHAR (128) NOT NULL,
    COLPOS          DECIMAL (5)   NOT NULL,
    COLNAME         VARCHAR (30)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME,COLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLEFKCOL2 ON SYSTTABLEFKCOL(APPSYSTNAME,TABLENAME,FKNAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLEFKCOL3 ON SYSTTABLEFKCOL(APPSYSTNAME,TABLENAME,FKNAME,COLNAME);
2,CREATE TABLE SYSTQUEST (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    QUNAME          VARCHAR (30) NOT NULL,
    QUNAMECASE      VARCHAR (30),
    COLNAME         VARCHAR (30),
    QUTYPE          DECIMAL (3)  NOT NULL,
    QUATTR          DECIMAL (6),
    ANSATTR         DECIMAL (6),
    ANSMINCHR       DECIMAL (5)  NOT NULL,
    ANSMAXCHR       DECIMAL (5)  NOT NULL,
    ANSMINVALUE     DECIMAL (10),
    ANSMAXVALUE     DECIMAL (10),
    ANSNUMDEC       DECIMAL (3),
    DISPFLG         DECIMAL (8)  NOT NULL,
    INPMASK         VARCHAR (240),
    OUTMASK         VARCHAR (80),
    CDNCMD          VARCHAR (240),
    CTLTYPE         DECIMAL (3)  NOT NULL,
    QUSDESC         VARCHAR (80),
    PROPNAME        VARCHAR (80),
    LISTSQLNAME     VARCHAR (80),
    ATTRSVAL        VARCHAR2(4000),
	QUNOTES         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTQUEST2 ON SYSTQUEST(APPSYSTNAME,QUNAME);
2,CREATE TABLE SYSTQUESTTXT (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    QUNAME          VARCHAR (30)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    QUDESC          VARCHAR (80),
    COLDESC1        VARCHAR (80),
    COLDESC2        VARCHAR (80),
    ANSCHOICE       VARCHAR (240),
    ANSDEFAULT      VARCHAR (240),
    QUHELP          LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,QUNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTQUESTTXT2 ON SYSTQUESTTXT(APPSYSTNAME,QUNAME,LANGUE);
2,CREATE TABLE SYSTACTION (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    ACTIONNAME      VARCHAR (16) NOT NULL,
    ACTIONFULLNAME  VARCHAR (80) NOT NULL,
    ACTIONID        DECIMAL (6),
    ACTIONCAT       DECIMAL (6)  NOT NULL,
    ACTIONSTATE     DECIMAL (6)  NOT NULL,
    ACTIONALIVE     DECIMAL (1),
    ACTIONNOTES     LONG VARCHAR,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,ACTIONNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTACTION2 ON SYSTACTION(APPSYSTNAME,MODNAME,ACTIONNAME);
2,CREATE TABLE SYSTACTIONTXT (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    ACTIONNAME      VARCHAR (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    TOOLTIPTEXT     VARCHAR (40),
    STATUSBARTEXT   VARCHAR (80),
	BUTTONTEXT      VARCHAR (80),
    ACTIONFULLHELP  LONG VARCHAR,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,ACTIONNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTACTIONTXT2 ON SYSTACTIONTXT(APPSYSTNAME,MODNAME,ACTIONNAME,LANGUE);
2,CREATE TABLE SYSTMITEM(
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    MITEMNAME       VARCHAR (16) NOT NULL,
    MITEMTYPE       NUMBER  (3)  NOT NULL,
    ACTIONNAME      VARCHAR (16) NOT NULL,
    MITEMSDESC      VARCHAR (80),
    MITEMFATHER     VARCHAR (16),
    MITEMPOS        NUMBER  (5)  NOT NULL,
    MITEMACCEL      DECIMAL (5),
    MITEMALIVE      DECIMAL (1)  NOT NULL,
    MITEMATTR       DECIMAL (5),
	MITEMNOTES      LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,MITEMNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMITEM2 ON SYSTMITEM(APPSYSTNAME,MODNAME,MITEMNAME);
2,CREATE TABLE SYSTMITEMTXT(
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    MITEMNAME       VARCHAR (16) NOT NULL,
    LANGUE          NUMBER  (3)  NOT NULL,
    MITEMTEXT       VARCHAR (40),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,MITEMNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMITEMTXT2 ON SYSTMITEMTXT(APPSYSTNAME,MODNAME,MITEMNAME,LANGUE);
2,CREATE TABLE SYSTMENULIST (
    APPOWNSYSTNAME  VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    APPSUBSYSTNAME  VARCHAR (16) NOT NULL,
    MENUPOS         DECIMAL (6)  NOT NULL,
    MENUPROG        VARCHAR (128),
    MENUSDESC       VARCHAR (80),
    ACCESSCAT       DECIMAL (2)  NOT NULL,
    PRGTYPE         DECIMAL (1),
    PROTECPRGID     VARCHAR (16),
	MENUNOTES       LONG VARCHAR,
    PRIMARY KEY(APPOWNSYSTNAME,SECTFULLPATH,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMENULIST2 ON SYSTMENULIST(APPOWNSYSTNAME,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS);
2,CREATE        INDEX I_SYSTMENULIST3 ON SYSTMENULIST(APPSYSTNAME,APPSUBSYSTNAME,MENUPOS);
2,CREATE TABLE SYSTMENULISTTXT (
    APPOWNSYSTNAME  VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    APPSUBSYSTNAME  VARCHAR (16) NOT NULL,
    MENUPOS         DECIMAL (6)  NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    MENUDESC        VARCHAR (40),
    PRIMARY KEY(APPOWNSYSTNAME,SECTFULLPATH,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMENULISTTXT2 ON SYSTMENULISTTXT(APPOWNSYSTNAME,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE);
2,CREATE        INDEX I_SYSTMENULISTTXT3 ON SYSTMENULISTTXT(APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE);
2,CREATE TABLE SYSTHELPSYST (
    LANGUE          DECIMAL (3)  NOT NULL,
    SUBFATHER       VARCHAR (16) NOT NULL,
    SUBNAME         VARCHAR (16) NOT NULL,
    SUBDESC         LONG VARCHAR
    );
2,CREATE TABLE SYSTHELPPROC (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    SUBFATHER       VARCHAR (16) NOT NULL,
    SUBNAME         VARCHAR (16) NOT NULL,
    SUBDESC         LONG VARCHAR
    );
2,CREATE TABLE APPSTR (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    STRNAME         VARCHAR (80) NOT NULL,
    STRNAMECASE     VARCHAR (80),
    STRTYPE         DECIMAL (1)  NOT NULL,
    STRLONGNAME     VARCHAR (80),
    STRDESC         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,STRTYPE,STRNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPSTR2 ON APPSTR(APPSYSTNAME,MODNAME,LANGUE,STRTYPE,STRNAME);
2,CREATE TABLE APPBLOB (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    BLOBNAME        VARCHAR (64) NOT NULL,
    BLOBNAMECASE    VARCHAR (64),
    BLOBSDESC       VARCHAR (80),
    BLOBDESC        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,BLOBNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPBLOB2 ON APPBLOB(APPSYSTNAME,MODNAME,LANGUE,BLOBNAME);
2,CREATE TABLE APPBLOBDATA (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    BLOBNAME        VARCHAR (64) NOT NULL,
    BLOBSEQNO       NUMBER  (10) NOT NULL,
    BLOBDATA        LONG RAW,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,BLOBNAME,BLOBSEQNO)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPBLOBDATA2 ON APPBLOBDATA(APPSYSTNAME,MODNAME,LANGUE,BLOBNAME,BLOBSEQNO);
2,CREATE TABLE APPMACRO (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    APPNAME         VARCHAR (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    MACROUNIQUENAME VARCHAR (32) NOT NULL,
    MACRONAME       VARCHAR (32) NOT NULL,
    MACROTYPE       DECIMAL (3)  NOT NULL,
    MACROACCESS     DECIMAL (3)  NOT NULL,
    MACRORELNAME    VARCHAR (32) NOT NULL,
    MACRODESC       VARCHAR (240),
    MACROACCKEY     DECIMAL (7),
    MACROSQLCMD     LONG VARCHAR,
    CARDNAME        VARCHAR (30),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,MACROUNIQUENAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPMACRO2 ON APPMACRO(APPSYSTNAME,APPNAME,LANGUE,MACROUNIQUENAME);
2,CREATE TABLE APPMACROQUEST (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    APPNAME         VARCHAR (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    MACROUNIQUENAME VARCHAR (32) NOT NULL,
    MACRONAME       VARCHAR (32),
    QUNAME          VARCHAR (30) NOT NULL,
    QUINDEX         DECIMAL (5)  NOT NULL,
    QUTABLE         VARCHAR (30),
    QUDESC          VARCHAR (80),
    QUDEFANS        VARCHAR (80),
    QUSUBST         VARCHAR (30),
    QUSTATE         DECIMAL (8),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,MACROUNIQUENAME,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPMACROQUEST2 ON APPMACROQUEST(APPSYSTNAME,APPNAME,LANGUE,MACROUNIQUENAME,QUNAME);
2,CREATE TABLE MODHTMLFILE(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR (255) NOT NULL,
    HTMLFILENAME    VARCHAR (255) NOT NULL,
    HTMLOPT         DECIMAL (10)  NOT NULL,
    ISMULTILANGUAGE DECIMAL (3)   NOT NULL,
    ATTRSVAL        VARCHAR2(4000),
    HTMLFILEDESC    LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODHTMLFILE2 ON MODHTMLFILE(APPSYSTNAME,MODNAME,HTMLFILENAMEUC);
2,CREATE TABLE MODHTMLFILEASSIGN(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR (255) NOT NULL,
    HTMLFORMNAME    VARCHAR (255) NOT NULL,
    HTMLCTLNAME     VARCHAR (255) NOT NULL,
    GRPNAME         VARCHAR (30)  NOT NULL,
    FLDNAME         VARCHAR (30)  NOT NULL,
    ASSIGNTYPE      DECIMAL (3)   NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN2 ON MODHTMLFILEASSIGN(APPSYSTNAME,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);
2,CREATE TABLE MODGRP (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    GRPNAME         VARCHAR (30)  NOT NULL,
    GRPNAMECASE     VARCHAR (30),
    GRPSDESC        VARCHAR (80),
    CLASSNAME       VARCHAR (80),
    TABLENAME       VARCHAR (30),
    ATTRSVAL        VARCHAR2(4000),
    GRPDESC         VARCHAR2(4000),
    DMLCMD          LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODGRP2 ON MODGRP(APPSYSTNAME,MODNAME,GRPNAME);
2,CREATE TABLE MODGRPTXT (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    GRPNAME         VARCHAR (30)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    GRPHELP         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODGRPTXT2 ON MODGRPTXT(APPSYSTNAME,MODNAME,GRPNAME,LANGUE);
2,CREATE TABLE APPQUEST (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    GRPNAME         VARCHAR (30) NOT NULL,
    QUINDEX         DECIMAL (5)  NOT NULL,
    QUNAME          VARCHAR (30) NOT NULL,
    TABLENAME       VARCHAR (30),
    PROPNAME        VARCHAR (80),
    QUSTATE         DECIMAL (8)  NOT NULL,
    DISPFLG         DECIMAL (8),
    SQLNAME         VARCHAR (80),
    LISTSQLNAME     VARCHAR (80),
    INPMASK         VARCHAR (240),
    OUTMASK         VARCHAR (80),
    CDNCMD          VARCHAR (240),
    ATTRSVAL        VARCHAR2(4000),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPQUEST2 ON APPQUEST(APPSYSTNAME,MODNAME,GRPNAME,QUNAME);
2,CREATE TABLE APPQUESTTXT (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    MODNAME         VARCHAR (16) NOT NULL,
    GRPNAME         VARCHAR (30) NOT NULL,
    QUNAME          VARCHAR (30) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    QUDESC          VARCHAR (80),
    ANSMAXDISPCHR   DECIMAL (3)  NOT NULL,
    QUATTR          DECIMAL (6),
    ANSATTR         DECIMAL (6),
    QUPOSX          DECIMAL (3)  NOT NULL,
    QUPOSY          DECIMAL (3)  NOT NULL,
    ANSPOSX         DECIMAL (3)  NOT NULL,
    ANSPOSY         DECIMAL (3)  NOT NULL,
    ANSDEFAULT      VARCHAR (240),
    QUHELP          LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPQUESTTXT2 ON APPQUESTTXT(APPSYSTNAME,MODNAME,GRPNAME,QUNAME,LANGUE);
2,CREATE TABLE MODCARD(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    CARDNAME        VARCHAR (30)  NOT NULL,
    CARDNAMECASE    VARCHAR (30),
    CARDSDESC       VARCHAR (80),
    CLASSNAME       VARCHAR (80),
    CARDOPT         DECIMAL (3),
    ATTRSVAL        VARCHAR2(4000),
    CARDDESC        LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME) )
    ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE MODCARDGRP(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    CARDNAME        VARCHAR (30)  NOT NULL,
    CARDGRPID       DECIMAL (10)  NOT NULL,
    GRPNAME         VARCHAR (30)  NOT NULL,
    CARDGRPSDESC    VARCHAR (80),
    CLASSNAME       VARCHAR (80),
    FATHERCARDGRPID DECIMAL (10)  NOT NULL,
    GRPTYPE         DECIMAL (1)   NOT NULL,
    GRPINSTOPT      DECIMAL (2)   NOT NULL,
    DELAYREADING    DECIMAL (1)   NOT NULL,
    SQLCACHEOPT     DECIMAL (1)   NOT NULL,
    DATACACHESIZE   DECIMAL (10)  NOT NULL,
    DELCACHESIZE    DECIMAL (10)  NOT NULL,
    ISPKBROKEN      DECIMAL (1),
    AUTOINCMODE     DECIMAL (2),
    SEQNAME         VARCHAR (30),
    ATTRSVAL        VARCHAR2(4000),
    DMLCMD          LONG VARCHAR,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID) )
    ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE APPCTL (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    GRPNAME         VARCHAR (30)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    CTLUNIQUEID     DECIMAL (6)   NOT NULL,
    QUNAME          VARCHAR (30),
    CTLID           DECIMAL (6)   NOT NULL,
    CTLTYPE         DECIMAL (3)   NOT NULL,
    CTLCLASS        DECIMAL (12)  NOT NULL,
    CTLCLASSNAME    VARCHAR (48)  NOT NULL,
    CTLTEXT         VARCHAR (240),
    CTLLOCK         DECIMAL (1)   NOT NULL,
    CTLLINK         DECIMAL (1)   NOT NULL,
    CTLREPLACEFLD   DECIMAL (1)   NOT NULL,
    CTLPOSX         DECIMAL (5)   NOT NULL,
    CTLPOSY         DECIMAL (5)   NOT NULL,
    CTLEXTX         DECIMAL (5)   NOT NULL,
    CTLEXTY         DECIMAL (5)   NOT NULL,
    CTLFONTHEIGHT   DECIMAL (6),
    CTLFONTSTYLE    DECIMAL (12),
    CTLFONTCOLOR    DECIMAL (10),
    CTLFONTNAME     VARCHAR (32),
    CTLBACKCOLOR    DECIMAL (10),
    CTLACCKEY       DECIMAL (7),
    CTLBITMAP       VARCHAR (64),
	CTLINDEX		DECIMAL (5),
	CTLNAME			VARCHAR (30),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,CTLUNIQUEID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPCTL2 ON APPCTL(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,CTLUNIQUEID);
2,CREATE TABLE APPIMPANS (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    APPNAME         VARCHAR (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    RIACCESS        DECIMAL (3)  NOT NULL,
    RIRELNAME       VARCHAR (32) NOT NULL,
    GRPNAME         VARCHAR (30) NOT NULL,
    QUNAME          VARCHAR (30) NOT NULL,
    ANSORIGIN       VARCHAR (1)  NOT NULL,
    ANSCONSTANT     VARCHAR (80),
    ANSQUNAME       VARCHAR (30),
    ANSOP           VARCHAR (1)  NOT NULL,
    ANSOPCONSTANT   VARCHAR (80),
    ANSOPSPEC       VARCHAR (1)  NOT NULL,
    ANSSTATE        VARCHAR (1)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,RIACCESS,RIRELNAME,GRPNAME,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPIMPANS2 ON APPIMPANS(APPSYSTNAME,APPNAME,LANGUE,RIACCESS,RIRELNAME,GRPNAME,QUNAME);
2,CREATE TABLE APPSCRFORMAT (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    APPNAME         VARCHAR (16) NOT NULL,
    SFACCESS        DECIMAL (3)  NOT NULL,
    SFRELNAME       VARCHAR (32) NOT NULL,
    SFQVSIZE        DECIMAL (8)  NOT NULL,
    SFREGWINDOW     DECIMAL (1)  NOT NULL,
    TOOLPRESENCE    DECIMAL (8),
    TOOLSTATE       DECIMAL (8),
    TOOL0XPOS       DECIMAL (5),
    TOOL0YPOS       DECIMAL (5),
    TOOL1XPOS       DECIMAL (5),
    TOOL1YPOS       DECIMAL (5),
    TOOL2XPOS       DECIMAL (5),
    TOOL2YPOS       DECIMAL (5),
    TOOL3XPOS       DECIMAL (5),
    TOOL3YPOS       DECIMAL (5),
    TOOL4XPOS       DECIMAL (5),
    TOOL4YPOS       DECIMAL (5),
    TOOL5XPOS       DECIMAL (5),
    TOOL5YPOS       DECIMAL (5),
    TOOL6XPOS       DECIMAL (5),
    TOOL6YPOS       DECIMAL (5),
    TOOL7XPOS       DECIMAL (5),
    TOOL7YPOS       DECIMAL (5),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,SFACCESS,SFRELNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPSCRFORMAT2 ON APPSCRFORMAT(APPSYSTNAME,APPNAME,SFACCESS,SFRELNAME);
2,CREATE  TABLE APPTOOLFORMAT (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    APPNAME         VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    TOOLACCESS      DECIMAL (3)   NOT NULL,
    TOOLRELNAME     VARCHAR (32)  NOT NULL,
    TOOLCAT         DECIMAL (3)   NOT NULL,
    TOOLTYPE        DECIMAL (3)   NOT NULL,
    TOOLTAG         VARCHAR (64)  NOT NULL,
    TOOLVALID       RAW     (128) NOT NULL,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPTOOLFORMAT2 ON APPTOOLFORMAT(APPSYSTNAME,APPNAME,LANGUE,
TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG);
2,CREATE TABLE APPTOOLFORMATDATA ( 
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    APPNAME         VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    TOOLACCESS      DECIMAL (3)   NOT NULL,
    TOOLRELNAME     VARCHAR (32)  NOT NULL,
    TOOLCAT         DECIMAL (3)   NOT NULL,
    TOOLTYPE        DECIMAL (3)   NOT NULL,
    TOOLTAG         VARCHAR (64)  NOT NULL,
    TOOLSEQ         DECIMAL (3)   NOT NULL,
    TOOLDATA        LONG RAW,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPTOOLFRMTDATA2 ON APPTOOLFORMATDATA(APPSYSTNAME,APPNAME,LANGUE,
TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ);
2,CREATE  TABLE FORMPERSIST (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
	GRPNAME         VARCHAR (30)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    PERSCAT         DECIMAL (3)   NOT NULL,
    PERSTYPE        DECIMAL (3)   NOT NULL,
    PERSTAG         VARCHAR (64)  NOT NULL,
    PERSVALID       RAW     (128)  NOT NULL,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_FORMPERSIST2 ON FORMPERSIST(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,
PERSCAT,PERSTYPE,PERSTAG);
2,CREATE TABLE FORMPERSISTDATA ( 
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
	GRPNAME         VARCHAR (30)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    PERSCAT         DECIMAL (3)   NOT NULL,
    PERSTYPE        DECIMAL (3)   NOT NULL,
    PERSTAG         VARCHAR (64)  NOT NULL,
    PERSSEQ         DECIMAL (3)   NOT NULL,
    PERSDATA        LONG RAW,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG,PERSSEQ)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_FORMPERSISTDATA2 ON FORMPERSISTDATA(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,
PERSCAT,PERSTYPE,PERSTAG,PERSSEQ);
2,CREATE TABLE APPPRTDEF (
    APPSYSTNAME     VARCHAR (16) NOT NULL,
    SECTFULLPATH    VARCHAR (80) NOT NULL,
    APPNAME         VARCHAR (16) NOT NULL,
    PRTACCESS       DECIMAL (3)  NOT NULL,
    PRTRELNAME      VARCHAR (32) NOT NULL,
    GRPNAME         VARCHAR (30) NOT NULL,
    QUNAME          VARCHAR (30) NOT NULL,
    ANSMAXDISPCHR   DECIMAL (3)  NOT NULL,
    QUINDEX         DECIMAL (5)  NOT NULL,
    QUISVISIBLE     DECIMAL (1)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,PRTACCESS,PRTRELNAME,GRPNAME,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPPRTDEF2 ON APPPRTDEF(APPSYSTNAME,APPNAME,PRTACCESS,PRTRELNAME,GRPNAME,QUNAME);
2,CREATE TABLE MODTYPELIB ( 
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
	GUID            VARCHAR (48)  NOT NULL, 
	TYPELIBNAME     VARCHAR (64)  NOT NULL,
	TYPELIB         DECIMAL (3)   NOT NULL,
    MAJVERSION	    DECIMAL (3),
    MINVERSION	    DECIMAL (3),
	LCID            DECIMAL (9),
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GUID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTENTRY(
    ENTRYSYSTID     VARCHAR (16)  NOT NULL,
    ENTRYID         VARCHAR (16)  NOT NULL,
    FULLNAME        VARCHAR (80)  NOT NULL,
    DATATYPE        DECIMAL (1)   NOT NULL,
    CONFLICTRES     DECIMAL (1)   NOT NULL,
    DEFAULTVAL      VARCHAR (128) NOT NULL,
    SUPERVAL        VARCHAR (128) NOT NULL,
	ENTRYNOTES      LONG VARCHAR,
    PRIMARY KEY (ENTRYSYSTID, ENTRYID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTASSIGN (
    ENTRYSYSTID     VARCHAR (16)  NOT NULL,
    ENTRYID         VARCHAR (16)  NOT NULL,
    ASSIGNENTRYTYPE DECIMAL (1),
    ASSIGNPRGTYPE   DECIMAL (1)   NOT NULL,
    SYSTID          VARCHAR (16)  NOT NULL,
    PRGID           VARCHAR (16)  NOT NULL,
	USERCONTEXT     VARCHAR (255) NOT NULL,
    ASSIGNUSRTYPE   DECIMAL (1)   NOT NULL,
    USRID           VARCHAR (16)  NOT NULL,
    COMPID          VARCHAR (16)  NOT NULL,
    STATIONID       VARCHAR (16)  NOT NULL,
    DATESTART       DATE          NOT NULL,
    DATEEND         DATE          NOT NULL,
    TIMESTART       DATE          NOT NULL,
    TIMEEND         DATE          NOT NULL,
    WEEKDAYSTART    DECIMAL (1)   NOT NULL,
    WEEKDAYEND      DECIMAL (1)   NOT NULL,
    LANGUAGE        DECIMAL (2)   NOT NULL,
    DBENGINEID      DECIMAL (4)   NOT NULL,
    ASSIGNVAL       VARCHAR (128) NOT NULL,
    ASSIGNSDESC     VARCHAR (80),
    PRIMARY KEY (ENTRYSYSTID, ENTRYID, ASSIGNPRGTYPE, SYSTID, PRGID,
                 USERCONTEXT,ASSIGNUSRTYPE, USRID, COMPID, STATIONID,
                 DATESTART, DATEEND, TIMESTART, TIMEEND,
                 WEEKDAYSTART, WEEKDAYEND)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTUSR(
    USRID          VARCHAR (16)   NOT NULL,
    FULLNAME       VARCHAR (80)   NOT NULL,
    PASSWORD       RAW     (40),
    EMAIL          VARCHAR2(240),
    USRSDESC       VARCHAR (80),
    ATTRSVAL       VARCHAR2(4000),
    PRIMARY KEY (USRID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTUSRGRP (
    USRGRPID        VARCHAR (16)  NOT NULL,
    FULLNAME        VARCHAR (80)  NOT NULL,
    PRIMARY KEY (USRGRPID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTUSRGRPMBR (
    USRGRPID        VARCHAR (16)  NOT NULL,
    MBRTYPE         DECIMAL (1)   NOT NULL,
    MBRID           VARCHAR (16)  NOT NULL,
    PRIMARY KEY (USRGRPID, MBRTYPE, MBRID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTCOMP (
    COMPID          VARCHAR (16)  NOT NULL,
    COMPFULLNAME    VARCHAR (140) NOT NULL,
    COMPSHORTNAME   VARCHAR (40)  NOT NULL,
    ADDRESS         VARCHAR (140),
    CITY            VARCHAR (80),
    STATE           VARCHAR (40),
    COUNTRY         VARCHAR (40),
    ZIP             VARCHAR (12),
    TEL             VARCHAR (20),
    FAX             VARCHAR (20),
    COMPSDESC       VARCHAR (80),
    ATTRSVAL        VARCHAR2(4000),
    PRIMARY KEY (COMPID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTPRGGRP (
    SYSTID          VARCHAR (16)  NOT NULL,
    PRGGRPID        VARCHAR (16)  NOT NULL,
    FULLNAME        VARCHAR (80)  NOT NULL,
    PRIMARY KEY (SYSTID,PRGGRPID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTPRGGRPMBR (
    SYSTID          VARCHAR (16)  NOT NULL,
    PRGGRPID        VARCHAR (16)  NOT NULL,
    MBRTYPE         DECIMAL (1)   NOT NULL,
    MBRSYSTID       VARCHAR (16)  NOT NULL,
    MBRID           VARCHAR (16)  NOT NULL,
    PRIMARY KEY (SYSTID,PRGGRPID,MBRTYPE,MBRSYSTID,MBRID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTFUNC (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    FUNCID          VARCHAR (16)  NOT NULL,
    ENTRYSYSTID     VARCHAR (16)  NOT NULL,
    ENTRYID         VARCHAR (16)  NOT NULL,
    FUNCCAT         VARCHAR (40),
    FUNCVALUE       VARCHAR (128) NOT NULL, 
    FUNCSDESC       VARCHAR (80),
    FUNCNOTES       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,FUNCID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTFUNCTXT (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    FUNCID          VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    FUNCNAME        VARCHAR (40)  NOT NULL,
    FUNCHELP        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,FUNCID,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTROLE (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    ROLEID          VARCHAR (16)  NOT NULL,
    ROLECAT         VARCHAR (40),
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    ROLESDESC       VARCHAR (80),
    ROLENOTES       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,ROLEID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTROLETXT (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    ROLEID          VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    ROLENAME        VARCHAR (40)  NOT NULL,
    ROLEHELP        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,ROLEID,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTROLEFUNC (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    ROLEID          VARCHAR (16)  NOT NULL,
    FUNCID          VARCHAR (16)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,ROLEID,FUNCID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE VCSHISTORY(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    COMPNAME        VARCHAR (30)  NOT NULL,
    COMPTYPE        NUMBER  (3)   NOT NULL,
    USRID           VARCHAR (16)  NOT NULL,
    HISTORYDATE     DATE          NOT NULL,
    ACTIONCODE      NUMBER (3)    NOT NULL,
    VERSION         NUMBER (6)    NOT NULL,
    HISTORYDESC     LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,HISTORYDATE,ACTIONCODE) )
  ENABLE PRIMARY KEY USING INDEX;
0,DROP INDEX SD_PRIMARY_VCSHISTORY;
2,CREATE TABLE VCSCKTRANSLOG(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    COMPNAME        VARCHAR (30)  NOT NULL,
    COMPTYPE        NUMBER  (3)   NOT NULL,
    USRID           VARCHAR (16)  NOT NULL,
    STRINGDATA1     VARCHAR2(80),
    NUMDATA1        NUMBER  (3),
    SUBCOMPINDEX    NUMBER  (6)   NOT NULL,
    STRINGDATA2     VARCHAR2(80),
    STRINGDATA3     VARCHAR2(80),
    NUMDATA2        NUMBER  (3),
    MODCODE         NUMBER  (3)   NOT NULL,
    LONGDATA1       LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,STRINGDATA1,NUMDATA1,SUBCOMPINDEX) )
  ENABLE PRIMARY KEY USING INDEX;
0,DROP INDEX SD_PRIMARY_VCSCKTRANSLOG;
2,CREATE TABLE VCSCHECKOUTLST(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    COMPNAME        VARCHAR (30)  NOT NULL,
    COMPTYPE        NUMBER  (3)   NOT NULL,
    USRID           VARCHAR (16)  NOT NULL,
    CHECKOUTDATE    DATE          NOT NULL,
    LASTMODIFDATE   DATE,
    CHECKOUTDESC    LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE) )
  ENABLE PRIMARY KEY USING INDEX;
0,DROP INDEX SD_PRIMARY_VCSCHECKOUTLST;
2,CREATE TABLE USRDEFATTRLST(
    ATTRLSTNAME     VARCHAR (16)  NOT NULL,
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    ATTRLSTSDESC    VARCHAR (80),
    ATTRLSTNOTES    LONG VARCHAR,
    PRIMARY KEY (ATTRLSTNAME))
  ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE USRDEFATTRLSTSYS(
    ATTRLSTNAME     VARCHAR (16)  NOT NULL,
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    PRIMARY KEY(ATTRLSTNAME,APPSYSTNAME,SECTFULLPATH))
  ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE USRDEFATTR(
    ATTRLSTNAME     VARCHAR (16)  NOT NULL,
    ATTRNAME        VARCHAR (16)  NOT NULL,
    ATTRPROMPT      VARCHAR (80),
    ATTRCAT         DECIMAL (2)   NOT NULL,
    ATTRTYPE        DECIMAL (3)   NOT NULL,
    ANSDEFAULT      VARCHAR (240),
    ANSCHOICE       VARCHAR (240),
    CTLTYPE         DECIMAL (3)   NOT NULL,
    ATTRMAXSIZE     DECIMAL (2)   NOT NULL,
    ATTRFLAGS       DECIMAL (3)   NOT NULL,
    ATTRSDESC       VARCHAR (80),
    ATTRHELP        LONG VARCHAR,
    PRIMARY KEY(ATTRLSTNAME,ATTRNAME,ATTRCAT)
    ) ENABLE PRIMARY KEY USING INDEX;
1,INSERT INTO PROTUSR(
    USRID,
    FULLNAME,
    PASSWORD
  ) VALUES (
    '$SUPERUSER',
    'Security Manager',
    NULL);
1,INSERT INTO PROTUSR(
    USRID,
    FULLNAME,
    PASSWORD
  ) VALUES (
    'DEMO',
    'Demonstration user',
    NULL);
1,INSERT INTO PROTUSRGRP(
    USRGRPID,
    FULLNAME
  ) VALUES (
    '$EVERYBODY',
    'All users');
1,INSERT INTO PROTUSRGRPMBR(
    USRGRPID,
    MBRTYPE,
    MBRID
  ) VALUES (
    '$EVERYBODY',
    1,
    'DEMO');
1,INSERT INTO PROTCOMP(
    COMPID,
    COMPFULLNAME,
    COMPSHORTNAME,
    ADDRESS,
    CITY,
    STATE,
    COUNTRY,
    ZIP,
    TEL,
    FAX
  ) VALUES (
    'CONSYST',
    'Consyst SQL Inc.',
    'CONSYST',
    '2064, rue St-Hubert',
    'Montral',
    'Qubec',
    'Canada',
    'H2L 3Z5',
    '(514) 849-7431',
    '(514) 849-8125');
1,INSERT INTO PROTENTRY(ENTRYSYSTID,ENTRYID,FULLNAME,
                        DATATYPE,CONFLICTRES,DEFAULTVAL,
						SUPERVAL,ENTRYNOTES)
   VALUES('$SYSTEM','$REP_IMPORT_SYS', 'Permission to import systems',
          1, 1, 'F', 'T', NULL);
