-- Drop all unused tables and views
0,DROP TABLE MGLINKSYSTSYST;
0,DROP TABLE MGLINKSYSTSECTION;
0,DROP TABLE MGLINKSYSTMOD;
0,DROP TABLE MGLINKSYSTTABLE;
0,DROP TABLE MGLINKSYSTCOL;
0,DROP TABLE MGLINKSYSTQUEST;

0,DROP VIEW SYSTAPPQUEST;
0,DROP VIEW SYSTAPPQUEST_V;
0,DROP VIEW APPQUEST_V;
0,DROP VIEW SYSTAPPQUESTTXT_V;
0,DROP VIEW SYSTINDEX_V;
0,DROP VIEW SYSTTABLE_V;
0,DROP VIEW SYSTCOL_V;

--Change size of field name to 30 car. in several tables
2,ALTER TABLE SYSTQUEST     MODIFY QUNAME       VARCHAR(30);
2,ALTER TABLE SYSTQUESTTXT  MODIFY QUNAME       VARCHAR(30);
2,ALTER TABLE APPMACROQUEST MODIFY QUNAME       VARCHAR(30);
2,ALTER TABLE APPQUEST      MODIFY QUNAME       VARCHAR(30);
2,ALTER TABLE APPQUESTTXT   MODIFY QUNAME       VARCHAR(30);
2,ALTER TABLE APPCTL        MODIFY QUNAME       VARCHAR(30);
2,ALTER TABLE APPIMPANS     MODIFY QUNAME       VARCHAR(30);
2,ALTER TABLE APPIMPANS     MODIFY ANSQUNAME    VARCHAR(30);
2,ALTER TABLE APPPRTDEF     MODIFY QUNAME       VARCHAR(30);

-- Add user context to PROTASSIGN table
2,ALTER TABLE PROTASSIGN DROP PRIMARY KEY;
2,ALTER TABLE PROTASSIGN ADD USERCONTEXT VARCHAR(255);
2,UPDATE PROTASSIGN SET USERCONTEXT='$DEFAULT';
2,ALTER TABLE PROTASSIGN MODIFY USERCONTEXT VARCHAR(255) NOT NULL;
2,ALTER TABLE PROTASSIGN ADD PRIMARY KEY (ENTRYSYSTID, ENTRYID, ASSIGNPRGTYPE, SYSTID, PRGID,
                 USERCONTEXT,ASSIGNUSRTYPE, USRID, COMPID, STATIONID,
                 DATESTART, DATEEND, TIMESTART, TIMEEND,
                 WEEKDAYSTART, WEEKDAYEND);
2,ALTER TABLE PROTASSIGN ENABLE PRIMARY KEY USING INDEX;

-- Modify SYSTAPP for new definable selection box fields' group
2,ALTER TABLE SYSTAPP ADD APPDEFLST VARCHAR(16);
2,UPDATE SYSTAPP SET APPDEFLST = '$LST';

-- Modify SYSTACTION : action ID is no longer required
2,ALTER TABLE SYSTACTION MODIFY ACTIONID NULL;
2,DROP INDEX I_SYSTACTION3;

-- Add new colums to several tables
2,ALTER TABLE SYSTTABLECOL  ADD COLPHYSNAME     CHAR(240)       NULL;
2,ALTER TABLE SYSTQUESTTXT  ADD ANSDEFAULT      VARCHAR2(240)       NULL;
2,ALTER TABLE APPQUESTTXT   ADD ANSDEFAULT      VARCHAR2(240)       NULL;
2,ALTER TABLE APPSTR        ADD STRNAMECASE     CHAR(64);
2,ALTER TABLE APPQUESTTXT   ADD QUHELP          LONG VARCHAR;
2,ALTER TABLE SYSTAPP       ADD APPNOTES        LONG VARCHAR;
2,ALTER TABLE SYSTQUEST     ADD QUNOTES         LONG VARCHAR;
2,ALTER TABLE SYSTMITEM     ADD MITEMNOTES      LONG VARCHAR;
2,ALTER TABLE SYSTMENULIST  ADD MENUNOTES       LONG VARCHAR;
2,ALTER TABLE PROTENTRY     ADD ENTRYNOTES      LONG VARCHAR;
2,ALTER TABLE SYSTACTIONTXT ADD BUTTONTEXT      CHAR(80);
2,ALTER TABLE APPCTL        ADD CTLINDEX        DECIMAL(5);
2,ALTER TABLE APPCTL        ADD CTLNAME         VARCHAR(30);
2,ALTER TABLE PROTASSIGN    ADD ASSIGNENTRYTYPE DECIMAL(1);
2,ALTER TABLE PROTUSR       ADD EMAIL           VARCHAR2(240);
-- Add UDA                                      
2,ALTER TABLE SYSTQUEST     ADD ATTRSVAL        VARCHAR2(4000)      NULL;
2,ALTER TABLE APPQUEST      ADD ATTRSVAL        VARCHAR2(4000)      NULL;
2,ALTER TABLE PROTUSR       ADD ATTRSVAL        VARCHAR2(4000)      NULL;
2,ALTER TABLE SYSTMODULE    ADD ATTRSVAL        VARCHAR2(4000)      NULL;
2,ALTER TABLE PROTCOMP      ADD ATTRSVAL        VARCHAR2(4000)      NULL;
-- Modify existing column
2,ALTER TABLE SYSTQUEST     MODIFY QUATTR                           NULL;
2,ALTER TABLE SYSTQUEST     MODIFY ANSATTR                          NULL;
2,ALTER TABLE SYSTMENULIST  MODIFY PROTECPRGID  CHAR(16);
2,ALTER TABLE SYSTQUEST     MODIFY ANSMINCHR    DECIMAL(5);
2,ALTER TABLE SYSTQUEST     MODIFY ANSMAXCHR    DECIMAL(5);
2,ALTER TABLE SYSTQUEST     MODIFY INPMASK      CHAR(240);
2,ALTER TABLE APPQUEST      MODIFY INPMASK      CHAR(240);
2,ALTER TABLE APPCTL        MODIFY CTLCLASSNAME CHAR(48);
2,ALTER TABLE APPBLOB       MODIFY BLOBDESC     LONG VARCHAR;

-- Create tables for VCS
2,CREATE TABLE VCSHISTORY(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    COMPNAME        VARCHAR (30)  NOT NULL,
    COMPTYPE        NUMBER  (3)   NOT NULL,
    USRID           VARCHAR (16)  NOT NULL,
    HISTORYDATE     DATE          NOT NULL,
    ACTIONCODE      NUMBER (3)    NOT NULL,
    VERSION         NUMBER (6)    NOT NULL,
    HISTORYDESC     LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,HISTORYDATE,ACTIONCODE) )
  ENABLE PRIMARY KEY USING INDEX;
0,DROP INDEX SD_PRIMARY_VCSHISTORY;
2,CREATE TABLE VCSCKTRANSLOG(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    COMPNAME        VARCHAR (30)  NOT NULL,
    COMPTYPE        NUMBER  (3)   NOT NULL,
    USRID           VARCHAR (16)  NOT NULL,
    STRINGDATA1     VARCHAR2(80),
    NUMDATA1        NUMBER  (3),
    SUBCOMPINDEX    NUMBER  (6)   NOT NULL,
    STRINGDATA2     VARCHAR2(80),
    STRINGDATA3     VARCHAR2(80),
    NUMDATA2        NUMBER  (3),
    MODCODE         NUMBER  (3)   NOT NULL,
    LONGDATA1       LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,STRINGDATA1,NUMDATA1,SUBCOMPINDEX) )
  ENABLE PRIMARY KEY USING INDEX;
0,DROP INDEX SD_PRIMARY_VCSCKTRANSLOG;
2,CREATE TABLE VCSCHECKOUTLST(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    COMPNAME        VARCHAR (30)  NOT NULL,
    COMPTYPE        NUMBER  (3)   NOT NULL,
    USRID           VARCHAR (16)  NOT NULL,
    CHECKOUTDATE    DATE          NOT NULL,
    LASTMODIFDATE   DATE,
    CHECKOUTDESC    LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE) )
  ENABLE PRIMARY KEY USING INDEX;
0,DROP INDEX SD_PRIMARY_VCSCHECKOUTLST;

-- New tables for new tool format
2,CREATE  TABLE APPTOOLFORMAT (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    APPNAME         VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    TOOLACCESS      DECIMAL (3)   NOT NULL,
    TOOLRELNAME     VARCHAR (32)  NOT NULL,
    TOOLCAT         DECIMAL (3)   NOT NULL,
    TOOLTYPE        DECIMAL (3)   NOT NULL,
    TOOLTAG         VARCHAR (64)  NOT NULL,
    TOOLVALID       RAW     (128) NOT NULL,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPTOOLFORMAT2 ON APPTOOLFORMAT(APPSYSTNAME,APPNAME,LANGUE,
TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG);
2,CREATE TABLE APPTOOLFORMATDATA ( 
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    APPNAME         VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    TOOLACCESS      DECIMAL (3)   NOT NULL,
    TOOLRELNAME     VARCHAR (32)  NOT NULL,
    TOOLCAT         DECIMAL (3)   NOT NULL,
    TOOLTYPE        DECIMAL (3)   NOT NULL,
    TOOLTAG         VARCHAR (64)  NOT NULL,
    TOOLSEQ         DECIMAL (3)   NOT NULL,
    TOOLDATA        LONG RAW,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPTOOLFRMTDATA2 ON APPTOOLFORMATDATA(APPSYSTNAME,APPNAME,LANGUE,
TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ);

-- New tables for persistence
2,CREATE  TABLE FORMPERSIST (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
	GRPNAME         VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    PERSCAT         DECIMAL (3)   NOT NULL,
    PERSTYPE        DECIMAL (3)   NOT NULL,
    PERSTAG         VARCHAR (64)  NOT NULL,
    PERSVALID       RAW     (128)  NOT NULL,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_FORMPERSIST2 ON FORMPERSIST(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,
PERSCAT,PERSTYPE,PERSTAG);
2,CREATE TABLE FORMPERSISTDATA ( 
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
	GRPNAME         VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    PERSCAT         DECIMAL (3)   NOT NULL,
    PERSTYPE        DECIMAL (3)   NOT NULL,
    PERSTAG         VARCHAR (64)  NOT NULL,
    PERSSEQ         DECIMAL (3)   NOT NULL,
    PERSDATA        LONG RAW,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG,PERSSEQ)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_FORMPERSISTDATA2 ON FORMPERSISTDATA(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,
PERSCAT,PERSTYPE,PERSTAG,PERSSEQ);

-- New table for Type Library
0,DROP TABLE MODTYPELIB;
2,CREATE TABLE MODTYPELIB ( 
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
	GUID            VARCHAR (48)  NOT NULL, 
	TYPELIBNAME     VARCHAR (64)  NOT NULL,
	TYPELIB         DECIMAL (3)   NOT NULL,
    MAJVERSION	    DECIMAL (3),
    MINVERSION	    DECIMAL (3),
	LCID            DECIMAL (9),
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GUID)
    ) ENABLE PRIMARY KEY USING INDEX;

-- New tables for CARDS
2,CREATE TABLE MODCARD(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    CARDNAME        VARCHAR (16)  NOT NULL,
    CARDOPT         DECIMAL (3),
    ATTRSVAL        VARCHAR2(4000),
    CARDDESC        LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME) )
    ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE MODCARDGRP(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    CARDNAME        VARCHAR (16)  NOT NULL,
    CARDGRPID       DECIMAL (10)  NOT NULL,
    GRPNAME         VARCHAR (16)  NOT NULL,
    FATHERCARDGRPID DECIMAL (10)  NOT NULL,
    GRPTYPE         DECIMAL (1)   NOT NULL,
    GRPINSTOPT      DECIMAL (2)   NOT NULL,
    DELAYREADING    DECIMAL (1)   NOT NULL,
    SQLCACHEOPT     DECIMAL (1)   NOT NULL,
    DATACACHESIZE   DECIMAL (10)  NOT NULL,
    DELCACHESIZE    DECIMAL (10)  NOT NULL,
    ISPKBROKEN      DECIMAL (1),
    AUTOINCMODE     DECIMAL (2),
    SEQNAME         VARCHAR (30),
    ATTRSVAL        VARCHAR2(4000),
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID) )
    ENABLE PRIMARY KEY USING INDEX;

-- New tables for GROUPS
2,CREATE TABLE MODGRP (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    GRPNAME         VARCHAR (16)  NOT NULL,
    TABLENAME       VARCHAR (30),
    ATTRSVAL        VARCHAR2(4000),
    GRPDESC         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODGRP2 ON MODGRP(APPSYSTNAME,MODNAME,GRPNAME);
2,CREATE TABLE MODGRPTXT (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    GRPNAME         VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    GRPHELP         LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODGRPTXT2 ON MODGRPTXT(APPSYSTNAME,MODNAME,GRPNAME,LANGUE);

-- New tables for HTMLFILES
2,CREATE TABLE MODHTMLFILE(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR (255) NOT NULL,
    HTMLFILENAME    VARCHAR (255) NOT NULL,
    HTMLOPT         DECIMAL (10)  NOT NULL,
    ISMULTILANGUAGE DECIMAL (3)   NOT NULL,
    ATTRSVAL        VARCHAR2(4000),
    HTMLFILEDESC    LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODHTMLFILE2 ON MODHTMLFILE(APPSYSTNAME,MODNAME,HTMLFILENAMEUC);
2,CREATE TABLE MODHTMLFILEASSIGN(
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    MODNAME         VARCHAR (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR (255) NOT NULL,
    HTMLFORMNAME    VARCHAR (255) NOT NULL,
    HTMLCTLNAME     VARCHAR (255) NOT NULL,
    GRPNAME         VARCHAR (16)  NOT NULL,
    FLDNAME         VARCHAR (30)  NOT NULL,
    ASSIGNTYPE      DECIMAL (3)   NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN2 ON MODHTMLFILEASSIGN(APPSYSTNAME,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);

-- New tables for user defined attributes
2,CREATE TABLE USRDEFATTRLST(
    ATTRLSTNAME     VARCHAR (16)  NOT NULL,
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    ATTRLSTNOTES    LONG VARCHAR,
    PRIMARY KEY (ATTRLSTNAME))
  ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE USRDEFATTRLSTSYS(
    ATTRLSTNAME     VARCHAR (16)  NOT NULL,
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    SECTFULLPATH    VARCHAR (80)  NOT NULL,
    PRIMARY KEY(ATTRLSTNAME,APPSYSTNAME,SECTFULLPATH))
  ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE USRDEFATTR(
    ATTRLSTNAME     VARCHAR (16)  NOT NULL,
    ATTRNAME        VARCHAR (16)  NOT NULL,
    ATTRPROMPT      VARCHAR (80),
    ATTRCAT         DECIMAL (2)   NOT NULL,
    ATTRTYPE        DECIMAL (3)   NOT NULL,
    ANSDEFAULT      VARCHAR (240),
    ANSCHOICE       VARCHAR (240),
    CTLTYPE         DECIMAL (3)   NOT NULL,
    ATTRMAXSIZE     DECIMAL (2)   NOT NULL,
    ATTRFLAGS       DECIMAL (3)   NOT NULL,
    ATTRHELP        LONG VARCHAR,
    PRIMARY KEY(ATTRLSTNAME,ATTRNAME,ATTRCAT)
    ) ENABLE PRIMARY KEY USING INDEX;
-- New tables for PROTEC
2,CREATE TABLE PROTFUNC (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    FUNCID          VARCHAR (16)  NOT NULL,
    ENTRYSYSTID     VARCHAR (16)  NOT NULL,
    ENTRYID         VARCHAR (16)  NOT NULL,
    FUNCCAT         VARCHAR (40),
    FUNCVALUE       VARCHAR (128) NOT NULL, 
    FUNCNOTES       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,FUNCID)
    ) ENABLE PRIMARY KEY USING INDEX;

2,CREATE TABLE PROTFUNCTXT (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    FUNCID          VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    FUNCNAME        VARCHAR (40)  NOT NULL,
    FUNCHELP        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,FUNCID,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;

2,CREATE TABLE PROTROLE (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    ROLEID          VARCHAR (16)  NOT NULL,
    ROLECAT         VARCHAR (40),
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    ROLENOTES       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,ROLEID)
    ) ENABLE PRIMARY KEY USING INDEX;

2,CREATE TABLE PROTROLETXT (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    ROLEID          VARCHAR (16)  NOT NULL,
    LANGUE          DECIMAL (3)   NOT NULL,
    ROLENAME        VARCHAR (40)  NOT NULL,
    ROLEHELP        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,ROLEID,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;

2,CREATE TABLE PROTROLEFUNC (
    APPSYSTNAME     VARCHAR (16)  NOT NULL,
    ROLEID          VARCHAR (16)  NOT NULL,
    FUNCID          VARCHAR (16)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,ROLEID,FUNCID)
    ) ENABLE PRIMARY KEY USING INDEX;

-- Insert a new security entry to allow import
0,INSERT INTO PROTENTRY(ENTRYSYSTID,ENTRYID,FULLNAME,DATATYPE,CONFLICTRES,DEFAULTVAL,SUPERVAL,ENTRYNOTES)
   VALUES('$SYSTEM','$REP_IMPORT_SYS', 'Permission to import systems', 1, 1, 'F', 'T', NULL);
