-- Drop all unused tables and views here...
0,DROP TABLE MGLINKSYSTSYST;
0,DROP TABLE MGLINKSYSTSECTION;
0,DROP TABLE MGLINKSYSTMOD;
0,DROP TABLE MGLINKSYSTTABLE;
0,DROP TABLE MGLINKSYSTCOL;
0,DROP TABLE MGLINKSYSTQUEST;

0,DROP VIEW SYSTAPPQUEST;
0,DROP VIEW SYSTAPPQUEST_V;
0,DROP VIEW APPQUEST_V;
0,DROP VIEW SYSTAPPQUESTTXT_V;
0,DROP VIEW SYSTINDEX_V;
0,DROP VIEW SYSTTABLE_V;
0,DROP VIEW SYSTCOL_V;

-- Add new colums to several tables
2,ALTER TABLE SYSTTABLECOL  ADD COLPHYSNAME         varchar(240)    NULL;
2,ALTER TABLE SYSTQUESTTXT  ADD ANSDEFAULT          varchar(240)    NULL;
2,ALTER TABLE APPQUESTTXT   ADD ANSDEFAULT          varchar(240)    NULL;
2,ALTER TABLE PROTASSIGN    ADD ASSIGNENTRYTYPE     smallint        NULL;
2,ALTER TABLE PROTUSR       ADD EMAIL               varchar(240)    NULL;
-- Add UDA
2,ALTER TABLE SYSTQUEST     ADD ATTRSVAL            varchar(4000)   NULL;
2,ALTER TABLE APPQUEST      ADD ATTRSVAL            varchar(4000)   NULL;
2,ALTER TABLE PROTUSR       ADD ATTRSVAL            varchar(4000)   NULL;
2,ALTER TABLE SYSTMODULE    ADD ATTRSVAL            varchar(4000)   NULL;
2,ALTER TABLE PROTCOMP      ADD ATTRSVAL            varchar(4000)   NULL;
-- Modify existing column
2,ALTER TABLE SYSTQUEST  ALTER COLUMN QUATTR        int             NULL;
2,ALTER TABLE SYSTQUEST  ALTER COLUMN ANSATTR       int             NULL;
2,ALTER TABLE SYSTQUEST  ALTER COLUMN INPMASK       varchar(240);
2,ALTER TABLE APPQUEST   ALTER COLUMN INPMASK       varchar(240);
2,ALTER TABLE APPBLOB    ALTER COLUMN BLOBDESC      text;
2,ALTER TABLE PROTASSIGN ALTER COLUMN USERCONTEXT   varchar(255) NOT NULL;

-- New tables for CARDS
2,CREATE TABLE MODCARD(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        CARDNAME        varchar    (16)    NOT NULL,
        CARDOPT         tinyint            NULL,
        ATTRSVAL        varchar  (4000)    NULL,
        CARDDESC        text               NULL);
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARD ON MODCARD(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME);
2,CREATE TABLE MODCARDGRP(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        CARDNAME        varchar    (16)    NOT NULL,
        CARDGRPID       smallint           NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        FATHERCARDGRPID smallint           NOT NULL,
        GRPTYPE         tinyint            NOT NULL,
        GRPINSTOPT      tinyint            NOT NULL,
        DELAYREADING    tinyint            NOT NULL,
        SQLCACHEOPT     tinyint            NOT NULL,
        DATACACHESIZE   int                NOT NULL,
        DELCACHESIZE    int                NOT NULL,
        ISPKBROKEN      int                NULL,
        AUTOINCMODE     int                NULL,
        SEQNAME         varchar  (30)      NULL,
        ATTRSVAL        varchar  (4000)    NULL);
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARDGRP ON MODCARDGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID);

-- New tables for GROUPS
2,CREATE TABLE MODGRP (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        TABLENAME       varchar    (30)    NULL,
        ATTRSVAL        varchar  (4000)    NULL,
        GRPDESC         text               NULL);
2,CREATE UNIQUE INDEX I_MODGRP ON MODGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME);
2,CREATE UNIQUE INDEX I_MODGRP2 ON MODGRP(APPSYSTNAME,MODNAME,GRPNAME);
2,CREATE TABLE MODGRPTXT (
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        LANGUE          smallint           NOT NULL,
        GRPHELP         text               NULL);
2,CREATE UNIQUE INDEX I_MODGRPTXT ON MODGRPTXT(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE);
2,CREATE UNIQUE INDEX I_MODGRPTXT2 ON MODGRPTXT(APPSYSTNAME,MODNAME,GRPNAME,LANGUE);

-- New tables for HTMLFILES
2,CREATE TABLE MODHTMLFILE(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        HTMLFILENAMEUC  varchar    (255)   NOT NULL,
        HTMLFILENAME    varchar    (255)   NOT NULL,
        HTMLOPT         int                NOT NULL,
        ISMULTILANGUAGE smallint           NOT NULL,
        ATTRSVAL        varchar  (4000)    NULL,
        HTMLFILEDESC    text               NULL);
2,CREATE UNIQUE INDEX I_MODHTMLFILE ON MODHTMLFILE(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC);
2,CREATE UNIQUE INDEX I_MODHTMLFILE2 ON MODHTMLFILE(APPSYSTNAME,MODNAME,HTMLFILENAMEUC);
2,CREATE TABLE MODHTMLFILEASSIGN(
        APPSYSTNAME     varchar    (16)    NOT NULL,
        SECTFULLPATH    varchar    (80)    NOT NULL,
        MODNAME         varchar    (16)    NOT NULL,
        HTMLFILENAMEUC  varchar    (255)   NOT NULL,
        HTMLFORMNAME    varchar    (255)   NOT NULL,
        HTMLCTLNAME     varchar    (255)   NOT NULL,
        GRPNAME         varchar    (16)    NOT NULL,
        FLDNAME         varchar    (30)    NOT NULL,
        ASSIGNTYPE      smallint           NOT NULL);
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN ON MODHTMLFILEASSIGN(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN2 ON MODHTMLFILEASSIGN(APPSYSTNAME,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);

-- New tables for user defined attributes
2,CREATE TABLE USRDEFATTRLST(
    ATTRLSTNAME	    varchar    (16) NOT NULL,
    CREATIONDATE    datetime        NULL,
    LASTMODIFDATE   datetime        NULL,
    ATTRLSTNOTES	text            NULL);
2,CREATE UNIQUE INDEX I_USRDEFATTRLST ON USRDEFATTRLST(ATTRLSTNAME);
2,CREATE TABLE USRDEFATTRLSTSYS(
    ATTRLSTNAME	    varchar    (16) NOT NULL,
    APPSYSTNAME	    varchar    (16) NOT NULL,
    SECTFULLPATH	varchar    (80) NOT NULL);
2,CREATE UNIQUE INDEX I_USRDEFATTRLSTSYS ON USRDEFATTRLSTSYS(ATTRLSTNAME,APPSYSTNAME,SECTFULLPATH);
2,CREATE TABLE USRDEFATTR(
    ATTRLSTNAME	    varchar    (16)  NOT NULL,
    ATTRNAME	    varchar    (16)  NOT NULL,
    ATTRPROMPT      varchar    (80)  NULL,
    ATTRCAT	    smallint         NOT NULL,
    ATTRTYPE	    smallint         NOT NULL,
    ANSDEFAULT      varchar    (240) NULL,
    ANSCHOICE	    varchar    (240) NULL,
    CTLTYPE	    smallint         NOT NULL,
    ATTRMAXSIZE     smallint         NOT NULL,
    ATTRFLAGS       smallint         NOT NULL,
    ATTRHELP	    text             NULL);
2,CREATE UNIQUE INDEX I_USRDEFATTR ON USRDEFATTR(ATTRLSTNAME,ATTRNAME,ATTRCAT);

-- New tables for PROTEC
2,CREATE TABLE PROTFUNC (
    APPSYSTNAME     varchar (16)  NOT NULL,
    FUNCID          varchar (16)  NOT NULL,
    ENTRYSYSTID     varchar (16)  NOT NULL,
    ENTRYID         varchar (16)  NOT NULL,
    FUNCCAT         varchar (40)  NULL,
    FUNCVALUE       varchar (128) NOT NULL, 
    FUNCNOTES       text          NULL);
2,CREATE  UNIQUE INDEX I_PROTFUNC ON PROTFUNC(APPSYSTNAME,FUNCID);

2,CREATE TABLE PROTFUNCTXT (
    APPSYSTNAME     varchar (16)  NOT NULL,
    FUNCID          varchar (16)  NOT NULL,
    LANGUE          smallint      NOT NULL,
    FUNCNAME        varchar (40)  NOT NULL,
    FUNCHELP        text          NULL);
2,CREATE  UNIQUE INDEX I_PROTFUNCTXT ON PROTFUNCTXT(APPSYSTNAME,FUNCID,LANGUE);

2,CREATE TABLE PROTROLE (
    APPSYSTNAME     varchar (16)  NOT NULL,
    ROLEID          varchar (16)  NOT NULL,
    ROLECAT         varchar (40)  NULL,
    CREATIONDATE    datetime      NULL,
    LASTMODIFDATE   datetime      NULL,
    ROLENOTES       text          NULL);
2,CREATE  UNIQUE INDEX I_PROTROLE ON PROTROLE(APPSYSTNAME,ROLEID);

2,CREATE TABLE PROTROLETXT (
    APPSYSTNAME     varchar (16)  NOT NULL,
    ROLEID          varchar (16)  NOT NULL,
    LANGUE          smallint      NOT NULL,
    ROLENAME        varchar (40)  NOT NULL,
    ROLEHELP        text          NULL);
2,CREATE  UNIQUE INDEX I_PROTROLETXT ON PROTROLETXT(APPSYSTNAME,ROLEID,LANGUE);

2,CREATE TABLE PROTROLEFUNC (
    APPSYSTNAME     varchar (16)  NOT NULL,
    ROLEID          varchar (16)  NOT NULL,
    FUNCID          varchar (16)  NOT NULL);
2,CREATE  UNIQUE INDEX I_PROTROLEFUNC ON PROTROLEFUNC(APPSYSTNAME,ROLEID,FUNCID);

-- Insert a new security entry to allow import
0,INSERT INTO PROTENTRY(ENTRYSYSTID,ENTRYID,FULLNAME,DATATYPE,CONFLICTRES,DEFAULTVAL,SUPERVAL,ENTRYNOTES)
   VALUES('$SYSTEM','$REP_IMPORT_SYS', 'Permission to import systems', 1, 1, 'F', 'T', NULL);

2,COMMIT;
