-- Drop all unused tables and views here...
0,DROP TABLE MGLINKSYSTSYST;
0,DROP TABLE MGLINKSYSTSECTION;
0,DROP TABLE MGLINKSYSTMOD;
0,DROP TABLE MGLINKSYSTTABLE;
0,DROP TABLE MGLINKSYSTCOL;
0,DROP TABLE MGLINKSYSTQUEST;

0,DROP VIEW SYSTAPPQUEST;
0,DROP VIEW SYSTAPPQUEST_V;
0,DROP VIEW APPQUEST_V;
0,DROP VIEW SYSTAPPQUESTTXT_V;
0,DROP VIEW SYSTINDEX_V;
0,DROP VIEW SYSTTABLE_V;
0,DROP VIEW SYSTCOL_V;

-- Add new colums to several tables
2,ALTER TABLE SYSTTABLECOL  ADD COLPHYSNAME     VARCHAR(240)   NULL;
2,ALTER TABLE SYSTQUESTTXT  ADD ANSDEFAULT      VARCHAR(240)   NULL;
2,ALTER TABLE APPQUESTTXT   ADD ANSDEFAULT      VARCHAR(240)   NULL;
2,ALTER TABLE PROTASSIGN    ADD ASSIGNENTRYTYPE DECIMAL(1);
2,ALTER TABLE PROTUSR       ADD EMAIL           VARCHAR(240);
-- Add UDA
2,ALTER TABLE SYSTQUEST     ADD ATTRSVAL        VARCHAR(4000)  NULL;
2,ALTER TABLE APPQUEST      ADD ATTRSVAL        VARCHAR(4000)  NULL;
2,ALTER TABLE PROTUSR       ADD ATTRSVAL        VARCHAR(4000)  NULL;
2,ALTER TABLE SYSTMODULE    ADD ATTRSVAL        VARCHAR(4000)  NULL;
2,ALTER TABLE PROTCOMP      ADD ATTRSVAL        VARCHAR(4000)  NULL;
-- Modify existing column                       
2,ALTER TABLE SYSTQUEST     MODIFY QUATTR                      NULL;
2,ALTER TABLE SYSTQUEST     MODIFY ANSATTR                     NULL;
2,ALTER TABLE SYSTQUEST     MODIFY INPMASK      VARCHAR (240)  NULL;
2,ALTER TABLE APPQUEST      MODIFY INPMASK      VARCHAR (240)  NULL;
2,ALTER TABLE APPBLOB       MODIFY BLOBDESC     LONG VARCHAR;
-- change USERCONTEXT size from 48 to 255
2,ALTER TABLE PROTASSIGN DROP PRIMARY KEY;
2,DROP  INDEX I_PROTASSIGN;
2,ALTER TABLE PROTASSIGN MODIFY USERCONTEXT  CHAR (255) NOT NULL;
2,ALTER TABLE PROTASSIGN ADD PRIMARY KEY(ENTRYSYSTID, ENTRYID, ASSIGNPRGTYPE, SYSTID, PRGID,
                                         USERCONTEXT, ASSIGNUSRTYPE, USRID, COMPID, STATIONID,
                                         DATESTART, DATEEND, TIMESTART, TIMEEND,
                                         WEEKDAYSTART, WEEKDAYEND);
2,CREATE  UNIQUE INDEX I_PROTASSIGN ON PROTASSIGN(ENTRYSYSTID,
                                                  ENTRYID,
                                                  ASSIGNPRGTYPE,
                                                  SYSTID,
                                                  PRGID,
                                                  USERCONTEXT,
                                                  ASSIGNUSRTYPE,
                                                  USRID,
                                                  COMPID,
                                                  STATIONID,
                                                  DATESTART,
                                                  DATEEND,
                                                  TIMESTART,
                                                  TIMEEND,
                                                  WEEKDAYSTART,
                                                  WEEKDAYEND);

-- New tables for CARDS
2,CREATE TABLE MODCARD(
    APPSYSTNAME         CHAR(16)    NOT NULL,
    SECTFULLPATH        CHAR(80)    NOT NULL,
    MODNAME             CHAR(16)    NOT NULL,
    CARDNAME            CHAR(16)    NOT NULL,
    CARDOPT             DECIMAL(3),
    ATTRSVAL            VARCHAR(4000),
    CARDDESC            VARCHAR(4096),
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME));
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARD ON MODCARD(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME);
2,CREATE TABLE MODCARDGRP(
    APPSYSTNAME         CHAR(16)    NOT NULL,
    SECTFULLPATH        CHAR(80)    NOT NULL,
    MODNAME             CHAR(16)    NOT NULL,
    CARDNAME            CHAR(16)    NOT NULL,
    CARDGRPID           SMALLINT    NOT NULL,
    GRPNAME             CHAR(16)    NOT NULL,
    FATHERCARDGRPID     SMALLINT    NOT NULL,
    GRPTYPE             DECIMAL(1)  NOT NULL,
    GRPINSTOPT          DECIMAL(2)  NOT NULL,
    DELAYREADING        DECIMAL(1)  NOT NULL,
    SQLCACHEOPT         DECIMAL(1)  NOT NULL,
    DATACACHESIZE       DECIMAL(10) NOT NULL,
    DELCACHESIZE        DECIMAL(10) NOT NULL,
    ISPKBROKEN          DECIMAL(1),
    AUTOINCMODE         DECIMAL(2),
    SEQNAME             VARCHAR(30),
    ATTRSVAL            VARCHAR(4000),
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID));
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARDGRP ON MODCARDGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID);

-- New tables for GROUPS
2,CREATE TABLE MODGRP (
    APPSYSTNAME     CHAR       (16) NOT NULL,
    SECTFULLPATH    CHAR       (80) NOT NULL,
    MODNAME         CHAR       (16) NOT NULL,
    GRPNAME         CHAR       (16) NOT NULL,
    TABLENAME       CHAR       (30)     NULL,
    ATTRSVAL        VARCHAR  (4000)     NULL,
    GRPDESC         LONG VARCHAR        NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME));
2,CREATE UNIQUE INDEX I_MODGRP ON MODGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME);
2,CREATE UNIQUE INDEX I_MODGRP2 ON MODGRP(APPSYSTNAME,MODNAME,GRPNAME);
2,CREATE TABLE MODGRPTXT (
    APPSYSTNAME     CHAR       (16) NOT NULL,
    SECTFULLPATH    CHAR       (80) NOT NULL,
    MODNAME         CHAR       (16) NOT NULL,
    GRPNAME         CHAR       (16) NOT NULL,
    LANGUE          DECIMAL     (3) NOT NULL,
    GRPHELP         LONG VARCHAR        NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE));
2,CREATE UNIQUE INDEX I_MODGRPTXT ON MODGRPTXT(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE);
2,CREATE UNIQUE INDEX I_MODGRPTXT2 ON MODGRPTXT(APPSYSTNAME,MODNAME,GRPNAME,LANGUE);

-- New tables for HTMLFILES
2,CREATE TABLE MODHTMLFILE(
    APPSYSTNAME     CHAR       (16)  NOT NULL,
    SECTFULLPATH    CHAR       (80)  NOT NULL,
    MODNAME         CHAR       (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR    (255) NOT NULL,
    HTMLFILENAME    VARCHAR    (255) NOT NULL,
    HTMLOPT         DECIMAL    (10)  NOT NULL,
    ISMULTILANGUAGE SMALLINT         NOT NULL,
    ATTRSVAL        VARCHAR(4000)        NULL,
    HTMLFILEDESC    LONG VARCHAR         NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC));
2,CREATE UNIQUE INDEX I_MODHTMLFILE ON MODHTMLFILE(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC);
2,CREATE UNIQUE INDEX I_MODHTMLFILE2 ON MODHTMLFILE(APPSYSTNAME,MODNAME,HTMLFILENAMEUC);
2,CREATE TABLE MODHTMLFILEASSIGN(
    APPSYSTNAME     CHAR       (16)  NOT NULL,
    SECTFULLPATH    CHAR       (80)  NOT NULL,
    MODNAME         CHAR       (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR    (255) NOT NULL,
    HTMLFORMNAME    VARCHAR    (255) NOT NULL,
    HTMLCTLNAME     VARCHAR    (255) NOT NULL,
    GRPNAME         CHAR       (16)  NOT NULL,
    FLDNAME         CHAR       (30)  NOT NULL,
    ASSIGNTYPE      SMALLINT         NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME));
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN ON MODHTMLFILEASSIGN(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN2 ON MODHTMLFILEASSIGN(APPSYSTNAME,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);

-- New tables for user defined attributes
2,CREATE TABLE USRDEFATTRLST(
    ATTRLSTNAME     CHAR       (16)  NOT NULL,
    CREATIONDATE    TIMESTAMP,
    LASTMODIFDATE   TIMESTAMP,
    ATTRLSTNOTES    VARCHAR  (8192),
    PRIMARY KEY(ATTRLSTNAME));
2,CREATE UNIQUE INDEX I_USRDEFATTRLST ON USRDEFATTRLST(ATTRLSTNAME);
2,CREATE TABLE USRDEFATTRLSTSYS(
    ATTRLSTNAME     CHAR       (16)  NOT NULL,
    APPSYSTNAME     CHAR       (16)  NOT NULL,
    SECTFULLPATH    CHAR       (80)  NOT NULL,
    PRIMARY KEY(ATTRLSTNAME,APPSYSTNAME,SECTFULLPATH));
2,CREATE UNIQUE INDEX I_USRDEFATTRLSTSYS ON USRDEFATTRLSTSYS(ATTRLSTNAME,APPSYSTNAME,SECTFULLPATH);
2,CREATE TABLE USRDEFATTR(
    ATTRLSTNAME     CHAR       (16)  NOT NULL,
    ATTRNAME        CHAR       (16)  NOT NULL,
    ATTRPROMPT      VARCHAR    (80),
    ATTRCAT         DECIMAL     (2)  NOT NULL,
    ATTRTYPE        DECIMAL     (3)  NOT NULL,
    ANSDEFAULT      VARCHAR   (240),
    ANSCHOICE       VARCHAR   (240),
    CTLTYPE         DECIMAL     (3)  NOT NULL,
    ATTRMAXSIZE     DECIMAL     (2)  NOT NULL,
    ATTRFLAGS       DECIMAL     (3)  NOT NULL,
    ATTRHELP        VARCHAR  (8192),
    PRIMARY KEY(ATTRLSTNAME,ATTRNAME,ATTRCAT));
2,CREATE UNIQUE INDEX I_USRDEFATTR ON USRDEFATTR(ATTRLSTNAME,ATTRNAME,ATTRCAT);
-- New tables for PROTEC
2,CREATE TABLE PROTFUNC (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    FUNCID          CHAR    (16) NOT NULL,
    ENTRYSYSTID     CHAR    (16) NOT NULL,
    ENTRYID         CHAR    (16) NOT NULL,
    FUNCCAT         CHAR    (40),
    FUNCVALUE       CHAR    (128),
    FUNCNOTES       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,FUNCID));
2,CREATE  UNIQUE INDEX I_PROTFUNC ON PROTFUNC(APPSYSTNAME,FUNCID);

2,CREATE TABLE PROTFUNCTXT (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    FUNCID          CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    FUNCNAME        CHAR    (40) NOT NULL,
    FUNCHELP        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,FUNCID,LANGUE));
2,CREATE  UNIQUE INDEX I_PROTFUNCTXT ON PROTFUNCTXT(APPSYSTNAME,FUNCID,LANGUE);

2,CREATE TABLE PROTROLE (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    ROLEID          CHAR    (16) NOT NULL,
    ROLECAT         CHAR    (40),
    CREATIONDATE    TIMESTAMP,
    LASTMODIFDATE   TIMESTAMP,
    ROLENOTES       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,ROLEID));
2,CREATE  UNIQUE INDEX I_PROTROLE ON PROTROLE(APPSYSTNAME,ROLEID);

2,CREATE TABLE PROTROLETXT (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    ROLEID          CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    ROLENAME        CHAR    (40) NOT NULL,
    ROLEHELP        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,ROLEID,LANGUE));
2,CREATE  UNIQUE INDEX I_PROTROLETXT ON PROTROLETXT(APPSYSTNAME,ROLEID,LANGUE);

2,CREATE TABLE PROTROLEFUNC (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    ROLEID          CHAR    (16) NOT NULL,
    FUNCID          CHAR    (16) NOT NULL,
    PRIMARY KEY(APPSYSTNAME,ROLEID,FUNCID));
2,CREATE  UNIQUE INDEX I_PROTROLEFUNC ON PROTROLEFUNC(APPSYSTNAME,ROLEID,FUNCID);

-- Insert a new security entry to allow import
0,INSERT INTO PROTENTRY(ENTRYSYSTID,ENTRYID,FULLNAME,DATATYPE,CONFLICTRES,DEFAULTVAL,SUPERVAL,ENTRYNOTES)
   VALUES('$SYSTEM','$REP_IMPORT_SYS', 'Permission to import systems', 1, 1, 'F', 'T', NULL);
