-- Drop all unused tables and views here...
0,DROP TABLE MGLINKSYSTSYST;
0,DROP TABLE MGLINKSYSTSECTION;
0,DROP TABLE MGLINKSYSTMOD;
0,DROP TABLE MGLINKSYSTTABLE;
0,DROP TABLE MGLINKSYSTCOL;
0,DROP TABLE MGLINKSYSTQUEST;

0,DROP VIEW SYSTAPPQUEST;
0,DROP VIEW SYSTAPPQUEST_V;
0,DROP VIEW APPQUEST_V;
0,DROP VIEW SYSTAPPQUESTTXT_V;
0,DROP VIEW SYSTINDEX_V;
0,DROP VIEW SYSTTABLE_V;
0,DROP VIEW SYSTCOL_V;

-- Add new colums to several tables
2,ALTER TABLE SYSTTABLECOL  ADD COLPHYSNAME VARCHAR(240)  NULL;
2,ALTER TABLE SYSTQUESTTXT  ADD ANSDEFAULT  VARCHAR(240)  NULL;
2,ALTER TABLE APPQUESTTXT   ADD ANSDEFAULT  VARCHAR(240)  NULL;
-- Add UDA
2,ALTER TABLE SYSTQUEST     ADD ATTRSVAL    VARCHAR(4000) NULL;
2,ALTER TABLE APPQUEST      ADD ATTRSVAL    VARCHAR(4000) NULL;
2,ALTER TABLE PROTUSR       ADD ATTRSVAL    VARCHAR(4000) NULL;
2,ALTER TABLE SYSTMODULE    ADD ATTRSVAL    VARCHAR(4000) NULL;
2,ALTER TABLE PROTCOMP      ADD ATTRSVAL    VARCHAR(4000) NULL;
-- Modify existing column
2,ALTER TABLE SYSTQUEST     MODIFY QUATTR                 NULL;
2,ALTER TABLE SYSTQUEST     MODIFY ANSATTR                NULL;
2,ALTER TABLE SYSTQUEST     MODIFY INPMASK  VARCHAR (240) NULL;
2,ALTER TABLE APPQUEST      MODIFY INPMASK  VARCHAR (240) NULL;

-- New tables for CARDS
2,CREATE TABLE MODCARD(
    APPSYSTNAME         CHAR(16)    NOT NULL,
    SECTFULLPATH        CHAR(80)    NOT NULL,
    MODNAME             CHAR(16)    NOT NULL,
    CARDNAME            CHAR(16)    NOT NULL,
    CARDOPT             DECIMAL(3),
    ATTRSVAL            VARCHAR(4000),
    CARDDESC            VARCHAR(4096),
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME));
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARD ON MODCARD(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME);
2,CREATE TABLE MODCARDGRP(
    APPSYSTNAME         CHAR(16)    NOT NULL,
    SECTFULLPATH        CHAR(80)    NOT NULL,
    MODNAME             CHAR(16)    NOT NULL,
    CARDNAME            CHAR(16)    NOT NULL,
    CARDGRPID           SMALLINT    NOT NULL,
    GRPNAME             CHAR(16)    NOT NULL,
    FATHERCARDGRPID     SMALLINT    NOT NULL,
    GRPTYPE             DECIMAL(1)  NOT NULL,
    GRPINSTOPT          DECIMAL(2)  NOT NULL,
    DELAYREADING        DECIMAL(1)  NOT NULL,
    SQLCACHEOPT         DECIMAL(1)  NOT NULL,
    DATACACHESIZE       DECIMAL(10) NOT NULL,
    DELCACHESIZE        DECIMAL(10) NOT NULL,
    ISPKBROKEN          DECIMAL(1),
    AUTOINCMODE         DECIMAL(2),
    SEQNAME             VARCHAR(30),
    ATTRSVAL            VARCHAR(4000),
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID));
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARDGRP ON MODCARDGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID);

-- New tables for GROUPS
2,CREATE TABLE MODGRP (
    APPSYSTNAME     CHAR       (16) NOT NULL,
    SECTFULLPATH    CHAR       (80) NOT NULL,
    MODNAME         CHAR       (16) NOT NULL,
    GRPNAME         CHAR       (16) NOT NULL,
    TABLENAME       CHAR       (30)     NULL,
    ATTRSVAL        VARCHAR  (4000)     NULL,
    GRPDESC         LONG VARCHAR        NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME));
2,CREATE UNIQUE INDEX I_MODGRP ON MODGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME);
2,CREATE UNIQUE INDEX I_MODGRP2 ON MODGRP(APPSYSTNAME,MODNAME,GRPNAME);
2,CREATE TABLE MODGRPTXT (
    APPSYSTNAME     CHAR       (16) NOT NULL,
    SECTFULLPATH    CHAR       (80) NOT NULL,
    MODNAME         CHAR       (16) NOT NULL,
    GRPNAME         CHAR       (16) NOT NULL,
    LANGUE          DECIMAL     (3) NOT NULL,
    GRPHELP         LONG VARCHAR        NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE));
2,CREATE UNIQUE INDEX I_MODGRPTXT ON MODGRPTXT(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE);
2,CREATE UNIQUE INDEX I_MODGRPTXT2 ON MODGRPTXT(APPSYSTNAME,MODNAME,GRPNAME,LANGUE);

-- New tables for HTMLFILES
2,CREATE TABLE MODHTMLFILE(
    APPSYSTNAME     CHAR       (16)  NOT NULL,
    SECTFULLPATH    CHAR       (80)  NOT NULL,
    MODNAME         CHAR       (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR    (255) NOT NULL,
    HTMLFILENAME    VARCHAR    (255) NOT NULL,
    HTMLOPT         DECIMAL    (10)  NOT NULL,
    ISMULTILANGUAGE SMALLINT         NOT NULL,
    ATTRSVAL        VARCHAR(4000)        NULL,
    HTMLFILEDESC    LONG VARCHAR         NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC));
2,CREATE UNIQUE INDEX I_MODHTMLFILE ON MODHTMLFILE(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC);
2,CREATE UNIQUE INDEX I_MODHTMLFILE2 ON MODHTMLFILE(APPSYSTNAME,MODNAME,HTMLFILENAMEUC);
2,CREATE TABLE MODHTMLFILEASSIGN(
    APPSYSTNAME     CHAR       (16)  NOT NULL,
    SECTFULLPATH    CHAR       (80)  NOT NULL,
    MODNAME         CHAR       (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR    (255) NOT NULL,
    HTMLFORMNAME    VARCHAR    (255) NOT NULL,
    HTMLCTLNAME     VARCHAR    (255) NOT NULL,
    GRPNAME         CHAR       (16)  NOT NULL,
    FLDNAME         CHAR       (30)  NOT NULL,
    ASSIGNTYPE      SMALLINT         NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME));
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN ON MODHTMLFILEASSIGN(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN2 ON MODHTMLFILEASSIGN(APPSYSTNAME,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);

-- New tables for user defined attributes
2,CREATE TABLE USRDEFATTRLST(
    ATTRLSTNAME     CHAR       (16)  NOT NULL,
    CREATIONDATE    TIMESTAMP,
    LASTMODIFDATE   TIMESTAMP,
    ATTRLSTNOTES    VARCHAR  (8192),
    PRIMARY KEY(ATTRLSTNAME));
2,CREATE UNIQUE INDEX I_USRDEFATTRLST ON USRDEFATTRLST(ATTRLSTNAME);
2,CREATE TABLE USRDEFATTRLSTSYS(
    ATTRLSTNAME     CHAR       (16)  NOT NULL,
    APPSYSTNAME     CHAR       (16)  NOT NULL,
    SECTFULLPATH    CHAR       (80)  NOT NULL,
    PRIMARY KEY(ATTRLSTNAME,APPSYSTNAME,SECTFULLPATH));
2,CREATE UNIQUE INDEX I_USRDEFATTRLSTSYS ON USRDEFATTRLSTSYS(ATTRLSTNAME,APPSYSTNAME,SECTFULLPATH);
2,CREATE TABLE USRDEFATTR(
    ATTRLSTNAME     CHAR       (16)  NOT NULL,
    ATTRNAME        CHAR       (16)  NOT NULL,
    ATTRPROMPT      VARCHAR    (80),
    ATTRCAT         DECIMAL     (2)  NOT NULL,
    ATTRTYPE        DECIMAL     (3)  NOT NULL,
    ANSDEFAULT      VARCHAR   (240),
    ANSCHOICE       VARCHAR   (240),
    CTLTYPE         DECIMAL     (3)  NOT NULL,
    ATTRMAXSIZE     DECIMAL     (2)  NOT NULL,
    ATTRFLAGS       DECIMAL     (3)  NOT NULL,
    ATTRHELP        VARCHAR  (8192),
    PRIMARY KEY(ATTRLSTNAME,ATTRNAME));
2,CREATE UNIQUE INDEX I_USRDEFATTR ON USRDEFATTR(ATTRLSTNAME,ATTRNAME);

-- Insert a new security entry to allow import
0,INSERT INTO PROTENTRY(ENTRYSYSTID,ENTRYID,FULLNAME,DATATYPE,CONFLICTRES,DEFAULTVAL,SUPERVAL,ENTRYNOTES)
   VALUES('$SYSTEM','$REP_IMPORT_SYS', 'Permission to import systems', 1, 1, 'F', 'T', NULL);


0,DROP TABLE PROTFUNC;
0,DROP TABLE PROTFUNCTXT;
0,DROP TABLE PROTROLE;
0,DROP TABLE PROTROLETXT;
0,DROP TABLE PROTROLEFUNC;

2,CREATE TABLE PROTFUNC (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    FUNCID          CHAR    (16) NOT NULL,
    ENTRYSYSTID     CHAR    (16) NOT NULL,
    ENTRYID         CHAR    (16) NOT NULL,
    FUNCCAT         CHAR    (40),
    FUNCVALUE       CHAR    (128),
    FUNCNOTES       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,FUNCID));
2,CREATE  UNIQUE INDEX I_PROTFUNC ON PROTFUNC(APPSYSTNAME,FUNCID);

2,CREATE TABLE PROTFUNCTXT (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    FUNCID          CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    FUNCNAME        CHAR    (40) NOT NULL,
    FUNCHELP        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,FUNCID,LANGUE));
2,CREATE  UNIQUE INDEX I_PROTFUNCTXT ON PROTFUNCTXT(APPSYSTNAME,FUNCID,LANGUE);

2,CREATE TABLE PROTROLE (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    ROLEID          CHAR    (16) NOT NULL,
    ROLECAT         CHAR    (40),
    CREATIONDATE    TIMESTAMP,
    LASTMODIFDATE   TIMESTAMP,
    ROLENOTES       LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,ROLEID));
2,CREATE  UNIQUE INDEX I_PROTROLE ON PROTROLE(APPSYSTNAME,ROLEID);

2,CREATE TABLE PROTROLETXT (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    ROLEID          CHAR    (16) NOT NULL,
    LANGUE          DECIMAL (3)  NOT NULL,
    ROLENAME        CHAR    (40) NOT NULL,
    ROLEHELP        LONG VARCHAR,
    PRIMARY KEY(APPSYSTNAME,ROLEID,LANGUE));
2,CREATE  UNIQUE INDEX I_PROTROLETXT ON PROTROLETXT(APPSYSTNAME,ROLEID,LANGUE);

2,CREATE TABLE PROTROLEFUNC (
    APPSYSTNAME     CHAR    (16) NOT NULL,
    ROLEID          CHAR    (16) NOT NULL,
    FUNCID          CHAR    (16) NOT NULL,
    PRIMARY KEY(APPSYSTNAME,ROLEID,FUNCID));
2,CREATE  UNIQUE INDEX I_PROTROLEFUNC ON PROTROLEFUNC(APPSYSTNAME,ROLEID,FUNCID);

2,ALTER TABLE PROTASSIGN ADD    ASSIGNENTRYTYPE DECIMAL  (1);
2,ALTER TABLE PROTUSR    ADD    EMAIL           VARCHAR  (240);
2,ALTER TABLE APPBLOB    MODIFY BLOBDESC        LONG VARCHAR;
-- change USERCONTEXT size from 48 to 255
2,ALTER TABLE PROTASSIGN DROP PRIMARY KEY;
2,DROP  INDEX I_PROTASSIGN;
2,ALTER TABLE PROTASSIGN MODIFY USERCONTEXT  CHAR (255) NOT NULL;
2,ALTER TABLE PROTASSIGN ADD PRIMARY KEY(ENTRYSYSTID, ENTRYID, ASSIGNPRGTYPE, SYSTID, PRGID,
                                         USERCONTEXT, ASSIGNUSRTYPE, USRID, COMPID, STATIONID,
                                         DATESTART, DATEEND, TIMESTART, TIMEEND,
                                         WEEKDAYSTART, WEEKDAYEND);
2,CREATE  UNIQUE INDEX I_PROTASSIGN ON PROTASSIGN(ENTRYSYSTID,
                                                  ENTRYID,
                                                  ASSIGNPRGTYPE,
                                                  SYSTID,
                                                  PRGID,
                                                  USERCONTEXT,
                                                  ASSIGNUSRTYPE,
                                                  USRID,
                                                  COMPID,
                                                  STATIONID,
                                                  DATESTART,
                                                  DATEEND,
                                                  TIMESTART,
                                                  TIMEEND,
                                                  WEEKDAYSTART,
                                                  WEEKDAYEND);

2,ALTER TABLE USRDEFATTR DROP PRIMARY KEY;
2,DROP INDEX I_USRDEFATTR;
2,ALTER TABLE USRDEFATTR ADD PRIMARY KEY(ATTRLSTNAME,ATTRNAME,ATTRCAT);
2,CREATE  UNIQUE INDEX I_USRDEFATTR  ON USRDEFATTR (ATTRLSTNAME,ATTRNAME,ATTRCAT);


2,ALTER TABLE USRDEFATTR MODIFY ATTRPROMPT char (80);
2,ALTER TABLE USRDEFATTR MODIFY ANSDEFAULT char (240);
2,ALTER TABLE USRDEFATTR MODIFY ANSCHOICE	 char (240);
2,ALTER TABLE USRDEFATTR DELETE ATTRHELP;
2,ALTER TABLE USRDEFATTR ADD ATTRHELP	 text;

2,ALTER TABLE SYSTSYST ADD APPSYSTNAMECASE CHAR(16);
2,ALTER TABLE SYSTSYST MODIFY SYSTDESC CHAR(80);
2,ALTER TABLE SYSTSECTION MODIFY SECTFULLNAME CHAR(80);
2,ALTER TABLE SYSTAPP ADD APPNAMECASE CHAR(16);
2,ALTER TABLE SYSTAPP ADD APPSDESC CHAR(80);
2,ALTER TABLE SYSTAPP MODIFY APPDEFQV  CHAR (30) NOT NULL;
2,ALTER TABLE SYSTAPP MODIFY APPDEFQH  CHAR (30);
2,ALTER TABLE SYSTAPP MODIFY APPDEFIMP CHAR (30);
2,ALTER TABLE SYSTAPP MODIFY APPDEFLST CHAR (30);
2,ALTER TABLE SYSTMODULE ADD MODNAMECASE CHAR (16);
2,ALTER TABLE SYSTMODULE MODIFY MODFULLNAME CHAR (80) NOT NULL;
2,ALTER TABLE SYSTCOL ADD COLNAMECASE CHAR (30);
2,ALTER TABLE SYSTTABLE ADD TABLENAMECASE CHAR (30);
2,ALTER TABLE SYSTTABLE ADD TABLESDESC CHAR (80);
2,ALTER TABLE SYSTTABLEIND ADD INDEXNAMECASE CHAR (128);
2,ALTER TABLE SYSTTABLEIND ADD INDEXSDESC CHAR (80);
2,ALTER TABLE SYSTTABLEFK ADD FKNAMECASE CHAR (128);
2,ALTER TABLE SYSTTABLEFK ADD FKSDESC CHAR (80);
2,ALTER TABLE SYSTQUEST ADD QUNAMECASE CHAR (30);
2,ALTER TABLE SYSTQUEST ADD QUSDESC CHAR (80);
2,ALTER TABLE SYSTQUEST ADD PROPNAME CHAR (80);
2,ALTER TABLE SYSTQUEST ADD LISTSQLNAME CHAR (80);
2,ALTER TABLE SYSTACTION MODIFY ACTIONFULLNAME CHAR (80) NOT NULL;
2,ALTER TABLE SYSTMITEM ADD MITEMSDESC CHAR (80);
2,ALTER TABLE SYSTMENULIST ADD MENUSDESC CHAR (80);
2,ALTER TABLE APPSTR MODIFY STRNAMECASE CHAR (80);
2,ALTER TABLE APPBLOB ADD BLOBNAMECASE CHAR (64);
2,ALTER TABLE APPBLOB ADD BLOBSDESC CHAR (80);
2,ALTER TABLE APPMACRO ADD CARDNAME CHAR (30);
2,ALTER TABLE APPMACROQUEST ADD QUSTATE int NULL;
2,ALTER TABLE MODHTMLFILEASSIGN MODIFY GRPNAME CHAR (30) NOT NULL;
2,ALTER TABLE MODGRP MODIFY GRPDESC CHAR (4000);
2,ALTER TABLE MODGRP ADD GRPNAMECASE CHAR (30);
2,ALTER TABLE MODGRP ADD GRPSDESC CHAR (80);
2,ALTER TABLE MODGRP ADD CLASSNAME CHAR (80);
2,ALTER TABLE MODGRP ADD DMLCMD TEXT NULL;

2,ALTER TABLE APPQUEST ADD PROPNAME CHAR (80);
2,ALTER TABLE APPQUEST MODIFY LISTSQLNAME CHAR (80);
2,ALTER TABLE MODCARD ADD CARDNAMECASE CHAR (30);
2,ALTER TABLE MODCARD ADD CARDSDESC CHAR (80);
2,ALTER TABLE MODCARD ADD CLASSNAME CHAR (80);
2,ALTER TABLE MODCARDGRP ADD CARDGRPSDESC CHAR (80);
2,ALTER TABLE MODCARDGRP ADD CLASSNAME CHAR (80);
2,ALTER TABLE MODCARDGRP ADD DMLCMD TEXT;
2,ALTER TABLE PROTENTRY MODIFY FULLNAME CHAR (80) NOT NULL;
2,ALTER TABLE PROTASSIGN ADD ASSIGNSDESC CHAR (80);
2,ALTER TABLE PROTUSR ADD USRSDESC CHAR (80);
2,ALTER TABLE PROTUSR MODIFY FULLNAME CHAR (80) NOT NULL;
2,ALTER TABLE PROTUSRGRP MODIFY FULLNAME CHAR (80) NOT NULL;
2,ALTER TABLE PROTCOMP ADD COMPSDESC CHAR (80);
2,ALTER TABLE PROTFUNC ADD FUNCSDESC CHAR (80);
2,ALTER TABLE PROTROLE ADD ROLESDESC CHAR (80);
2,ALTER TABLE PROTPRGGRP MODIFY FULLNAME CHAR (80) NOT NULL;
2,ALTER TABLE USRDEFATTRLST ADD ATTRLSTSDESC CHAR (80);
2,ALTER TABLE USRDEFATTR ADD ATTRSDESC CHAR (80);

2,ALTER TABLE SYSTTABLEIND DROP PRIMARY KEY;
2,DROP INDEX I_SYSTTABLEIND;
2,DROP INDEX I_SYSTTABLEIND2;
2,ALTER TABLE SYSTTABLEIND MODIFY INDEXNAME CHAR (128) NOT NULL;
2,ALTER TABLE SYSTTABLEIND ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME);
2,CREATE  UNIQUE INDEX I_SYSTTABLEIND  ON SYSTTABLEIND(APPSYSTNAME,
                                                       SECTFULLPATH,
                                                       TABLENAME,
                                                       INDEXNAME);
2,CREATE  UNIQUE INDEX I_SYSTTABLEIND2 ON SYSTTABLEIND(APPSYSTNAME,
                                                       TABLENAME,
                                                       INDEXNAME);


2,ALTER TABLE SYSTTABLEINDCOL DROP PRIMARY KEY;
2,DROP INDEX I_SYSTTABLEINDCOL;
2,DROP INDEX I_SYSTTABLEINDCOL2;
2,DROP INDEX I_SYSTTABLEINDCOL3;
2,ALTER TABLE SYSTTABLEINDCOL MODIFY INDEXNAME CHAR (128) NOT NULL;
2,ALTER TABLE SYSTTABLEINDCOL ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME,COLNAME);
2,CREATE  UNIQUE INDEX I_SYSTTABLEINDCOL  ON SYSTTABLEINDCOL(APPSYSTNAME,
                                                             SECTFULLPATH,
                                                             TABLENAME,
                                                             INDEXNAME,
                                                             COLNAME);
2,CREATE  UNIQUE INDEX I_SYSTTABLEINDCOL2 ON SYSTTABLEINDCOL(APPSYSTNAME,
                                                             TABLENAME,
                                                             INDEXNAME,
                                                             COLPOS);
2,CREATE  UNIQUE INDEX I_SYSTTABLEINDCOL3 ON SYSTTABLEINDCOL(APPSYSTNAME,
                                                             TABLENAME,
                                                             INDEXNAME,
                                                             COLNAME);


2,ALTER TABLE SYSTTABLEFK DROP PRIMARY KEY;
2,DROP INDEX I_SYSTTABLEFK;
2,DROP INDEX I_SYSTTABLEFK2;
2,ALTER TABLE SYSTTABLEFK MODIFY FKNAME CHAR (128) NOT NULL;
2,ALTER TABLE SYSTTABLEFK ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME);
2,CREATE  UNIQUE INDEX I_SYSTTABLEFK  ON SYSTTABLEFK(APPSYSTNAME,
                                                     SECTFULLPATH,
                                                     TABLENAME,
                                                     FKNAME);
2,CREATE  UNIQUE INDEX I_SYSTTABLEFK2 ON SYSTTABLEFK(APPSYSTNAME,
                                                     TABLENAME,
                                                     FKNAME);


2,ALTER TABLE SYSTTABLEFKCOL DROP PRIMARY KEY;
2,DROP INDEX I_SYSTTABLEFKCOL;
2,DROP INDEX I_SYSTTABLEFKCOL2;
2,DROP INDEX I_SYSTTABLEFKCOL3;
2,ALTER TABLE SYSTTABLEFKCOL MODIFY FKNAME CHAR (128) NOT NULL;
2,ALTER TABLE SYSTTABLEFKCOL ADD PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME,COLNAME);

2,CREATE  UNIQUE INDEX I_SYSTTABLEFKCOL  ON SYSTTABLEFKCOL(APPSYSTNAME,
                                                           SECTFULLPATH,
                                                           TABLENAME,
                                                           FKNAME,
                                                           COLNAME);
2,CREATE  UNIQUE INDEX I_SYSTTABLEFKCOL2 ON SYSTTABLEFKCOL(APPSYSTNAME,
                                                           TABLENAME,
                                                           FKNAME,
                                                           COLPOS);
2,CREATE  UNIQUE INDEX I_SYSTTABLEFKCOL3 ON SYSTTABLEFKCOL(APPSYSTNAME,
                                                           TABLENAME,
                                                           FKNAME,
                                                           COLNAME);

2,ALTER TABLE APPSTR DROP PRIMARY KEY;
2,DROP INDEX I_APPSTR ; 
2,DROP INDEX I_APPSTR2 ;

2,ALTER TABLE APPSTR MODIFY STRNAME CHAR (80) NOT NULL;
2,ALTER TABLE APPSTR ADD PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,STRTYPE,STRNAME);
2,CREATE UNIQUE INDEX I_APPSTR  ON APPSTR(APPSYSTNAME,
                                          SECTFULLPATH,
                                          MODNAME,
                                          LANGUE,
                                          STRTYPE,
                                          STRNAME);
2,CREATE UNIQUE INDEX I_APPSTR2 ON APPSTR(APPSYSTNAME,
                                          MODNAME,
                                          LANGUE,
                                          STRTYPE,
                                          STRNAME);

2,ALTER TABLE MODGRP DROP PRIMARY KEY;
2,DROP INDEX I_MODGRP ; 
2,DROP INDEX I_MODGRP2 ;

2,ALTER TABLE MODGRP MODIFY GRPNAME CHAR (30) NOT NULL;
2,ALTER TABLE MODGRP ADD     PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME);
2,CREATE UNIQUE INDEX I_MODGRP ON MODGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME);
2,CREATE UNIQUE INDEX I_MODGRP2 ON MODGRP(APPSYSTNAME,MODNAME,GRPNAME);


2,ALTER TABLE MODGRPTXT DROP PRIMARY KEY;
2,DROP INDEX I_MODGRPTXT ; 
2,DROP INDEX I_MODGRPTXT2 ;
2,ALTER TABLE MODGRPTXT MODIFY GRPNAME CHAR (30) NOT NULL;
2,ALTER TABLE MODGRPTXT ADD PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE);
2,CREATE UNIQUE INDEX I_MODGRPTXT ON MODGRPTXT(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE);
2,CREATE UNIQUE INDEX I_MODGRPTXT2 ON MODGRPTXT(APPSYSTNAME,MODNAME,GRPNAME,LANGUE);

2,ALTER TABLE APPQUEST DROP PRIMARY KEY;
2,DROP INDEX I_APPQUEST  ; 
2,DROP INDEX I_APPQUEST2 ;
2,ALTER TABLE APPQUEST MODIFY SQLNAME CHAR (80);
2,ALTER TABLE APPQUEST MODIFY GRPNAME CHAR (30) NOT NULL;
2,ALTER TABLE APPQUEST ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME);
2,CREATE  UNIQUE INDEX I_APPQUEST  ON APPQUEST(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME);
2,CREATE  UNIQUE INDEX I_APPQUEST2 ON APPQUEST(APPSYSTNAME,MODNAME,GRPNAME,QUNAME);

2,ALTER TABLE APPQUESTTXT DROP PRIMARY KEY;
2,DROP INDEX I_APPQUESTTXT  ; 
2,DROP INDEX I_APPQUESTTXT2 ;
2,ALTER TABLE APPQUESTTXT MODIFY GRPNAME CHAR (30) NOT NULL;
2,ALTER TABLE APPQUESTTXT ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME,LANGUE);
2,CREATE  UNIQUE INDEX I_APPQUESTTXT  ON APPQUESTTXT(APPSYSTNAME,
                                                     SECTFULLPATH,
                                                     MODNAME,
                                                     GRPNAME,
                                                     QUNAME,
                                                     LANGUE);
2,CREATE  UNIQUE INDEX I_APPQUESTTXT2 ON APPQUESTTXT(APPSYSTNAME,
                                                     MODNAME,
                                                     GRPNAME,
                                                     QUNAME,
                                                     LANGUE);

2,ALTER TABLE MODCARD DROP PRIMARY KEY;
2,DROP INDEX SD_PRIMARY_MODCARD ; 
2,ALTER TABLE MODCARD MODIFY CARDNAME CHAR (30) NOT NULL;
2,ALTER TABLE MODCARD ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME);
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARD ON MODCARD(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME);
2,ALTER TABLE MODCARDGRP DROP PRIMARY KEY;
2,DROP INDEX SD_PRIMARY_MODCARDGRP ; 
2,ALTER TABLE MODCARDGRP MODIFY CARDNAME CHAR (30) NOT NULL;
2,ALTER TABLE MODCARDGRP MODIFY GRPNAME CHAR (30)  NOT NULL;
2,ALTER TABLE MODCARDGRP ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID);
2,CREATE UNIQUE INDEX SD_PRIMARY_MODCARDGRP ON MODCARDGRP(APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID);


2,ALTER TABLE APPCTL DROP PRIMARY KEY;
2,DROP INDEX I_APPCTL  ; 
2,DROP INDEX I_APPCTL2 ;
2,ALTER TABLE APPCTL MODIFY GRPNAME CHAR (30);
2,ALTER TABLE APPCTL ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,CTLUNIQUEID);
2,CREATE UNIQUE INDEX I_APPCTL  ON APPCTL(APPSYSTNAME,
                                          SECTFULLPATH,
                                          MODNAME,
                                          GRPNAME,
                                          LANGUE,
                                          CTLUNIQUEID);
2,CREATE UNIQUE INDEX I_APPCTL2 ON APPCTL(APPSYSTNAME,
                                          MODNAME,
                                          GRPNAME,
                                          LANGUE,
                                          CTLUNIQUEID);
2,ALTER TABLE APPIMPANS DROP PRIMARY KEY;
2,DROP INDEX I_APPIMPANS  ; 
2,DROP INDEX I_APPIMPANS2 ;
2,ALTER TABLE APPIMPANS MODIFY GRPNAME CHAR (30) NOT NULL;
2,ALTER TABLE APPIMPANS ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,RIACCESS,RIRELNAME,GRPNAME,QUNAME);
2,CREATE  UNIQUE INDEX I_APPIMPANS  ON APPIMPANS(APPSYSTNAME,
                                                 SECTFULLPATH,
                                                 APPNAME,
                                                 LANGUE,
                                                 RIACCESS,
                                                 RIRELNAME,
                                                 GRPNAME,
                                                 QUNAME);
2,CREATE  UNIQUE INDEX I_APPIMPANS2 ON APPIMPANS(APPSYSTNAME,
                                                 APPNAME,
                                                 LANGUE,
                                                 RIACCESS,
                                                 RIRELNAME,
                                                 GRPNAME,
                                                 QUNAME);
2,ALTER TABLE FORMPERSIST DROP PRIMARY KEY;
2,DROP INDEX I_FORMPERSIST1 ; 
2,DROP INDEX I_FORMPERSIST2 ;
2,ALTER TABLE FORMPERSIST MODIFY GRPNAME CHAR (30) NOT NULL;
2,ALTER TABLE FORMPERSIST ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG);
2,CREATE UNIQUE INDEX I_FORMPERSIST1 ON FORMPERSIST(APPSYSTNAME,
						    SECTFULLPATH,
						    MODNAME,
					            GRPNAME,
						    LANGUE,
                                                    PERSCAT,
                                                    PERSTYPE,
                                                    PERSTAG);
2,CREATE UNIQUE INDEX I_FORMPERSIST2 ON FORMPERSIST(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG);
2,ALTER TABLE FORMPERSISTDATA DROP PRIMARY KEY;
2,DROP INDEX I_FORMPERSISTDATA1 ; 
2,DROP INDEX I_FORMPERSISTDATA2 ;
2,ALTER TABLE FORMPERSISTDATA MODIFY GRPNAME CHAR (30) NOT NULL;
2,ALTER TABLE FORMPERSISTDATA ADD PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG,PERSSEQ);
2,CREATE UNIQUE INDEX I_FORMPERSISTDATA1 ON FORMPERSISTDATA(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG,PERSSEQ);
2,CREATE UNIQUE INDEX I_FORMPERSISTDATA2 ON FORMPERSISTDATA(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG,PERSSEQ);

2,ALTER TABLE APPPRTDEF DROP PRIMARY KEY;
2,DROP INDEX I_APPPRTDEF  ; 
2,DROP INDEX I_APPPRTDEF2 ;
2,ALTER TABLE APPPRTDEF MODIFY GRPNAME CHAR (30) NOT NULL;
2,ALTER TABLE APPPRTDEF ADD     PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,APPNAME,PRTACCESS,PRTRELNAME,GRPNAME,QUNAME);
2,CREATE  UNIQUE INDEX I_APPPRTDEF  ON APPPRTDEF(APPSYSTNAME,
                                                 SECTFULLPATH,
                                                 APPNAME,
                                                 PRTACCESS,
                                                 PRTRELNAME,
                                                 GRPNAME,
                                                 QUNAME);
2,CREATE  UNIQUE INDEX I_APPPRTDEF2 ON APPPRTDEF(APPSYSTNAME,
                                                 APPNAME,
                                                 PRTACCESS,
                                                 PRTRELNAME,
                                                 GRPNAME,
                                                 QUNAME);





