0,DROP TABLE DEMO_ADDRESS;
0,DROP TABLE DEMO_CLIENT;
0,DROP TABLE DEMO_PHONE;
0,DROP TABLE DEMO_COMPANY;
2,CREATE TABLE DEMO_CLIENT(
        CLIENTCODE          char(16)                NOT NULL,
        CLIENTFIRSTNAME     varchar(40)             NULL,
        CLIENTLASTNAME      char(40)                NOT NULL,
        CLIENTTYPE          int                     NOT NULL,
        CIECODE             varchar(16)             NULL,
        CLIENTSALESTODATE   decimal(18,2)           NOT NULL,
        CREATIONDATE        datetime                NOT NULL,
        MODIFICATIONDATE    datetime                NOT NULL,
        DESCRIPTION         varchar(32767)          NULL,
    PRIMARY KEY (CLIENTCODE));
2,CREATE UNIQUE INDEX I_DEMO_CLIENT ON DEMO_CLIENT(CLIENTCODE);
2,CREATE TABLE DEMO_ADDRESS(
        CLIENTCODE          char(16)                NOT NULL, 
        ADDRESSCODE         integer                 PRIMARY KEY AUTOINCREMENT NOT NULL,
        ADDRESS_LINE1       varchar(80)             NOT NULL,
        ADDRESS_LINE2       varchar(80)             NULL,
        CITY                varchar(40)             NOT NULL,
        POSTALCODE          varchar(6)              NOT NULL,
        PROVINCE            varchar(2)              NULL);
2,CREATE UNIQUE INDEX I_DEMO_ADDRESS ON DEMO_ADDRESS(CLIENTCODE, ADDRESSCODE);
2,CREATE TABLE DEMO_PHONE(
        CLIENTCODE          char(16)                NOT NULL,
        ADDRESSCODE         integer                 NOT NULL,
        PHONECODE           integer                 PRIMARY KEY AUTOINCREMENT NOT NULL,
        PHONETYPE           integer                 NOT NULL,
        PHONENUMBER         varchar(15)             NOT NULL);
2,CREATE UNIQUE INDEX I_DEMO_PHONE ON DEMO_PHONE(CLIENTCODE, ADDRESSCODE, PHONECODE);
2,CREATE TABLE DEMO_COMPANY(
        CIECODE             varchar(16)              NOT NULL,
        CIENAME             varchar(80)              NULL,
    PRIMARY KEY (CIECODE));
2,CREATE UNIQUE INDEX I_DEMO_COMPANY ON DEMO_COMPANY(CIECODE);
2,COMMIT;
2,INSERT INTO DEMO_COMPANY(CIECODE, CIENAME) VALUES ('CONSYST', 'Consyst SQL Inc.');
2,INSERT INTO DEMO_COMPANY(CIECODE, CIENAME) VALUES ('MSFT',    'Microsoft Corp.');
2,INSERT INTO DEMO_COMPANY(CIECODE, CIENAME) VALUES ('IBM',     'International Business Machine');
2,INSERT INTO DEMO_COMPANY(CIECODE, CIENAME) VALUES ('SUN',     'Sun Microsystem Inc.');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('BRANMICK','Mickal','Brand',3,'CONSYST',100000.00,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('CHIRMARI','Marie','Chirac',6,'MSFT',2050.00,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'En poste  Paris');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('CLAUDAN','Clauss','Dan',5,'IBM',5.00,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'Petite association ayant attrait  la culture Amricaine');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('FERRALDO','Aldo','Ferrarini',3,'SUN',250.00,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('FLEUSYLV','Sylvain','Fleury',4,'CONSYST',6000.00,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('JEANMARI','Mario','Jean',1,'MSFT',200.00,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('LULUCY','Lucy','Lu',6,'IBM',1000000.00,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'Cliente en poste  Pekin');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('STRAAAR','Aaron','Strauss',2,'SUN',99999.90,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('THIEANTH','Anthony','Thierry',6,'CONSYST',150.00,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'Employ de Consyst SQL');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('TREMPIER','Pierre','Tremblay',2,'MSFT',50000.00,SD_CURRENT_TIMESTAMP,SD_CURRENT_TIMESTAMP,'');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'THIEANTH','120 Rue Martineau','','Saint-Hubert','J5J2J6','PQ');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'THIEANTH','121 Rue Bethoven','','Mauguio','34130','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FLEUSYLV','9585 Rue Cavendish','','Montral','H5C2J6','PQ');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FLEUSYLV','1001, Boulevard De Maisonneuve Ouest','6e tage','Montral','H3A3C8','PQ');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'BRANMICK','2525 March Fields','','Winnipeg','R7E1H7','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'STRAAAR', '1452 Boulevard John Kennedy','','Toronto','K6V1E4','ON');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'JEANMARI','639 Rue Sainte-le','','Saint-Eustache','J0N1G4','PQ');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'TREMPIER','555 Rue Sainte-Marie','','Alma','H8C1A5','PQ');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FERRALDO','160 Rue Plazia','','Winnipeg','K1A1H5','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FERRALDO','160 Rue Plazia','','Winnipeg','K1A1H5','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FERRALDO','160 Rue Plazia','','Winnipeg','K1A1H5','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'BRANMICK','120 rue Latulipe','','Ottawa','H3A3C8','ON');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('BRANMICK',5,1,'(745) 121-1020');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',3,1,'(514) 965-7437');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',3,2,'(514) 868-5000');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',3,4,'(514) 580-1020');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',4,1,'(514) 849-7431');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',4,3,'(514) 849-8125');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('JEANMARI',7,2,'(514) 100-1020');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('THIEANTH',1,1,'(450) 411-1001');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('THIEANTH',1,2,'(514) 689-1212');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONETYPE,PHONENUMBER)
    VALUES ('THIEANTH',2,1,'(450) 491-2266');
2,COMMIT;
