0,DROP SEQUENCE DEMO_SEQ;
2,CREATE SEQUENCE DEMO_SEQ
        INCREMENT BY 1
        START WITH 100
        NOMAXVALUE
        NOMINVALUE
        NOCYCLE
        CACHE 20;
0,DROP TABLE DEMO_ADDRESS;
0,DROP TABLE DEMO_CLIENT;
0,DROP TABLE DEMO_PHONE;
0,DROP TABLE DEMO_COMPANY;
2,CREATE TABLE DEMO_CLIENT(
        CLIENTCODE          CHAR(16)                NOT NULL,
        CLIENTFIRSTNAME     VARCHAR2(40),
        CLIENTLASTNAME      CHAR(40)                NOT NULL,
        CLIENTTYPE          NUMBER                  NOT NULL,
        CIECODE             CHAR(16),
        CLIENTSALESTODATE   NUMBER(18,2)            NOT NULL,
        CREATIONDATE        DATE                    NOT NULL,
        MODIFICATIONDATE    DATE                    NOT NULL,
        DESCRIPTION         LONG,
    PRIMARY KEY (CLIENTCODE))
  ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE DEMO_ADDRESS(
        CLIENTCODE          CHAR(16)                NOT NULL,
        ADDRESSCODE         NUMBER                  NOT NULL,
        ADDRESS_LINE1       VARCHAR2(80)            NOT NULL,
        ADDRESS_LINE2       VARCHAR2(80),
        CITY                VARCHAR2(40)            NOT NULL,
        POSTALCODE          VARCHAR2(6)             NOT NULL,
        PROVINCE            VARCHAR2(2),
    PRIMARY KEY (CLIENTCODE,ADDRESSCODE))
  ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE DEMO_PHONE(
        CLIENTCODE          CHAR(16)                NOT NULL,
        ADDRESSCODE         NUMBER                  NOT NULL,
        PHONECODE           NUMBER                  NOT NULL,
        PHONETYPE           NUMBER                  NOT NULL,        
        PHONENUMBER         VARCHAR2(15)            NOT NULL,
    PRIMARY KEY (CLIENTCODE,ADDRESSCODE,PHONECODE))
  ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE DEMO_COMPANY(
        CIECODE             CHAR(16)                NOT NULL,
        CIENAME             CHAR(80),
    PRIMARY KEY (CIECODE))
  ENABLE PRIMARY KEY USING INDEX;
2,INSERT INTO DEMO_COMPANY(CIECODE, CIENAME) VALUES ('CONSYST', 'Consyst SQL Inc.');
2,INSERT INTO DEMO_COMPANY(CIECODE, CIENAME) VALUES ('MSFT',    'Microsoft Corp.');
2,INSERT INTO DEMO_COMPANY(CIECODE, CIENAME) VALUES ('IBM',     'International Business Machine');
2,INSERT INTO DEMO_COMPANY(CIECODE, CIENAME) VALUES ('SUN',     'Sun Microsystem Inc.');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('BRANMICK','Mickal','Brand',3,'CONSYST',100000.00,SYSDATE,SYSDATE,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('CHIRMARI','Marie','Chirac',6,'MSFT',2050.00,SYSDATE,SYSDATE,'En poste  Paris');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('CLAUDAN ','Clauss','Dan',5,'IBM',5.00,SYSDATE,SYSDATE,'Petite association ayant attrait  la culture Amricaine');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('FERRALDO','Aldo','Ferrarini',3,'SUN',250.00,SYSDATE,SYSDATE,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('FLEUSYLV','Sylvain','Fleury',4,'CONSYST',6000.00,SYSDATE,SYSDATE,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('JEANMARI','Mario','Jean',1,'MSFT',200.00,SYSDATE,SYSDATE,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('LULUCY','Lucy','Lu',6,'IBM',1000000.00,SYSDATE,SYSDATE,'Cliente en poste  Pekin');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('STRAAAR','Aaron','Strauss',2,'SUN',99999.90,SYSDATE,SYSDATE,'');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('THIEANTH','Anthony','Thierry',6,'CONSYST',150.00,SYSDATE,SYSDATE,'Employ de Consyst SQL');
2,INSERT INTO DEMO_CLIENT (CLIENTCODE,CLIENTFIRSTNAME,CLIENTLASTNAME,CLIENTTYPE,CIECODE,CLIENTSALESTODATE,CREATIONDATE,MODIFICATIONDATE,DESCRIPTION)
    VALUES ('TREMPIER','Pierre','Tremblay',2,'MSFT',50000.00,SYSDATE,SYSDATE,'');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'BRANMICK',8,'2525 March Fields','','Winnipeg','R7E1H7','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'BRANMICK',15,'120 rue Latulipe','','Ottawa','H3A3C8','ON');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FERRALDO',12,'160 Rue Plazia','','Winnipeg','K1A1H5','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FERRALDO',13,'160 Rue Plazia','','Winnipeg','K1A1H5','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FERRALDO',14,'160 Rue Plazia','','Winnipeg','K1A1H5','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FLEUSYLV',6,'9585 Rue Cavendish','','Montral','H5C2J6','PQ');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'FLEUSYLV',7,'1001, Boulevard De Maisonneuve Ouest','6e tage','Montral','H3A3C8','PQ');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'JEANMARI',10,'639 Rue Sainte-le','','Saint-Eustache','J0N1G4','PQ');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'STRAAAR ',9,'1452 Boulevard John Kennedy','','Toronto','K6V1E4','ON');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'THIEANTH',3,'120 Rue Martineau','','Saint-Hubert','J5J2J6','PQ');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'THIEANTH',4,'121 Rue Bethoven','','Mauguio','34130','AB');
2,INSERT INTO DEMO_ADDRESS(CLIENTCODE,ADDRESSCODE,ADDRESS_LINE1,ADDRESS_LINE2,CITY,POSTALCODE,PROVINCE) VALUES (
    'TREMPIER',11,'555 Rue Sainte-Marie','','Alma','H8C1A5','PQ');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('BRANMICK',8,9,1,'(745) 121-1020');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',6,4,1,'(514) 965-7437');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',6,5,2,'(514) 868-5000');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',6,6,4,'(514) 580-1020');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',7,7,1,'(514) 849-7431');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('FLEUSYLV',7,8,3,'(514) 849-8125');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('JEANMARI',10,10,2,'(514) 100-1020');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('THIEANTH',3,1,1,'(450) 411-1001');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('THIEANTH',3,2,2,'(514) 689-1212');
2,INSERT INTO DEMO_PHONE (CLIENTCODE,ADDRESSCODE,PHONECODE,PHONETYPE,PHONENUMBER)
    VALUES ('THIEANTH',4,3,1,'(450) 491-2266');
2,COMMIT;
