//
// Rep++ Framework for Windows Application
// Copyright (C) 2005 Consyst SQL Inc.
// All Rights Reserved
//
// This source code is only intended as a supplement to the
// Rep++ Studio products.
//
using System;
using System.Collections;
using System.Windows.Forms;
using RepPP;
using RepPP.Toolkit.Window;

namespace RepPP.Framework.Window {
    /// <summary>
    /// The IAskForPrimaryKey is the interface called to popup a form
    /// to ask for the primary key.
    /// </summary>
    public interface IAskForPrimaryKey {
        /// <summary>
        /// AskForPrimaryKey        Asks the user to specify a primary key
        /// </summary>
        /// <param name="arrFldDef">PK Field Definition</param>
        /// <param name="arrNewPK"> PK Field Values</param>
        /// <returns>
        /// True if successful, false otherwise
        /// </returns>
        bool        AskForPrimaryKey(out FieldDef[] arrFldDef, out string[] arrNewPK);
    }
}