//
// Rep++ Framework for Windows Application
// Copyright (C) 2007 Consyst SQL Inc.
// All Rights Reserved
//
// This source code is only intended as a supplement to the
// Rep++ Studio products.
//
using System;
using System.Collections;
using System.Windows.Forms;
using RepPP;

namespace RepPP.Framework.Window {
    /// <summary>
    /// The ISupportDirectSearch is the interface that indicates that its implementor
    /// supports direct search.
    /// </summary>
    public interface ISupportDirectSearch {
        /// <summary>
        /// Checks if the field is a direct search field
        /// </summary>
        /// <param name="fldDef">          Field definition to be checked</param>
        /// <returns>
        /// True if the field is a direct search field, false otherwise
        /// </returns>
        bool        IsDirectSearchField(FieldDef fldDef);

        /// <summary>
        /// Executes a direct search using the specified field and value
        /// </summary>
        /// <param name="fldDef">          Direct search field</param>
        /// <param name="strSearchVal"> Direct search field value</param>
        void        ExecuteDirectSearch(FieldDef fldDef, string strSearchVal);
    }
}
