﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms.Design;

namespace RepPP.Toolkit.Designer {

    //********************************************************************************
    //
    /// <summary>
    /// Implement a popup listbox to be used to display the list of group or field
    ///  for edition in a drop-down
    /// </summary>
    //
    //********************************************************************************
    internal class PopupListBox : System.Windows.Forms.ListBox {
        /// <summary>Service which handle the dropdown</summary>
        private IWindowsFormsEditorService m_edSvc;

        //********************************************************************************
        //
        /// <summary>
        /// ctor:                   Class constructor
        /// </summary>
        /// <param name="edSvc">    Service hanling the dropdown</param>
        //
        //********************************************************************************
        public PopupListBox(IWindowsFormsEditorService edSvc) {
            m_edSvc = edSvc;
        }

        //********************************************************************************
        //
        /// <summary>
        /// OnSelectedIndexChanged:     Call when the selected item changed
        /// </summary>
        /// <param name="e">            Event parameter</param>
        //
        //********************************************************************************
        protected override void OnSelectedIndexChanged(EventArgs e) {
            base.OnSelectedIndexChanged(e);
            m_edSvc.CloseDropDown();
        }
    } // End Class PopupListBox
} // End Namespace
