using System;
using RepPP;

namespace RepPP.Toolkit {

    //********************************************************************************
    //
	/// <summary>
	/// ISBDataAcess:         Interface for selection buffer data accessor
	/// </summary>
    //
    //********************************************************************************
	public interface ISBDataAccess : IDisposable {

        //********************************************************************************
        //
	    /// <summary>
	    /// LoadSelectionBufferData:        Load the selection buffer data from the database
	    /// </summary>
	    /// <param name="rowsetTree">       Rowset tree used to return the data</param>
	    /// <param name="strWhereClause">   Where Clause</param>
	    /// <returns>
	    /// Error code
	    /// </returns>
	    //
        //********************************************************************************
        int LoadSelectionBufferData(RowsetTree rowsetTree, string strWhereClause);
    }
}
