using System;
using RepPP;

namespace RepPP.Toolkit {

    //********************************************************************************
    //
	/// <summary>
	/// ISBDataAccessWithDirectSearch:         Interface for selection buffer data access
    ///                                        that works with direct search
	/// </summary>
    //
    //********************************************************************************
	public interface ISBDataAccessWithDirectSearch : ISBDataAccess {

        //********************************************************************************
        //
	    /// <summary>
	    /// LoadSelectionBufferData:        Load the selection buffer data from the database
	    /// </summary>
	    /// <param name="rowsetTree">       Rowset tree used to return the data</param>
	    /// <param name="strWhereClause">   Where Clause</param>
        /// <param name="strJoinClause">    Join Clause</param>
	    /// <returns>
	    /// Error code
	    /// </returns>
	    //
        //********************************************************************************
        int LoadSelectionBufferData(RowsetTree rowsetTree, string strWhereClause, string strJoinClause);
    }
}
