using System;
using RepPP.Toolkit;

namespace RepPP.Toolkit {

    //********************************************************************************
    //
	/// <summary>
	/// Class for Web Services object generators in VB
	/// </summary>
	//
    //********************************************************************************
	public class WebServicesGenForVB : WebServicesGenBase {
        const string m_strRowsetTreeDefCode = 
@"
{0}''' <summary>
{0}''' {1}
{0}''' </summary>
{0}Public ReadOnly Property WebServicesManager() As WebServices
{0}    Get
{0}        If m_webServ Is Nothing Then
{0}            m_webServ = New WebServices(Me)
{0}        End If
{0}        Return m_webServ
{0}    End Get
{0}End Property

{0}''' <summary>
{0}''' {2}
{0}''' </summary>
{0}Public Class WebServices
{0}    ''' <summary>
{0}    ''' {3}
{0}    ''' </summary>
{0}    Private m_typedRowsetTree As RepPP.TypedRowsetTreeBase

{0}    ''' <summary>
{0}    ''' {4}
{0}    ''' </summary>
{0}    ''' <param name=""typedRowsetTree"">{5}</param>
{0}    Public Sub New(ByVal typedRowsetTree As RepPP.TypedRowsetTreeBase)
{0}        m_typedRowsetTree = typedRowsetTree
{0}    End Sub

{6}

{7}
{0}End Class ' class WebServices
";
	    const string m_strRowsetTreeDefFunc =
@"
{0}'''<summary>
{0}''' SaveToObject:                     {2}
{0}'''</summary>
{0}''' <return>
{0}''' {3}
{0}''' </return>
{0}Public Overridable Function SaveToObject() As {1}
{0}    Return SaveToObject(False, RepPP.WebServicesUtil.LineTypes.AllLine)
{0}End Function

{0}'''<summary>
{0}''' SaveToObject:                   {2}
{0}'''</summary>
{0}''' <param name=""bExtValue"">        {4}</param>
{0}''' <param name=""eLineType"">        {5}</param>
{0}''' <return>
{0}''' {3}
{0}''' </return>
{0}Public Overridable Function SaveToObject(bExtValue As Boolean, eLineType As RepPP.WebServicesUtil.LineTypes) As {1}
{0}    Return CType(m_typedRowsetTree.WebServicesUtil.SaveRowsetTreeToObject(m_typedRowsetTree, bExtValue, eLineType, GetType({1})), {1})
{0}End Function

{0}'''<summary>
{0}''' SaveToObject:                   {2}
{0}'''</summary>
{0}''' <param name=""type"">             {6}</param>
{0}''' <return>
{0}''' {3}
{0}''' </return>
{0}Public Overridable Function SaveToObject(type AS Type) As object
{0}    Return SaveToObject(False, RepPP.WebServicesUtil.LineTypes.AllLine, type)
{0}End Function

{0}'''<summary>
{0}''' SaveToObject:                   {2}
{0}'''</summary>
{0}''' <param name=""bExtValue"">        {4}</param>
{0}''' <param name=""eLineType"">        {5}</param>
{0}''' <param name=""type"">             {6}</param>
{0}''' <return>
{0}''' {3}
{0}''' </return>
{0}Public Overridable Function SaveToObject(bExtValue As Boolean, eLineType As RepPP.WebServicesUtil.LineTypes, type AS Type) As object
{0}    Return m_typedRowsetTree.WebServicesUtil.SaveRowsetTreeToObject(m_typedRowsetTree, bExtValue, eLineType, type)
{0}End Function

{0}'''<summary>
{0}''' LoadFromObject:                 {7}
{0}'''</summary>
{0}''' <param name=""obj"">              {8}</param>
{0}Public Overridable Sub LoadFromObject(obj As object)
{0}    LoadFromObject(obj, False, False)
{0}End Sub

{0}'''<summary>
{0}''' LoadFromObject:                 {7}
{0}'''</summary>
{0}''' <param name=""obj"">              {8}</param>
{0}''' <param name=""bExtValue"">        {9}</param>
{0}''' <param name=""bAppend"">          {10}</param>
{0}Public Overridable Sub LoadFromObject(obj As object, bExtValue As Boolean, bAppend As Boolean)
{0}    Dim fldInError As RepPP.FieldDef = Nothing

{0}    If Not m_typedRowsetTree.WebServicesUtil.LoadRowsetTreeFromObject(m_typedRowsetTree, bExtValue, bAppend, obj, fldInError)
{0}        throw new System.ApplicationException(""Error in deserialization. Field in error is '"" + fldInError.RowsetDef.Name + ""."" + fldInError.Name + ""'"")
{0}    End If
{0}End Sub
";

        const string m_strRowsetDefCode = 
@"
{0}''' <summary>
{0}''' {1}
{0}''' </summary>
{0}Public ReadOnly Property WebServicesManager() As WebServices
{0}    Get
{0}        If m_webServ Is Nothing Then
{0}            m_webServ = New WebServices(Me)
{0}        End If
{0}        Return m_webServ
{0}    End Get
{0}End Property

{0}''' <summary>
{0}''' {2}
{0}''' </summary>
{0}Public Class WebServices
{0}    ''' <summary>
{0}    ''' {3}
{0}    ''' </summary>
{0}    Private m_typedRowset As RepPP.TypedRowsetBase

{0}    ''' <summary>
{0}    ''' {4}
{0}    ''' </summary>
{0}    ''' <param name=""typedRowset"">{5}</param>
{0}    Public Sub New(ByVal typedRowset As RepPP.TypedRowsetBase)
{0}        m_typedRowset = typedRowset
{0}    End Sub

{6}

{7}
{0}End Class ' class WebServices
";

	    const string m_strRowsetDefFunc =
@"
{0}'''<summary>
{0}''' SaveToArrayOfObject:                  {2}
{0}'''</summary>
{0}''' <return>
{0}''' {3}
{0}''' </return>
{0}Public Overridable Function SaveToArrayOfObject() As {1}()
{0}    Return SaveToArrayOfObject(False, RepPP.WebServicesUtil.LineTypes.AllLine)
{0}End Function

{0}'''<summary>
{0}''' SaveToArrayOfObject:                {2}
{0}'''</summary>
{0}''' <param name=""bExtValue"">            {4}</param>
{0}''' <param name=""eLineType"">            {5}</param>
{0}''' <return>
{0}''' {3}
{0}''' </return>
{0}Public Overridable Function SaveToArrayOfObject(bExtValue As Boolean, eLineType As RepPP.WebServicesUtil.LineTypes) As {1}()
{0}    Return CType(m_typedRowset.WebServicesUtil.SaveRowsetToArrayOfObject(m_typedRowset, bExtValue, eLineType, GetType({1})), {1}())
{0}End Function

{0}'''<summary>
{0}''' SaveToArrayOfObject:                {2}
{0}'''</summary>
{0}''' <param name=""type"">                 {6}</param>
{0}''' <return>
{0}''' {3}
{0}''' </return>
{0}Public Overridable Function SaveToArrayOfObject(type As Type) As object()
{0}    Return SaveToArrayOfObject(false, RepPP.WebServicesUtil.LineTypes.AllLine, type)
{0}End Function

{0}'''<summary>
{0}''' SaveToArrayOfObject:                {2}
{0}'''</summary>
{0}''' <param name=""bExtValue"">            {4}</param>
{0}''' <param name=""eLineType"">            {5}</param>
{0}''' <param name=""type"">                 {6}</param>
{0}''' <return>
{0}''' {3}
{0}''' </return>
{0}Public Overridable Function SaveToArrayOfObject(bExtValue As Boolean, eLineType AS RepPP.WebServicesUtil.LineTypes, type AS Type) As object()
{0}    Return m_typedRowset.WebServicesUtil.SaveRowsetToArrayOfObject(m_typedRowset, bExtValue, eLineType, type)
{0}End Function

{0}'''<summary>
{0}''' LoadFromArrayOfObject:              {7}
{0}'''</summary>
{0}''' <param name=""arrObj"">               {8}</param>
{0}Public Overridable Sub LoadFromArrayOfObject(arrObj() As object)
{0}    LoadFromArrayOfObject(arrObj, False, False)
{0}End Sub

{0}'''<summary>
{0}''' LoadFromArrayOfObject:              {7}
{0}'''</summary>
{0}''' <param name=""arrObj"">               {8}</param>
{0}''' <param name=""bExtValue"">            {9}</param>
{0}''' <param name=""bAppend"">              {10}</param>
{0}Public Overridable Sub LoadFromArrayOfObject(arrObj() As object, bExtValue As Boolean, bAppend As Boolean)
{0}    Dim fldInError As RepPP.FieldDef = Nothing

{0}    if Not m_typedRowset.WebServicesUtil.LoadRowsetFromArrayOfObject(m_typedRowset, bExtValue, bAppend, arrObj, fldInError)
{0}        throw new System.ApplicationException(""Error in deserialization. Field in error is '"" + fldInError.RowsetDef.Name + ""."" + fldInError.Name + ""'"")
{0}    End If
{0}End Sub

{0}'''<summary>
{0}''' SaveLineToObject:                   {11}
{0}'''</summary>
{0}''' <param name=""iLineIndex"">           {13}</param>
{0}''' <return>
{0}''' {12}
{0}''' </return>
{0}Public Overridable Function SaveLineToObject(iLineIndex As Integer) As {1}
{0}    Return SaveLineToObject(iLineIndex, False)
{0}End Function

{0}'''<summary>
{0}''' SaveLineToObject:                   {11}
{0}'''</summary>
{0}''' <param name=""iLineIndex"">           {13}</param>
{0}''' <param name=""bExtValue"">            {14}</param>
{0}''' <return>
{0}''' {12}
{0}''' </return>
{0}Public Overridable Function SaveLineToObject(iLineIndex As Integer, bExtValue As Boolean) As {1}
{0}    Return CType(m_typedRowset.WebServicesUtil.SaveLineToObject(m_typedRowset, bExtValue, iLineIndex, GetType({1})), {1})
{0}End Function

{0}'''<summary>
{0}''' SaveLineToObject:                   {11}
{0}'''</summary>
{0}''' <param name=""iLineIndex"">           {13}</param>
{0}''' <param name=""type"">                 {15}</param>
{0}''' <return>
{0}''' {12}
{0}''' </return>
{0}Public Overridable Function SaveLineToObject(iLineIndex As Integer, type As Type) As object
{0}    Return m_typedRowset.WebServicesUtil.SaveLineToObject(m_typedRowset, False, iLineIndex, type)
{0}End Function

{0}'''<summary>
{0}''' SaveLineToObject:                   {11}
{0}'''</summary>
{0}''' <param name=""iLineIndex"">           {13}</param>
{0}''' <param name=""bExtValue"">            {14}</param>
{0}''' <param name=""type"">                 {15}</param>
{0}''' <return>
{0}''' {12}
{0}''' </return>
{0}Public Overridable Function SaveLineToObject(iLineIndex As Integer, bExtValue As Boolean, type As Type) As object
{0}    Return m_typedRowset.WebServicesUtil.SaveLineToObject(m_typedRowset, bExtValue, iLineIndex, type)
{0}End Function

{0}'''<summary>
{0}''' LoadLineFromObject:                 {16}
{0}'''</summary>
{0}''' <param name=""obj"">                  {18}</param>
{0}''' <param name=""iLineIndex"">           {19}</param>
{0}''' <return>
{0}''' {17}
{0}''' </return>
{0}Public Overridable Function LoadLineFromObject(obj As object, iLineIndex As Integer) As RepPP.LineState
{0}    Return LoadLineFromObject(obj, iLineIndex, False)
{0}End Function

{0}'''<summary>
{0}''' LoadLineFromObject:                 {16}
{0}'''</summary>
{0}''' <param name=""obj"">                  {18}</param>
{0}''' <param name=""iLineIndex"">           {19}</param>
{0}''' <param name=""bExtValue"">            {20}</param>
{0}''' <return>
{0}''' {17}
{0}''' </return>
{0}public Overridable Function LoadLineFromObject(obj As object, iLineIndex As Integer, bExtValue As Boolean) As RepPP.LineState
{0}    Return m_typedRowset.WebServicesUtil.LoadLineFromObject(m_typedRowset, bExtValue, iLineIndex, obj)
{0}End Function
";

        //*********************************************************	    
        //
	    /// <summary>
	    /// ctor:           Class constructor
	    /// </summary>
        //
        //*********************************************************
		public WebServicesGenForVB() {
		}

        //*********************************************************	    
        //
	    /// <summary>
	    /// GetTypeFromField:       Gets the type of a Rep++ field property
	    /// </summary>
	    /// <param name="fldDef">      Rep++ FieldDef</param>
        //
        //*********************************************************
        protected virtual string GetTypeFromField(RepPP.FieldDef fldDef) {
            string          strRetVal;
            RepPP.FieldType eType;
            
            if (AllPropertiesAsString) {
                strRetVal = "string";
            } else {
                eType = fldDef.Type;
                switch(eType) {
                case RepPP.FieldType.sdFieldDate:
                case RepPP.FieldType.sdFieldTime:
                case RepPP.FieldType.sdFieldDateTime:
                    strRetVal = "DateTime";
                    break;
                case RepPP.FieldType.sdFieldFormatString:
                case RepPP.FieldType.sdFieldHexa:
                case RepPP.FieldType.sdFieldMemo:
                case RepPP.FieldType.sdFieldMultiAlphaChoice:
                case RepPP.FieldType.sdFieldRaw:
                case RepPP.FieldType.sdFieldSimpleAlphaChoice:
                case RepPP.FieldType.sdFieldString:
                case RepPP.FieldType.sdFieldUpperString:
                    strRetVal = "String";
                    break;
                case RepPP.FieldType.sdFieldSimpleNumChoice:
                case RepPP.FieldType.sdFieldMultiNumChoice:
                    strRetVal = "int";
                    break;
                case RepPP.FieldType.sdFieldNumeric:
                    if (fldDef.MaxSize < 10) {
                        strRetVal = "Integer";
                    } else if (fldDef.MaxSize < 19) {
                        strRetVal = "Long";
                    } else {
                        strRetVal = "Decimal";
                    }
                    break;
                case RepPP.FieldType.sdFieldNumericDec:
                case RepPP.FieldType.sdFieldPercentage:
                case RepPP.FieldType.sdFieldPercentageDec:
                case RepPP.FieldType.sdFieldMoney:
                    strRetVal = "Decimal";
                    break;
                default:
                    throw new ApplicationException("Unknown Rep++ type " + eType.ToString());
                }
            }
            return(strRetVal);
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateField:              Generates a field
	    /// </summary>
	    /// <param name="strFieldType"> Field type</param>
	    /// <param name="strFieldName"> Field name</param>
	    /// <param name="strIndent">    Indentation to use</param>
	    /// <param name="strRem">       Remark</param>
        //
        //*********************************************************
        protected virtual string GenerateField(string strFieldType, string strFieldName, string strIndent, string strRem) {
            string  strRetVal;
            
	        strRetVal = strIndent + "    '<summary>" + PurifyRemark(strRem) + "</summary>\r\n" +
	                    strIndent +
	                    "    Private " +
                        strFieldName + " As " + 
	                    strFieldType +
	                    "\r\n";
            return(strRetVal);
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateField:              Generates a field for a Rep++ field
	    /// </summary>
	    /// <param name="fldDef">       Rep++ field definition</param>
	    /// <param name="strIndent">    Indentation to use</param>
        //
        //*********************************************************
        protected virtual string GenerateField(RepPP.FieldDef fldDef, string strIndent) {
	        return(GenerateField(GetTypeFromField(fldDef),
	                             "m_fld" + fldDef.Name,
	                             strIndent,
	                             fldDef.Prompt));
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateField:              Generates a field for a Rep++ node of the rowset tree definition
	    /// </summary>
	    /// <param name="node">         Node of the rowset tree definition</param>
	    /// <param name="strIndent">    Indentation to use</param>
        //
        //*********************************************************
        protected virtual string GenerateField(RepPP.RowsetTreeDefNode node, string strIndent) {
	        return(GenerateField(GenerateRowsetClassName(node, node.RowsetDef) + "()",
	                             "m_rowsetDef" + node.RowsetDef.Name,
	                             strIndent,
	                             "RowsetDef " + node.RowsetDef.Name));
       }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateProperty:                   Generates a property
	    /// </summary>
	    /// <param name="strPropType">          Property type</param>
	    /// <param name="strPropName">          Property name</param>
	    /// <param name="strFieldName">         Name of the field attached to the property</param>
	    /// <param name="strIndent">            Indentation to use</param>
	    /// <param name="strRem">               Remark</param>
        /// <param name="bUseWSDataContracts">  true to use DataContract</param>
        /// <returns>
	    /// Generated property code
	    /// </returns>
        //
        //*********************************************************
        protected virtual string GenerateProperty(string strPropType, string strPropName, string strFieldName, string strIndent, string strRem, bool bUseWSDataContracts) {
            string  strRetVal;
            
	        strRetVal = strIndent + "    '''<summary>" + PurifyRemark(strRem) + "</summary>\r\n" +
	                    (bUseWSDataContracts ? strIndent + "    <DataMember> _\r\n" : "") +
	                    strIndent + 
	                    "    Public Property " + 
	                    strPropName + 
	                    " As " + 
	                    strPropType +
	                    "\r\n" +
	                    strIndent +
	                    "        Get" + 
                        "\r\n" +
                        strIndent +
                        "            Return " + 
	                    strFieldName + 
                        "\r\n" +
                        strIndent +
                        "        End Get" + 
                        "\r\n" +
                        strIndent +
	                    "        Set" + 
                        "\r\n" +
                        strIndent + 
	                    "            " + strFieldName + " = value" + 
                        "\r\n" +
                        strIndent +
                        "        End Set" +
                        "\r\n" + 
	                    strIndent + 
	                    "    End Property\r\n";
            return(strRetVal);
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateProperty:                   Generates a property for a Rep++ field definition
	    /// </summary>
	    /// <param name="fldDef">               Rep++ field definition</param>
	    /// <param name="strIndent">            Indentation to use</param>
        /// <param name="bUseWSDataContracts">  true to use DataContract</param>
        //
        //*********************************************************
        protected virtual string GenerateProperty(RepPP.FieldDef fldDef, string strIndent, bool bUseWSDataContracts) {
            return(GenerateProperty(GetTypeFromField(fldDef),
                                    GenerateFieldPropName(fldDef),
                                    "m_fld" + fldDef.Name,
                                    strIndent,
                                    fldDef.Prompt,
                                    bUseWSDataContracts));
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateProperty:           Generates a property for a Rep++ node of the rowset tree definition
	    /// </summary>
	    /// <param name="node">         Node of the rowset tree definition</param>
	    /// <param name="strIndent">    Indentation to use</param>
        /// <param name="bUseWSDataContracts">  true to use DataContract</param>
        //
        //*********************************************************
        protected virtual string GenerateProperty(RepPP.RowsetTreeDefNode node, string strIndent, bool bUseWSDataContracts) {
            return(GenerateProperty(GenerateRowsetClassName(node, node.RowsetDef) + "()",
                                    GenerateChildRowsetPropName(node),
                                    "m_rowsetDef" + node.RowsetDef.Name,
                                    strIndent,
                                    "RowsetDef " + node.RowsetDef.Name,
                                    bUseWSDataContracts));
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateRowsetFields:       Generates fields to represent all Rep++ fields of a rowset
	    /// </summary>
	    /// <param name="node">         Node of the rowset tree definition if any</param>
	    /// <param name="rowsetDef">    Rowset definition</param>
	    /// <param name="strIndent">    Indentation to use</param>
        //
        //*********************************************************
        protected virtual string GenerateRowsetDefFields(RepPP.RowsetTreeDefNode node, RepPP.RowsetDef rowsetDef, string strIndent) {
            System.Text.StringBuilder   strRetVal;
            
	        strRetVal = new System.Text.StringBuilder("", 4096);
	        if (node != null) {
	            foreach (RepPP.RowsetTreeDefNode nodeChild in node.Nodes) {
	                strRetVal.Append(GenerateField(nodeChild, strIndent));
	            }
	        } else {
	            if (AddLineState) {
	                strRetVal.Append(GenerateField("Integer", "m_iLineState", strIndent, "Line state"));
	            }
	            foreach (RepPP.FieldDef fldDef in rowsetDef.FieldDefs) {
	                strRetVal.Append(GenerateField(fldDef, strIndent));
	            }
            }
	        return(strRetVal.ToString());
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateRowsetProperties:           Generates properties to represent all fields of a group
	    /// </summary>
	    /// <param name="node">                 Node of the rowset tree definition if any</param>
	    /// <param name="rowsetDef">            Rowset definition</param>
	    /// <param name="strIndent">            Indentation to use</param>
        /// <param name="bUseWSDataContracts">  true to use DataContract</param>
        //
        //*********************************************************
        protected virtual string GenerateRowsetProperties(RepPP.RowsetTreeDefNode node, RepPP.RowsetDef rowsetDef, string strIndent, bool bUseWSDataContracts) {
            System.Text.StringBuilder   strRetVal;
            
	        strRetVal = new System.Text.StringBuilder("", 4096);
	        if (node != null) {
	            foreach (RepPP.RowsetTreeDefNode nodeChild in node.Nodes) {
	                if (strRetVal.Length != 0) {
	                    strRetVal.Append("\r\n");
	                }
                    strRetVal.Append(GenerateProperty(nodeChild, strIndent, bUseWSDataContracts));
	            }
	        } else {
	            if (AddLineState) {
	                if (strRetVal.Length != 0) {
	                    strRetVal.Append("\r\n");
	                }
                    strRetVal.Append(GenerateProperty("Integer", "WSLineState", "m_iLineState", strIndent, "Line state", bUseWSDataContracts));
	            }
	            foreach (RepPP.FieldDef fldDef in rowsetDef.FieldDefs) {
	                if (strRetVal.Length != 0) {
	                    strRetVal.Append("\r\n");
	                }
                    strRetVal.Append(GenerateProperty(fldDef, strIndent, bUseWSDataContracts));
	            }
            }
	        return(strRetVal.ToString());
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateRowsetClass:                        Generates a class to use in Web Service to represent a rowset
	    /// </summary>
	    /// <param name="node">                         Node of the rowset tree definition if any</param>
	    /// <param name="rowsetDef">                    Rowset definition</param>
	    /// <param name="iIndent">                      Indentation to use</param>
	    /// <param name="strBaseClass">                 Base class</param>
        /// <param name="strTypedInstRowsetClassPrefix">Prefix for typed instances rowset class</param>
        /// <param name="bUseWSDataContracts">          true to use DataContract</param>
        //
        //*********************************************************
        protected virtual string GenerateRowsetClass(RepPP.RowsetTreeDefNode node, RepPP.RowsetDef rowsetDef, int iIndent, string strBaseClass, string strTypedInstRowsetClassPrefix, bool bUseWSDataContracts) {
            System.Text.StringBuilder   strRetVal;
            string                      strClassName;
            string                      strIndent;
            
	        strIndent       = "".PadRight(iIndent, ' ');
	        strClassName    = GenerateRowsetClassName(node, rowsetDef);
	        strRetVal       = new System.Text.StringBuilder("", 4096);
	        strRetVal.Append("\r\n");
	        strRetVal.Append(strIndent);
            strRetVal.Append(String.Format("///<summary>{0}</summary>\r\n", m_cmtResManager.GetClassDesc("TypedRowsetBase+WebServicesAdapter")));
            if (bUseWSDataContracts) {
                strRetVal.Append(strIndent);
                strRetVal.Append("<DataContract([Namespace] := \"http://www.consyst-sql.com/");
                strRetVal.Append(node == null ? "Rowset" : "RowsetTree");
                strRetVal.Append("\")> _\r\n");
                strRetVal.Append(strIndent);
                strRetVal.Append("<XmlType([Namespace] := \"http://www.consyst-sql.com/");
                strRetVal.Append(node == null ? "Rowset" : "RowsetTree");
                strRetVal.Append("\")> _\r\n");
            }
            strRetVal.Append(strIndent);
	        strRetVal.Append("Public Class ");
	        strRetVal.Append(strClassName);
	        strRetVal.Append((strBaseClass == null || strBaseClass == String.Empty) ? "" : "\r\n" +  strIndent + "    Inherits " + strBaseClass);
	        strRetVal.Append("\r\n");
	        strRetVal.Append(GenerateRowsetDefFields(node, rowsetDef, strIndent));
	        strRetVal.Append("\r\n");
	        strRetVal.Append(GenerateRowsetProperties(node, rowsetDef, strIndent, bUseWSDataContracts));
	        strRetVal.Append(strIndent);
	        strRetVal.Append("End Class ' Class ");
	        strRetVal.Append(strClassName);
	        strRetVal.Append("\r\n");
	        if (node != null) {
	            foreach (RepPP.RowsetTreeDefNode nodeChild in node.Nodes) {
	                strRetVal.Append(GenerateRowsetClass(nodeChild, 
                                                       nodeChild.RowsetDef,
                                                       iIndent,
                                                       GenerateRowsetBaseClassName(nodeChild, strTypedInstRowsetClassPrefix),
                                                       strTypedInstRowsetClassPrefix,
                                                       bUseWSDataContracts));
	            }
	        }
	        return(strRetVal.ToString());
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateRowsetClass:                        Generates a class to use in Web Service to represent a rowset 
	    /// </summary>
	    /// <param name="rowsetDef">                    Rowset definition</param>
	    /// <param name="iIndent">                      Indentation to use</param>
	    /// <param name="strBaseClass">                 Base class</param>
        /// <param name="strTypedInstRowsetClassPrefix">Prefix for Typed instance rowset class</param>
        /// <param name="bUseWSDataContracts">          true to use DataContract</param>
        //
        //*********************************************************
        public override string GenerateRowsetClass(RepPP.RowsetDef rowsetDef, int iIndent, string strBaseClass, string strTypedInstRowsetClassPrefix, bool bUseWSDataContracts) {
            return (GenerateRowsetClass(null, rowsetDef, iIndent, strBaseClass, strTypedInstRowsetClassPrefix, bUseWSDataContracts));
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateRowsetTreeClass:                    Generates a class to use in Web Service to represent a rowset tree
	    /// </summary>
	    /// <param name="rowsetTreeDef">                Rowset tree definition</param>
	    /// <param name="iIndent">                      Indentation to use</param>
	    /// <param name="strRowsetTreeDefBaseClass">    RowsetTreeDef Base class</param>
	    /// <param name="strRowsetDefBaseClass">        RowsetDef Base class</param>
        /// <param name="strTypedInstRowsetClassPrefix">Prefix for Typed instance rowset class</param>
        /// <param name="bUseWSDataContracts">          true to use DataContract</param>
        //
        //*********************************************************
        public override string GenerateRowsetTreeClass(RepPP.RowsetTreeDef rowsetTreeDef, int iIndent, string strRowsetTreeDefBaseClass, string strRowsetDefBaseClass, string strTypedInstRowsetClassPrefix, bool bUseWSDataContracts) {
            System.Text.StringBuilder   strRetVal;
            string                      strClassName;
            RowsetTreeDefNode           nodeRoot;
            string                      strIndent;

	        strIndent       = "".PadRight(iIndent, ' ');
	        strClassName    = GenerateRowsetTreeClassName(rowsetTreeDef);
	        nodeRoot        = rowsetTreeDef.Nodes[0];
	        strRetVal       = new System.Text.StringBuilder("", 4096);
	        strRetVal.Append(strIndent);
            strRetVal.Append(String.Format("///<summary>{0}</summary>\r\n", m_cmtResManager.GetClassDesc("TypedRowsetTreeBase+WebServicesAdapter")));
            if (bUseWSDataContracts) {
                strRetVal.Append(strIndent);
                strRetVal.Append("<DataContract([Namespace] := \"http://www.consyst-sql.com/RowsetTree\")> _\r\n");
                strRetVal.Append(strIndent);
                strRetVal.Append("<XmlType([Namespace] := \"http://www.consyst-sql.com/RowsetTree\")> _\r\n");
            }
            strRetVal.Append(strIndent);
	        strRetVal.Append("Public Class ");
	        strRetVal.Append(strClassName);
	        strRetVal.Append((strRowsetTreeDefBaseClass == null || strRowsetTreeDefBaseClass == String.Empty) ? "" : "\r\n" + strIndent + "    Inherits " + strRowsetTreeDefBaseClass);
            strRetVal.Append("\r\n");
	        strRetVal.Append(GenerateField(nodeRoot, strIndent));
	        strRetVal.Append("\r\n");
	        strRetVal.Append(GenerateProperty(nodeRoot, strIndent, bUseWSDataContracts));
	        strRetVal.Append(strIndent);
	        strRetVal.Append("End Class ' Class ");
	        strRetVal.Append(strClassName);
	        strRetVal.Append("\r\n");
	        strRetVal.Append(GenerateRowsetClass(nodeRoot, 
                                                nodeRoot.RowsetDef,
                                                iIndent,
                                                GenerateRowsetBaseClassName(nodeRoot, strTypedInstRowsetClassPrefix),
                                                strTypedInstRowsetClassPrefix,
                                                bUseWSDataContracts));
	        return(strRetVal.ToString());
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateRowsetTreeSerializationFunctions: Generates serialization function for the rowset tree
	    /// </summary>
	    /// <param name="strContainerClassName">Container class name</param>
	    /// <param name="rowsetTreeDef">        Rowset tree definition</param>
	    /// <param name="iIndent">              Indentation to use</param>
	    /// <returns>
	    /// Generated functions
	    /// </returns>
	    //
        //*********************************************************
        public override string GenerateRowsetTreeSerializationFunctions(string strContainerClassName, RepPP.RowsetTreeDef rowsetTreeDef, int iIndent) {
            string      strRetVal;
            string      strClassName;
            string      strIndent;

	        strIndent       = "".PadRight(iIndent, ' ');
	        strClassName    = /*strContainerClassName + "." +*/ GenerateRowsetTreeClassName(rowsetTreeDef);
	        strRetVal       = String.Format(m_strRowsetTreeDefFunc, 
                                            strIndent, 
                                            strClassName,
                                            m_cmtResManager.GetFuncDesc("TypedRowsetTreeBase+WebServices", "SaveToObject"),
                                            m_cmtResManager.GetFuncReturnDesc("TypedRowsetTreeBase+WebServices", "SaveToObject"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetTreeBase+WebServices", "SaveToObject", "bExtValue"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetTreeBase+WebServices", "SaveToObject", "eLineType"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetTreeBase+WebServices", "SaveToObject", "type"),
                                            m_cmtResManager.GetFuncDesc("TypedRowsetTreeBase+WebServices", "LoadFromObject"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetTreeBase+WebServices", "LoadFromObject", "obj"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetTreeBase+WebServices", "LoadFromObject", "bExtValue"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetTreeBase+WebServices", "LoadFromObject", "bAppend"));

	        return(strRetVal);
	    }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateRowsetSerializationFunctions:Generates serialization function for the rowset tree
	    /// </summary>
	    /// <param name="strContainerClassName">Container class name</param>
	    /// <param name="node">                 Node of the rowset tree definition</param>
	    /// <param name="rowsetDef">            Rowset definition</param>
	    /// <param name="iIndent">              Indentation to use</param>
	    /// <returns>
	    /// Generated functions
	    /// </returns>
	    //
        //*********************************************************
        public override string GenerateRowsetSerializationFunctions(string strContainerClassName, RepPP.RowsetTreeDefNode node, RepPP.RowsetDef rowsetDef, int iIndent) {
            string      strRetVal;
            string      strClassName;
            string      strIndent;

	        strIndent       = "".PadRight(iIndent, ' ');
	        strClassName    = /*strContainerClassName + "." + */ GenerateRowsetClassName(node, rowsetDef);
	        strRetVal       = String.Format(m_strRowsetDefFunc, 
                                            strIndent, 
                                            strClassName,
                                            m_cmtResManager.GetFuncDesc("TypedRowsetBase+WebServices", "SaveToArrayOfObject"),
                                            m_cmtResManager.GetFuncReturnDesc("TypedRowsetBase+WebServices", "SaveToArrayOfObject"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "SaveToArrayOfObject", "bExtValue"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "SaveToArrayOfObject", "eLineType"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "SaveToArrayOfObject", "type"),
                                            m_cmtResManager.GetFuncDesc("TypedRowsetBase+WebServices", "LoadFromArrayOfObject"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "LoadFromArrayOfObject", "arrObj"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "LoadFromArrayOfObject", "bExtValue"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "LoadFromArrayOfObject", "bAppend"),
                                            m_cmtResManager.GetFuncDesc("TypedRowsetBase+WebServices", "SaveLineToObject"),
                                            m_cmtResManager.GetFuncReturnDesc("TypedRowsetBase+WebServices", "SaveLineToObject"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "SaveLineToObject", "iLineIndex"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "SaveLineToObject", "bExtValue"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "SaveLineToObject", "type"),
                                            m_cmtResManager.GetFuncDesc("TypedRowsetBase+WebServices", "LoadLineFromObject"),
                                            m_cmtResManager.GetFuncReturnDesc("TypedRowsetBase+WebServices", "LoadLineFromObject"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "LoadLineFromObject", "obj"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "LoadLineFromObject", "iLineIndex"),
                                            m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "LoadLineFromObject", "bExtValue"));
	        return(strRetVal);
	    }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateRowsetCode:                         Generates Web services support code for the rowset
	    /// </summary>
	    /// <param name="strContainerClassName">        Container class name</param>
	    /// <param name="node">                         Node of the rowset tree definition</param>
	    /// <param name="rowsetDef">                    Rowset definition</param>
	    /// <param name="iIndent">                      Indentation to use</param>
	    /// <param name="strBaseClass">                 Base class</param>
        /// <param name="strTypedInstRowsetClassPrefix">Prefix for Typed instance rowset class</param>
        /// <param name="bUseWSDataContracts">          true to use DataContract</param>
        /// <returns>
	    /// Generated code
	    /// </returns>
	    //
        //*********************************************************
        public override string GenerateRowsetCode(string                    strContainerClassName,
                                                 RepPP.RowsetTreeDefNode    node,
                                                 RepPP.RowsetDef            rowsetDef,
                                                 int                        iIndent,
                                                 string                     strBaseClass,
                                                 string                     strTypedInstRowsetClassPrefix,
                                                 bool                       bUseWSDataContracts) {
            string      strRetVal;
            string      strIndent;
            string      strFunctionsCode;
            string      strClassCode;

            strIndent        = "".PadRight(iIndent, ' ');
            strFunctionsCode = GenerateRowsetSerializationFunctions(strContainerClassName, node, rowsetDef, iIndent + 4);
            strClassCode     = GenerateRowsetClass(node, rowsetDef, iIndent + 4, strBaseClass, strTypedInstRowsetClassPrefix, bUseWSDataContracts);
            strRetVal        = String.Format(m_strRowsetDefCode, 
                                             strIndent,
                                             m_cmtResManager.GetFuncDesc("TypedRowsetBase", "WebServicesManager"),
                                             m_cmtResManager.GetClassDesc("TypedRowsetBase+WebServices"),
                                             m_cmtResManager.GetMemberDesc("TypedRowsetBase+WebServices", "m_typedRowset"),
                                             m_cmtResManager.GetFuncDesc("TypedRowsetBase+WebServices", "Constructor"),
                                             m_cmtResManager.GetFuncParamDesc("TypedRowsetBase+WebServices", "Constructor", "typedRowset"),
                                             strFunctionsCode, 
                                             strClassCode); 
            return(strRetVal);
        }

        //*********************************************************	    
        //
	    /// <summary>
	    /// GenerateRowsetTreeCode:                     Generates Web services support code for the rowset tree
	    /// </summary>
	    /// <param name="strContainerClassName">        Container class name</param>
	    /// <param name="rowsetTreeDef">                Rowset tree definition</param>
	    /// <param name="iIndent">                      Indentation to use</param>
	    /// <param name="strRowsetTreeDefBaseClass">    RowsetTreeDef Base class</param>
	    /// <param name="strRowsetDefBaseClass">        RowsetDef Base class</param>
        /// <param name="strTypedInstRowsetClassPrefix">Prefix for Typed instance rowset class</param>
        /// <param name="bUseWSDataContracts">          true to use DataContract</param>
        /// <returns>
	    /// Generated code
	    /// </returns>
	    //
        //*********************************************************
        public override string GenerateRowsetTreeCode(string                strContainerClassName, 
                                                      RepPP.RowsetTreeDef   rowsetTreeDef,
                                                      int                   iIndent,
                                                      string                strRowsetTreeDefBaseClass,
                                                      string                strRowsetDefBaseClass,
                                                      string                strTypedInstRowsetClassPrefix,
                                                      bool                  bUseWSDataContracts) {
            string      strRetVal;
            string      strIndent;
            string      strFunctionsCode;
            string      strClassCode;

            strIndent        = "".PadRight(iIndent, ' ');
            strFunctionsCode = GenerateRowsetTreeSerializationFunctions(strContainerClassName, rowsetTreeDef, iIndent + 4);
            strClassCode     = GenerateRowsetTreeClass(rowsetTreeDef, iIndent + 4, strRowsetTreeDefBaseClass, strRowsetDefBaseClass, strTypedInstRowsetClassPrefix, bUseWSDataContracts);
            strRetVal        = String.Format(m_strRowsetTreeDefCode, 
                                             strIndent,
                                             m_cmtResManager.GetFuncDesc("TypedRowsetTreeBase", "WebServicesManager"),
                                             m_cmtResManager.GetClassDesc("TypedRowsetTreeBase+WebServices"),
                                             m_cmtResManager.GetMemberDesc("TypedRowsetTreeBase+WebServices", "m_typedRowsetTree"),
                                             m_cmtResManager.GetFuncDesc("TypedRowsetTreeBase+WebServices", "Constructor"),
                                             m_cmtResManager.GetFuncParamDesc("TypedRowsetTreeBase+WebServices", "Constructor", "typedRowsetTree"),
                                             strFunctionsCode, 
                                             strClassCode); 
            return(strRetVal);
        }
	}
}
