using System;
using System.Web;
using System.Web.UI;
using System.ComponentModel;

namespace RepPP.Toolkit.Web {
	/// <summary>
	/// Emulate a page with the PreInit event like the one found in ASP.Net 2.0
	/// </summary>
    public class PagePreInit : Page {

        //********************************************************************************
        /// <summary>
        /// FindControl             Searches the page naming container for a server control
        ///                         with the specified identifier.
        /// </summary>
        /// <param name="id">       id of the server control</param>
        /// <returns>The control if found, otherwise null</returns>
        //********************************************************************************
        public override Control FindControl(string id) {
            Control ctlRetVal;
            if (String.Compare(this.ID, id, true) == 0) {
                ctlRetVal = this;
            } else {
                if (Master == null) {
                    ctlRetVal = base.FindControl(id);
                } else {
                    ctlRetVal = Master.FindControl(id);
                    if (ctlRetVal == null) {
                        ctlRetVal = WebUtil.FindControlUsingID(Master.Controls, id);
                    }
                }
            }
            return(ctlRetVal);
        }
    }
}
