//*********************************************************
//
// EditFind:    The editor find form
//
// Author:		Maher Najah
//
// (c) 2002 by Consyst SQL Inc.
//
//
//*********************************************************
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace RepPP.Toolkit.Window.Ext {
    /// <summary>
    /// Summary description for SCFindForm.
    /// </summary>
    internal class EditFind : System.Windows.Forms.Form {
        private Edit                                m_edit;           // The attached editor

        private System.Windows.Forms.Label          lblFind;
        private System.Windows.Forms.CheckBox       chkCase;
        private System.Windows.Forms.GroupBox       grpDirection;
        private System.Windows.Forms.RadioButton    radUp;
        private System.Windows.Forms.RadioButton    radDown;
        private System.Windows.Forms.ComboBox       cbxFind;
        private System.Windows.Forms.Button         butNext;
        private System.Windows.Forms.Button         butCancel;
        private System.ComponentModel.Container     components = null;

        //*********************************************************	    
        //
        /// <summary>
        /// ctor:               Class constructor
        /// </summary>
        //
        //*********************************************************	    
        public EditFind() {
            InitializeComponent();
        }

        //*********************************************************	    
        //
        /// <summary>
        /// ctor:               Class constructor
        /// </summary>
        /// <param name="app">  Rep++ application object</param>
        //
        //*********************************************************	    
        public EditFind(RepPP.IApplication app) {
            InitializeComponent();
            chkCase.Checked      = false;
            radDown.Checked      = true;
            m_edit             = null;
            butNext.Click       += new System.EventHandler(this.OnNextClick);
            cbxFind.TextChanged += new System.EventHandler(this.OnFindTextChanged);
            butCancel.Click     += new System.EventHandler(this.OnCancelClick);
            this.Load           += new System.EventHandler(this.OnFormLoad);
            StringUtility.SetControlText(app, this);
        }

        //*********************************************************	    
        //
        /// <summary>
        // Dispose:                     Dispose the object
        /// </summary>
        /// <param name="bDisposing">   true if dispose, false if GC</param>
        //
        //*********************************************************	    
        protected override void Dispose(bool bDisposing) {
            if (bDisposing) {
                if (components != null) {
                    components.Dispose();
                }
                cbxFind.DataSource = null;
            }
            base.Dispose(bDisposing);
        }

		#region Windows Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent() {
            this.lblFind = new System.Windows.Forms.Label();
            this.butNext = new System.Windows.Forms.Button();
            this.butCancel = new System.Windows.Forms.Button();
            this.chkCase = new System.Windows.Forms.CheckBox();
            this.grpDirection = new System.Windows.Forms.GroupBox();
            this.radDown = new System.Windows.Forms.RadioButton();
            this.radUp = new System.Windows.Forms.RadioButton();
            this.cbxFind = new System.Windows.Forms.ComboBox();
            this.grpDirection.SuspendLayout();
            this.SuspendLayout();
            // 
            // lblFind
            // 
            this.lblFind.Location = new System.Drawing.Point(16, 28);
            this.lblFind.Name = "lblFind";
            this.lblFind.Size = new System.Drawing.Size(64, 16);
            this.lblFind.TabIndex = 0;
            this.lblFind.Text = "Find";
            // 
            // butNext
            // 
            this.butNext.Location = new System.Drawing.Point(330, 24);
            this.butNext.Name = "butNext";
            this.butNext.Size = new System.Drawing.Size(80, 24);
            this.butNext.TabIndex = 4;
            this.butNext.Text = "Next";
            // 
            // butCancel
            // 
            this.butCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.butCancel.Location = new System.Drawing.Point(330, 56);
            this.butCancel.Name = "butCancel";
            this.butCancel.Size = new System.Drawing.Size(80, 24);
            this.butCancel.TabIndex = 5;
            this.butCancel.Text = "Cancel";
            // 
            // chkCase
            // 
            this.chkCase.Location = new System.Drawing.Point(16, 80);
            this.chkCase.Name = "chkCase";
            this.chkCase.Size = new System.Drawing.Size(120, 24);
            this.chkCase.TabIndex = 2;
            this.chkCase.Text = "Match case";
            // 
            // grpDirection
            // 
            this.grpDirection.Controls.Add(this.radDown);
            this.grpDirection.Controls.Add(this.radUp);
            this.grpDirection.Location = new System.Drawing.Point(168, 64);
            this.grpDirection.Name = "grpDirection";
            this.grpDirection.Size = new System.Drawing.Size(150, 48);
            this.grpDirection.TabIndex = 3;
            this.grpDirection.TabStop = false;
            this.grpDirection.Text = "Direction";
            // 
            // radDown
            // 
            this.radDown.Location = new System.Drawing.Point(80, 16);
            this.radDown.Name = "radDown";
            this.radDown.Size = new System.Drawing.Size(64, 24);
            this.radDown.TabIndex = 1;
            this.radDown.Text = "Down";
            // 
            // radUp
            // 
            this.radUp.Location = new System.Drawing.Point(16, 16);
            this.radUp.Name = "radUp";
            this.radUp.Size = new System.Drawing.Size(56, 24);
            this.radUp.TabIndex = 0;
            this.radUp.Text = "Up";
            // 
            // cbxFind
            // 
            this.cbxFind.Location = new System.Drawing.Point(88, 24);
            this.cbxFind.Name = "cbxFind";
            this.cbxFind.Size = new System.Drawing.Size(232, 21);
            this.cbxFind.TabIndex = 1;
            // 
            // SCEditFind
            // 
            this.AcceptButton = this.butNext;
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.CancelButton = this.butCancel;
            this.ClientSize = new System.Drawing.Size(424, 128);
            this.Controls.Add(this.cbxFind);
            this.Controls.Add(this.grpDirection);
            this.Controls.Add(this.chkCase);
            this.Controls.Add(this.butCancel);
            this.Controls.Add(this.butNext);
            this.Controls.Add(this.lblFind);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
            this.Name = "SCEditFind";
            this.ShowInTaskbar = false;
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Find";
            this.grpDirection.ResumeLayout(false);
            this.ResumeLayout(false);

        }
		#endregion

        //*********************************************************
        //
        /// <summary>
        /// Edit:         Gets and sets attached editor
        /// </summary>
        // 
        //*********************************************************
        public Edit Edit {
            get {
                return m_edit;
            }
            set {
                m_edit = value;
            }
        }

        //*********************************************************
        //
        /// <summary>
        /// FindDataSource:      Gets and sets the find list items
        /// </summary>
        // 
        //*********************************************************
        public IList FindDataSource {
            get {
                return (IList)cbxFind.DataSource;
            }
            set {
                cbxFind.DataSource = value;
            }
        }

        //*********************************************************
        //
        /// <summary>
        /// FindText:      Gets and sets the find text
        /// </summary>
        // 
        //*********************************************************
        public string FindText {
            get {
                return cbxFind.Text;
            }
            set {
                cbxFind.Text = value;
                OnFindTextChanged(this, System.EventArgs.Empty);
            }
        }

        //*********************************************************	    
        //
        /// <summary>
        // OnFormLoad:            Handle form load event
        /// </summary>
        /// <param name="sender"> Sender          </param>
        /// <param name="e">      Event arguments </param>
        //
        //*********************************************************	    
        private void OnFormLoad(object sebder, System.EventArgs e) {
            if (m_edit != null) {
                string strCurWord = m_edit.GetCurWord();

                if (strCurWord != "") {
                    cbxFind.SelectedIndex = -1;
                    cbxFind.Text          = m_edit.GetCurWord();
                }
                OnFindTextChanged(this, System.EventArgs.Empty);
            }
        }


        //*********************************************************	    
        //
        /// <summary>
        // OnNextClick:            Handle button next click
        /// </summary>
        /// <param name="sender"> Sender          </param>
        /// <param name="e">      Event arguments </param>
        //
        //*********************************************************	    
        private void OnNextClick(object sebder, System.EventArgs e) {
            IList  listItems;
            int    iIndex;

            if (m_edit != null) {
                if (FindDataSource != null) {
                    listItems = FindDataSource;
                    iIndex    = listItems.IndexOf(cbxFind.Text);
                    if (iIndex == -1) {
                        if (listItems.Count == 20) {
                            listItems.RemoveAt(19);
                        }
                        listItems.Insert(0, cbxFind.Text);
                        FindDataSource = null;
                        FindDataSource = listItems;
                    } else if (iIndex > 0) {
                        listItems.RemoveAt(iIndex);
                        listItems.Insert(0, cbxFind.Text);
                        FindDataSource        = null;
                        FindDataSource        = listItems;
                    }
                    cbxFind.SelectedIndex = 0;
                }
                m_edit.FindText(cbxFind.Text, chkCase.Checked,radDown.Checked, true);
            }
        }

        //*********************************************************	    
        //
        /// <summary>
        // OnCancelClick:         Handle button cancel click
        /// </summary>
        /// <param name="sender"> Sender          </param>
        /// <param name="e">      Event arguments </param>
        //
        //*********************************************************	    
        private void OnCancelClick(object sender, System.EventArgs e) {
            this.Close();
        }

        //*********************************************************	    
        //
        /// <summary>
        // OnFindTextChanged:     Handle find combobox text changed event
        /// </summary>
        /// <param name="sender"> sender          </param>
        /// <param name="e">      Event arguments </param>
        //
        //*********************************************************	    
        private void OnFindTextChanged(object sender, System.EventArgs e) {
            butNext.Enabled = cbxFind.Text != "";
        }
    }
}
