//*********************************************************
//
// EditReplace:     The editor replace form
//
// Author:		    Maher Najah
//
// (c) 2002 by Consyst SQL Inc.
//
//
//*********************************************************
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace RepPP.Toolkit.Window.Ext {
    /// <summary>
    /// Summary description for SCReplaceForm.
    /// </summary>
    internal class EditReplace : System.Windows.Forms.Form {
        private Edit                                m_edit;           // The attached editor

        private System.Windows.Forms.Label          lblFind;
        private System.Windows.Forms.CheckBox       chkCase;
        private System.Windows.Forms.GroupBox       grpDirection;
        private System.Windows.Forms.RadioButton    radUp;
        private System.Windows.Forms.RadioButton    radDown;
        private System.Windows.Forms.Label          lblReplace;
        private System.Windows.Forms.ComboBox       cbxReplace;
        private System.Windows.Forms.ComboBox       cbxFind;
        private System.Windows.Forms.Button         butNext;
        private System.Windows.Forms.Button         butCancel;
        private System.Windows.Forms.Button         butReplaceAll;
        private System.Windows.Forms.Button butfrmReplace;
        private System.ComponentModel.Container     components = null;

        //*********************************************************	    
        //
        /// <summary>
        /// ctor:               Class constructor
        /// </summary>
        //
        //*********************************************************	    
        public EditReplace() {
            InitializeComponent();
        }

        //*********************************************************	    
        //
        /// <summary>
        /// ctor:               Class constructor
        /// </summary>
        //
        //*********************************************************	    
        public EditReplace(RepPP.IApplication app) {
            InitializeComponent();
            chkCase.Checked      = false;
            radDown.Checked      = true;
            m_edit             = null;
            butNext.Click       += new System.EventHandler(this.OnNextClick);
            butCancel.Click     += new System.EventHandler(this.OnCancelClick);
            cbxFind.TextChanged += new System.EventHandler(this.OnFindTextChanged);
            butfrmReplace.Click += new System.EventHandler(this.OnReplaceClick);
            butReplaceAll.Click += new System.EventHandler(this.OnReplaceAllClick);
            this.Load           += new System.EventHandler(this.OnFormLoad);
            StringUtility.SetControlText(app, this);
        }

        //*********************************************************	    
        //
        /// <summary>
        // Dispose:                     Dispose the object
        /// </summary>
        /// <param name="bDisposing">   true if dispose, false if GC</param>
        //
        //*********************************************************	    
        protected override void Dispose(bool bDisposing) {
            if (bDisposing) {
                if (components != null) {
                    components.Dispose();
                }
            }
            base.Dispose(bDisposing);
        }

		#region Windows Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent() {
            this.lblFind = new System.Windows.Forms.Label();
            this.butNext = new System.Windows.Forms.Button();
            this.butCancel = new System.Windows.Forms.Button();
            this.chkCase = new System.Windows.Forms.CheckBox();
            this.grpDirection = new System.Windows.Forms.GroupBox();
            this.radDown = new System.Windows.Forms.RadioButton();
            this.radUp = new System.Windows.Forms.RadioButton();
            this.butfrmReplace = new System.Windows.Forms.Button();
            this.butReplaceAll = new System.Windows.Forms.Button();
            this.lblReplace = new System.Windows.Forms.Label();
            this.cbxReplace = new System.Windows.Forms.ComboBox();
            this.cbxFind = new System.Windows.Forms.ComboBox();
            this.grpDirection.SuspendLayout();
            this.SuspendLayout();
            // 
            // lblFind
            // 
            this.lblFind.Location = new System.Drawing.Point(16, 32);
            this.lblFind.Name = "lblFind";
            this.lblFind.Size = new System.Drawing.Size(80, 16);
            this.lblFind.TabIndex = 0;
            this.lblFind.Text = "Find";
            // 
            // butNext
            // 
            this.butNext.Location = new System.Drawing.Point(336, 24);
            this.butNext.Name = "butNext";
            this.butNext.Size = new System.Drawing.Size(90, 24);
            this.butNext.TabIndex = 6;
            this.butNext.Text = "Next";
            // 
            // butCancel
            // 
            this.butCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.butCancel.Location = new System.Drawing.Point(336, 120);
            this.butCancel.Name = "butCancel";
            this.butCancel.Size = new System.Drawing.Size(90, 24);
            this.butCancel.TabIndex = 9;
            this.butCancel.Text = "Cancel";
            // 
            // chkCase
            // 
            this.chkCase.Location = new System.Drawing.Point(16, 120);
            this.chkCase.Name = "chkCase";
            this.chkCase.Size = new System.Drawing.Size(128, 24);
            this.chkCase.TabIndex = 4;
            this.chkCase.Text = "Match case";
            // 
            // grpDirection
            // 
            this.grpDirection.Controls.Add(this.radDown);
            this.grpDirection.Controls.Add(this.radUp);
            this.grpDirection.Location = new System.Drawing.Point(152, 104);
            this.grpDirection.Name = "grpDirection";
            this.grpDirection.Size = new System.Drawing.Size(168, 48);
            this.grpDirection.TabIndex = 5;
            this.grpDirection.TabStop = false;
            this.grpDirection.Text = "Direction";
            // 
            // radDown
            // 
            this.radDown.Location = new System.Drawing.Point(88, 16);
            this.radDown.Name = "radDown";
            this.radDown.Size = new System.Drawing.Size(72, 24);
            this.radDown.TabIndex = 1;
            this.radDown.Text = "Down";
            // 
            // radUp
            // 
            this.radUp.Location = new System.Drawing.Point(16, 16);
            this.radUp.Name = "radUp";
            this.radUp.Size = new System.Drawing.Size(64, 24);
            this.radUp.TabIndex = 0;
            this.radUp.Text = "Up";
            // 
            // butfrmReplace
            // 
            this.butfrmReplace.Location = new System.Drawing.Point(336, 56);
            this.butfrmReplace.Name = "butfrmReplace";
            this.butfrmReplace.Size = new System.Drawing.Size(90, 24);
            this.butfrmReplace.TabIndex = 7;
            this.butfrmReplace.Text = "Replace";
            // 
            // butReplaceAll
            // 
            this.butReplaceAll.Location = new System.Drawing.Point(336, 88);
            this.butReplaceAll.Name = "butReplaceAll";
            this.butReplaceAll.Size = new System.Drawing.Size(90, 24);
            this.butReplaceAll.TabIndex = 8;
            this.butReplaceAll.Text = "Replace All";
            // 
            // lblReplace
            // 
            this.lblReplace.Location = new System.Drawing.Point(16, 60);
            this.lblReplace.Name = "lblReplace";
            this.lblReplace.Size = new System.Drawing.Size(80, 16);
            this.lblReplace.TabIndex = 2;
            this.lblReplace.Text = "Replace With";
            // 
            // cbxReplace
            // 
            this.cbxReplace.Location = new System.Drawing.Point(104, 56);
            this.cbxReplace.Name = "cbxReplace";
            this.cbxReplace.Size = new System.Drawing.Size(216, 21);
            this.cbxReplace.TabIndex = 3;
            // 
            // cbxFind
            // 
            this.cbxFind.Location = new System.Drawing.Point(104, 24);
            this.cbxFind.Name = "cbxFind";
            this.cbxFind.Size = new System.Drawing.Size(216, 21);
            this.cbxFind.TabIndex = 1;
            // 
            // SCEditReplace
            // 
            this.AcceptButton = this.butNext;
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.CancelButton = this.butCancel;
            this.ClientSize = new System.Drawing.Size(442, 168);
            this.Controls.Add(this.cbxFind);
            this.Controls.Add(this.cbxReplace);
            this.Controls.Add(this.lblReplace);
            this.Controls.Add(this.butReplaceAll);
            this.Controls.Add(this.butfrmReplace);
            this.Controls.Add(this.grpDirection);
            this.Controls.Add(this.chkCase);
            this.Controls.Add(this.butCancel);
            this.Controls.Add(this.butNext);
            this.Controls.Add(this.lblFind);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
            this.Name = "SCEditReplace";
            this.ShowInTaskbar = false;
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Replace";
            this.TopMost = true;
            this.grpDirection.ResumeLayout(false);
            this.ResumeLayout(false);

        }
		#endregion

        //*********************************************************
        //
        /// <summary>
        /// Edit:       Gets and sets attached editor
        /// </summary>
        // 
        //*********************************************************
        public Edit Edit {
            get {
                return m_edit;
            }
            set {
                m_edit = value;
                if (m_edit != null) {
                    cbxFind.Text = m_edit.GetCurWord();
                    OnFindTextChanged(this, System.EventArgs.Empty);
                }
            }
        }

        //*********************************************************
        //
        /// <summary>
        /// FindDataSource:      Gets and sets the find list items
        /// </summary>
        // 
        //*********************************************************
        public IList FindDataSource {
            get {
                return (IList)cbxFind.DataSource;
            }
            set {
                cbxFind.DataSource = value;
            }
        }

        //*********************************************************
        //
        /// <summary>
        /// ReplaceDataSource:      Gets and sets the replace list items
        /// </summary>
        // 
        //*********************************************************
        public IList ReplaceDataSource {
            get {
                return (IList)cbxReplace.DataSource;
            }
            set {
                cbxReplace.DataSource = value;
            }
        }

        //*********************************************************
        //
        /// <summary>
        /// FindText:      Gets and sets the find text
        /// </summary>
        // 
        //*********************************************************
        public string FindText {
            get {
                return cbxFind.Text;
            }
            set {
                cbxFind.Text = value;
                OnFindTextChanged(this, System.EventArgs.Empty);
            }
        }

        //*********************************************************	    
        //
        /// <summary>
        // OnFormLoad:            Handle form load event
        /// </summary>
        /// <param name="sender"> Sender          </param>
        /// <param name="e">      Event arguments </param>
        //
        //*********************************************************	    
        private void OnFormLoad(object sebder, System.EventArgs e) {
            if (m_edit != null) {
                string strCurWord = m_edit.GetCurWord();

                if (strCurWord != "") {
                    cbxFind.SelectedIndex = -1;
                    cbxFind.Text          = m_edit.GetCurWord();
                }
                OnFindTextChanged(this, System.EventArgs.Empty);
            }
        }

        //*********************************************************	    
        //
        /// <summary>
        // OnNextClick:           Handle button next click
        /// </summary>
        /// <param name="sender"> Sender          </param>
        /// <param name="e">      Event arguments </param>
        //
        //*********************************************************	    
        private void OnNextClick(object sebder, System.EventArgs e) {
            if (m_edit != null) {
                UpdateFindList();
                m_edit.FindText(cbxFind.Text, chkCase.Checked,radDown.Checked, true);
            }
        }

        //*********************************************************	    
        //
        /// <summary>
        // OnCancelClick:         Handle button next click
        /// </summary>
        /// <param name="sender"> sender          </param>
        /// <param name="e">      Event arguments </param>
        //
        //*********************************************************	    
        private void OnCancelClick(object sender, System.EventArgs e) {
            this.Close(); 
        }

        //*********************************************************	    
        //
        /// <summary>
        // OnReplaceClick:        Handle button Replace click
        /// </summary>
        /// <param name="sender"> Sender          </param>
        /// <param name="e">      Event arguments </param>
        //
        //*********************************************************	    
        private void OnReplaceClick(object sebder, System.EventArgs e) {
            string strCurWord;

            if (m_edit != null) {
                UpdateFindList();
                UpdateReplaceList();
                strCurWord = m_edit.GetCurWord();
                if (chkCase.Checked) {
                    if (strCurWord == cbxFind.Text) {
                        m_edit.ReplaceSelText(cbxReplace.Text);
                    }
                } else {
                    if (strCurWord.ToUpper() == cbxFind.Text.ToUpper()) {
                        m_edit.ReplaceSelText(cbxReplace.Text);
                    }
                }
                m_edit.FindText(cbxFind.Text, chkCase.Checked,radDown.Checked, true);
            }
        }

        //*********************************************************	    
        //
        /// <summary>
        // UpdateFindList:        Update the find list
        /// </summary>
        //
        //*********************************************************	    
        private void UpdateFindList() {
            IList  listItems;
            int    iIndex;

            if (m_edit != null) {
                if (FindDataSource != null) {
                    listItems = FindDataSource;
                    iIndex    = listItems.IndexOf(cbxFind.Text);
                    if (iIndex == -1) {
                        if (listItems.Count == 20) {
                            listItems.RemoveAt(19);
                        }
                        listItems.Insert(0, cbxFind.Text);
                        FindDataSource = null;
                        FindDataSource = listItems;
                    } else if (iIndex > 0) {
                        listItems.RemoveAt(iIndex);
                        listItems.Insert(0, cbxFind.Text);
                        FindDataSource        = null;
                        FindDataSource        = listItems;
                        cbxFind.SelectedIndex = 0;
                    }
                }
            }
        }

    //*********************************************************	    
    //
    /// <summary>
    // UpdateReplaceList:        Update the find list
    /// </summary>
    //
    //*********************************************************	    
        private void UpdateReplaceList() {
            IList  listItems;
            int    iIndex;

            if (m_edit != null) {
                if (ReplaceDataSource != null && cbxReplace.Text != "") {
                    listItems = ReplaceDataSource;
                    iIndex    = listItems.IndexOf(cbxReplace.Text);
                    if (iIndex == -1) {
                        if (listItems.Count == 20) {
                            listItems.RemoveAt(19);
                        }
                        listItems.Insert(0, cbxReplace.Text);
                        ReplaceDataSource = null;
                        ReplaceDataSource = listItems;
                    } else if (iIndex > 0) {
                        listItems.RemoveAt(iIndex);
                        listItems.Insert(0, cbxReplace.Text);
                        ReplaceDataSource        = null;
                        ReplaceDataSource        = listItems;
                        cbxReplace.SelectedIndex = 0;
                    }
                }
            }
        }

        //*********************************************************	    
        //
        /// <summary>
        // OnReplaceAllClick:      Handle button Replace All click
        /// </summary>
        /// <param name="sender">  Sender          </param>
        /// <param name="e">       Event arguments </param>
        //
        //*********************************************************	    
        private void OnReplaceAllClick(object sebder, System.EventArgs e) {
            string strCurWord;

            if (m_edit != null) {
                UpdateFindList();
                UpdateReplaceList();
                while (m_edit.FindText(cbxFind.Text, chkCase.Checked,radDown.Checked, true)) {
                    strCurWord = m_edit.GetCurWord();
                    if (chkCase.Checked) {
                        if (strCurWord == cbxFind.Text) {
                            m_edit.ReplaceSelText(cbxReplace.Text);
                        }
                    } else {
                        if (strCurWord.ToUpper() == cbxFind.Text.ToUpper()) {
                            m_edit.ReplaceSelText(cbxReplace.Text);
                        }
                    }
                }
            }
        }

        //*********************************************************	    
        //
        /// <summary>
        // OnFindTextChanged:     Handle find combobox text changed event
        /// </summary>
        /// <param name="sender"> Sender          </param>
        /// <param name="e">      Event arguments </param>
        //
        //*********************************************************	    
        private void OnFindTextChanged(object sender, System.EventArgs e) {
            butNext.Enabled       = cbxFind.Text != "";
            butfrmReplace.Enabled = cbxFind.Text != "";
            butReplaceAll.Enabled = cbxFind.Text != "";
        }
    }
}
