//*********************************************************
//
// EditToolBar:     The editor toolbar control
//
// Author:		    Maher Najah
//
// (c) 2002 by Consyst SQL Inc.
//
//
//*********************************************************
using System;
using RepPP;
using RepPP.Toolkit.Window;

namespace RepPP.Toolkit.Window.Ext {
	/// <summary>
	/// Summary description for EditToolBar.
	/// </summary>
	public class EditToolBar : ToolBarExt {
        private System.Windows.Forms.ImageList      imageListSmall;
        private System.ComponentModel.IContainer    components;
        private System.Windows.Forms.ToolBarButton  butDelLine;
        private System.Windows.Forms.ToolBarButton  butDelEOL;
        private System.Windows.Forms.ToolBarButton  butJoinLine;
        private System.Windows.Forms.ToolBarButton  butDuplicLine;
        private System.Windows.Forms.ToolBarButton  butCut;
        private System.Windows.Forms.ToolBarButton  butCopy;
        private System.Windows.Forms.ToolBarButton  butPaste;
        private System.Windows.Forms.ToolBarButton  butUndo;
        private System.Windows.Forms.ToolBarButton  butRedo;
        private System.Windows.Forms.ToolBarButton  butIndentStr;
        private System.Windows.Forms.ToolBarButton  butSep1;
        private System.Windows.Forms.ToolBarButton  butSep2;
        private System.Windows.Forms.ToolBarButton  butSep3;
        private System.Windows.Forms.ToolBarButton  butIndentTab;
        private System.Windows.Forms.ToolBarButton  butOutdentTab;
        private System.Windows.Forms.ToolBarButton  butFind;
        private System.Windows.Forms.ToolBarButton  butReplace;
        private System.Windows.Forms.ToolBarButton  butSep4;

        private Edit                                m_edit;       // The attached editor
        //*********************************************************	    
        //
        /// <summary>
        /// ctor:               Class constructor
        /// </summary>
        //
        //*********************************************************	    
        public EditToolBar() {
            InitializeComponent();
            m_edit = null;
        }

        //*********************************************************	    
        //
        /// <summary>
        // Dispose:                     Dispose the object
        /// </summary>
        /// <param name="bDisposing">   true if dispose, false if GC</param>
        //
        //*********************************************************	    
        protected override void Dispose(bool bDisposing ) {
            if (bDisposing) {
                if (components != null) {
                    components.Dispose();
                    m_edit = null;
                }
            }
            base.Dispose(bDisposing);
        }

		#region Component Designer generated code
        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent() {
            this.components = new System.ComponentModel.Container();
            System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(EditToolBar));
            this.butDelLine = new System.Windows.Forms.ToolBarButton();
            this.butDelEOL = new System.Windows.Forms.ToolBarButton();
            this.butJoinLine = new System.Windows.Forms.ToolBarButton();
            this.butDuplicLine = new System.Windows.Forms.ToolBarButton();
            this.butCut = new System.Windows.Forms.ToolBarButton();
            this.butCopy = new System.Windows.Forms.ToolBarButton();
            this.butPaste = new System.Windows.Forms.ToolBarButton();
            this.butUndo = new System.Windows.Forms.ToolBarButton();
            this.butRedo = new System.Windows.Forms.ToolBarButton();
            this.butIndentStr = new System.Windows.Forms.ToolBarButton();
            this.imageListSmall = new System.Windows.Forms.ImageList(this.components);
            this.butSep1 = new System.Windows.Forms.ToolBarButton();
            this.butSep2 = new System.Windows.Forms.ToolBarButton();
            this.butSep3 = new System.Windows.Forms.ToolBarButton();
            this.butIndentTab = new System.Windows.Forms.ToolBarButton();
            this.butOutdentTab = new System.Windows.Forms.ToolBarButton();
            this.butSep4 = new System.Windows.Forms.ToolBarButton();
            this.butFind = new System.Windows.Forms.ToolBarButton();
            this.butReplace = new System.Windows.Forms.ToolBarButton();
            // 
            // butDelLine
            // 
            this.butDelLine.ImageIndex = 2;
            this.butDelLine.ToolTipText = "Delete Line";
            // 
            // butDelEOL
            // 
            this.butDelEOL.ImageIndex = 3;
            this.butDelEOL.ToolTipText = "Delete to End of Line";
            // 
            // butJoinLine
            // 
            this.butJoinLine.ImageIndex = 5;
            this.butJoinLine.ToolTipText = "Join Line";
            // 
            // butDuplicLine
            // 
            this.butDuplicLine.ImageIndex = 4;
            this.butDuplicLine.ToolTipText = "Duplicate Line";
            // 
            // butCut
            // 
            this.butCut.ImageIndex = 1;
            this.butCut.ToolTipText = "Cut";
            // 
            // butCopy
            // 
            this.butCopy.ImageIndex = 0;
            this.butCopy.ToolTipText = "Copy";
            // 
            // butPaste
            // 
            this.butPaste.ImageIndex = 9;
            this.butPaste.ToolTipText = "Paste";
            // 
            // butUndo
            // 
            this.butUndo.ImageIndex = 11;
            this.butUndo.ToolTipText = "Undo";
            // 
            // butRedo
            // 
            this.butRedo.ImageIndex = 10;
            this.butRedo.ToolTipText = "Redo";
            // 
            // butIndentStr
            // 
            this.butIndentStr.ImageIndex = 7;
            this.butIndentStr.ToolTipText = "Indent With String...";
            // 
            // imageListSmall
            // 
            this.imageListSmall.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
            this.imageListSmall.ImageSize = new System.Drawing.Size(16, 16);
            this.imageListSmall.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageListSmall.ImageStream")));
            this.imageListSmall.TransparentColor = System.Drawing.Color.White;
            // 
            // butSep1
            // 
            this.butSep1.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
            // 
            // butSep2
            // 
            this.butSep2.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
            // 
            // butSep3
            // 
            this.butSep3.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
            // 
            // butIndentTab
            // 
            this.butIndentTab.ImageIndex = 6;
            this.butIndentTab.ToolTipText = "Indent Selection";
            // 
            // butOutdentTab
            // 
            this.butOutdentTab.ImageIndex = 8;
            this.butOutdentTab.ToolTipText = "Outdent Selection";
            // 
            // butSep4
            // 
            this.butSep4.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
            // 
            // butFind
            // 
            this.butFind.ImageIndex = 12;
            this.butFind.ToolTipText = "Find";
            // 
            // butReplace
            // 
            this.butReplace.ImageIndex = 17;
            this.butReplace.ToolTipText = "Replace";
            // 
            // SCEditToolBar
            // 
            this.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
            this.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
                                                                               this.butDelLine,
                                                                               this.butDelEOL,
                                                                               this.butJoinLine,
                                                                               this.butDuplicLine,
                                                                               this.butSep1,
                                                                               this.butCut,
                                                                               this.butCopy,
                                                                               this.butPaste,
                                                                               this.butSep2,
                                                                               this.butUndo,
                                                                               this.butRedo,
                                                                               this.butSep3,
                                                                               this.butIndentTab,
                                                                               this.butOutdentTab,
                                                                               this.butIndentStr,
                                                                               this.butSep4,
                                                                               this.butFind,
                                                                               this.butReplace});
            this.ButtonSize = new System.Drawing.Size(23, 22);
            this.ImageList = this.imageListSmall;
            this.Size = new System.Drawing.Size(100, 204);

        }
        #endregion
    

        //*********************************************************
        //
        /// <summary>
        /// Edit:         Gets and sets attached editor
        /// </summary>
        // 
        //*********************************************************
        public Edit Edit {
            get {
                return m_edit;
            }
            set {
                if (value != null) {
                    m_edit = value;
                    RegisterTrigger(m_edit.CommandHolder);
                }
            }
        }

        //*********************************************************	    
        //
        /// <summary>
        ///	RegisterTrigger:        Register the button to the command holder
        /// </summary>
        //	
        //*********************************************************	    
        private void RegisterTrigger(CmdHolder cmdHolder) {            
            cmdHolder.AddTrigger(null, "Copy",       new object[] {butCopy});
            cmdHolder.AddTrigger(null, "Cut",        new object[] {butCut});
            cmdHolder.AddTrigger(null, "Paste",      new object[] {butPaste});
            cmdHolder.AddTrigger(null, "Undo",       new object[] {butUndo});
            cmdHolder.AddTrigger(null, "Redo",       new object[] {butRedo});
            cmdHolder.AddTrigger(null, "DelLine",    new object[] {butDelLine});
            cmdHolder.AddTrigger(null, "DelEol",     new object[] {butDelEOL});
            cmdHolder.AddTrigger(null, "JoinLine",   new object[] {butJoinLine});
            cmdHolder.AddTrigger(null, "DuplicLine", new object[] {butDuplicLine});
            cmdHolder.AddTrigger(null, "OutdentTab", new object[] {butOutdentTab});
            cmdHolder.AddTrigger(null, "IndentTab",  new object[] {butIndentTab});
            cmdHolder.AddTrigger(null, "IndentStr",  new object[] {butIndentStr});
            cmdHolder.AddTrigger(null, "Find",       new object[] {butFind});
            cmdHolder.AddTrigger(null, "Replace",    new object[] {butReplace});
        }

        //*********************************************************	    
        //
        /// <summary>
        ///	OnButtonClick
        /// </summary>
        //	
        //*********************************************************
        protected override void OnButtonClick(System.Windows.Forms.ToolBarButtonClickEventArgs e) {
            CmdHolder   cmdHolder;
            
            if (m_edit != null) {
                cmdHolder = m_edit.CommandHolder;
                if (cmdHolder != null) {
                    cmdHolder.ExecuteCmd(e.Button);
                }
            }
            base.OnButtonClick(e);
        }    
    }
}
