using System;
using RepPP.Toolkit.Window;
using DevComponents.DotNetBar;

namespace RepPP.Toolkit.Window.Ext {
    //******************************************************************        
    //
	/// <summary>
	/// This base class implements controls text translator of a form which
	/// contains .Net Bar components. It also consider the Edit as a 
	/// container class and let the components of this class to be translated.
	/// // TODO: Rename this class ExtControlTextTranslator
	/// </summary>
	//
    //******************************************************************        
	public class ExtControlTextTranslator : BarControlTextTranslator {

        //*********************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        /// <param name="app">          Rep++ application object</param>
        /// <param name="arrAtomName">  Array of atoms</param>
        //
        //*********************************************************        
		public ExtControlTextTranslator(RepPP.IApplication app, string [] arrAtomName) : base(app, arrAtomName) {
		}

        //*********************************************************
        //
        /// <summary>
        /// ctor:                           Class constructor
        /// </summary>
        /// <param name="app">              Rep++ application object</param>
        /// <param name="arrAtomName">      Array of atoms</param>
        /// <param name="fatherTranslator"> Father translator</param>
        //
        //*********************************************************        
		public ExtControlTextTranslator(RepPP.IApplication       app, 
                                        string []                arrAtomName, 
                                        ControlTextTranslator    fatherTranslator) : base(app, arrAtomName, fatherTranslator)
		{
        }

        //*********************************************************
        //
        /// <summary>
        /// IsObjectContainsComponent:  Check if the object can contains other objects
        /// </summary>
        /// <returns>
        /// True:
        /// False:
        /// </returns>
        //
        //*********************************************************        
        protected override bool IsObjectContainsComponent(object obj) {
            bool    bRetVal;
            
            if (obj is Edit) {
                bRetVal = true;
            } else {
                bRetVal = base.IsObjectContainsComponent(obj);
            }
            return(bRetVal);
        }
	}
}
