using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using RepPP;
using RepPP.Toolkit.Window;

namespace RepPP.Toolkit.Window.Ext {
	/// <summary>
	/// Form editor toolbar.
	/// </summary>
	public class FormEditToolBar : ToolBarExt	{
        private const int MENU_ALIGNL               = 813;
        private const int MENU_ALIGNCH              = 814;
        private const int MENU_ALIGNR               = 815;
        private const int MENU_ALIGNU               = 816;
        private const int MENU_ALIGNCV              = 817;
        private const int MENU_ALIGND               = 818;
        private const int MENU_SPACEV               = 819;
        private const int MENU_SPACEH               = 820;
        private const int MENU_SAMESIZEH            = 821;
        private const int MENU_SAMESIZEV            = 822;

        private const int MENU_MODE_SELECT          = 880;
        private const int MENU_MODE_STATIC          = 881;
        private const int MENU_MODE_GROUP           = 882;
        private const int MENU_MODE_BUTTON          = 883;
        private const int MENU_MODE_FRAME           = 884;
        private const int MENU_MODE_RECT            = 885;
        private const int MENU_MODE_BLOBCTL         = 886;
        private const int MENU_MODE_POS             = 887;
        private const int MENU_MODE_LIST            = 888;
        private const int MENU_MODE_COMBO           = 889;
        private const int MENU_MODE_RADIO           = 890;
        private const int MENU_MODE_CHECK           = 891;
        private const int MENU_MODE_EDIT            = 892;
        private const int MENU_MODE_FMT             = 893;
        private const int MENU_MODE_FMTDATE         = 894;
        private const int MENU_COMPONENT            = 895;

        private System.Windows.Forms.ToolBarButton  butSelect;
        private System.Windows.Forms.ToolBarButton  butList;
        private System.Windows.Forms.ToolBarButton  butCombo;
        private System.Windows.Forms.ToolBarButton  butRadio;
        private System.Windows.Forms.ToolBarButton  butCheck;
        private System.Windows.Forms.ToolBarButton  butText;
        private System.Windows.Forms.ToolBarButton  butFmt;
        private System.Windows.Forms.ToolBarButton  butFmtDate;
        private System.Windows.Forms.ImageList      imageList1;
        private System.Windows.Forms.ToolBarButton  butLabel;
        private System.Windows.Forms.ToolBarButton  butGroup;
        private System.Windows.Forms.ToolBarButton  butButton;
        private System.Windows.Forms.ToolBarButton  butShape;
        private System.Windows.Forms.ToolBarButton  butBlob;
        private System.Windows.Forms.ToolBarButton  butComponent;
        private System.Windows.Forms.ToolBarButton  butRectangle;
        private System.Windows.Forms.ToolBarButton  butPosition;
        private System.Windows.Forms.ToolBarButton  Sep4;
        private System.Windows.Forms.ToolBarButton  butAlignD;
        private System.Windows.Forms.ToolBarButton  butAlignL;
        private System.Windows.Forms.ToolBarButton  butAlignR;
        private System.Windows.Forms.ToolBarButton  butAlignU;
        private System.Windows.Forms.ToolBarButton  butAlignCH;
        private System.Windows.Forms.ToolBarButton  butAlignCV;
        private System.Windows.Forms.ToolBarButton  butSameH;
        private System.Windows.Forms.ToolBarButton  butSameV;
        private System.Windows.Forms.ToolBarButton  Sep1;
        private System.Windows.Forms.ToolBarButton  Sep2;
        private System.Windows.Forms.ToolBarButton  Sep3;
        private System.Windows.Forms.ToolBarButton  Sep5;
        private System.ComponentModel.IContainer    components;

        //******************************************************************        
        //
        /// <summary>
        /// ctor:                   Class constructor
        /// </summary>
        //
        //******************************************************************        
		public FormEditToolBar() {
			InitializeComponent();
            this.butAlignL.Tag      = Convert.ToString(MENU_ALIGNL);
            this.butAlignR.Tag      = Convert.ToString(MENU_ALIGNR);
            this.butAlignCH.Tag     = Convert.ToString(MENU_ALIGNCH);
            this.butAlignU.Tag      = Convert.ToString(MENU_ALIGNU);
            this.butAlignD.Tag      = Convert.ToString(MENU_ALIGND);
            this.butAlignCV.Tag     = Convert.ToString(MENU_ALIGNCV);
            this.butSameH.Tag       = Convert.ToString(MENU_SAMESIZEH);
            this.butSameV.Tag       = Convert.ToString(MENU_SAMESIZEV);
            this.butSelect.Tag      = Convert.ToString(MENU_MODE_SELECT);
            this.butList.Tag        = Convert.ToString(MENU_MODE_LIST);
            this.butCombo.Tag       = Convert.ToString(MENU_MODE_COMBO);
            this.butRadio.Tag       = Convert.ToString(MENU_MODE_RADIO);
            this.butCheck.Tag       = Convert.ToString(MENU_MODE_CHECK);
            this.butText.Tag        = Convert.ToString(MENU_MODE_EDIT);
            this.butFmt.Tag         = Convert.ToString(MENU_MODE_FMT);
            this.butFmtDate.Tag     = Convert.ToString(MENU_MODE_FMTDATE);
            this.butBlob.Tag        = Convert.ToString(MENU_MODE_BLOBCTL);
            this.butLabel.Tag       = Convert.ToString(MENU_MODE_STATIC);
            this.butGroup.Tag       = Convert.ToString(MENU_MODE_GROUP);
            this.butButton.Tag      = Convert.ToString(MENU_MODE_BUTTON);
            this.butShape.Tag       = Convert.ToString(MENU_MODE_FRAME);
            this.butRectangle.Tag   = Convert.ToString(MENU_MODE_RECT);
            this.butPosition.Tag    = Convert.ToString(MENU_MODE_POS);
            this.butComponent.Tag   = Convert.ToString(MENU_COMPONENT);
            this.butSelect.Pushed   = true;
		}

        //*********************************************************	    
        //
        /// <summary>
        // Dispose:                     Dispose the editor
        /// </summary>
        /// <param name="bDisposing">   true if dispose, false if GC </param>
        //
        //*********************************************************	    
        protected override void Dispose(bool bDisposing ) {
            if (bDisposing) {
				if(components != null) {
					components.Dispose();
				}
            }
            base.Dispose(bDisposing);
        }

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormEditToolBar));
            this.butAlignL = new System.Windows.Forms.ToolBarButton();
            this.butAlignR = new System.Windows.Forms.ToolBarButton();
            this.butAlignCH = new System.Windows.Forms.ToolBarButton();
            this.Sep1 = new System.Windows.Forms.ToolBarButton();
            this.butAlignU = new System.Windows.Forms.ToolBarButton();
            this.butAlignD = new System.Windows.Forms.ToolBarButton();
            this.butAlignCV = new System.Windows.Forms.ToolBarButton();
            this.Sep2 = new System.Windows.Forms.ToolBarButton();
            this.butSameH = new System.Windows.Forms.ToolBarButton();
            this.butSameV = new System.Windows.Forms.ToolBarButton();
            this.Sep3 = new System.Windows.Forms.ToolBarButton();
            this.butSelect = new System.Windows.Forms.ToolBarButton();
            this.butList = new System.Windows.Forms.ToolBarButton();
            this.butCombo = new System.Windows.Forms.ToolBarButton();
            this.butRadio = new System.Windows.Forms.ToolBarButton();
            this.butCheck = new System.Windows.Forms.ToolBarButton();
            this.butText = new System.Windows.Forms.ToolBarButton();
            this.butFmt = new System.Windows.Forms.ToolBarButton();
            this.butFmtDate = new System.Windows.Forms.ToolBarButton();
            this.Sep4 = new System.Windows.Forms.ToolBarButton();
            this.butLabel = new System.Windows.Forms.ToolBarButton();
            this.butGroup = new System.Windows.Forms.ToolBarButton();
            this.butButton = new System.Windows.Forms.ToolBarButton();
            this.butShape = new System.Windows.Forms.ToolBarButton();
            this.butRectangle = new System.Windows.Forms.ToolBarButton();
            this.butBlob = new System.Windows.Forms.ToolBarButton();
            this.butPosition = new System.Windows.Forms.ToolBarButton();
            this.Sep5 = new System.Windows.Forms.ToolBarButton();
            this.butComponent = new System.Windows.Forms.ToolBarButton();
            this.imageList1 = new System.Windows.Forms.ImageList(this.components);
            // 
            // butAlignL
            // 
            this.butAlignL.ImageIndex = 11;
            this.butAlignL.ToolTipText = "Align Left";
            // 
            // butAlignR
            // 
            this.butAlignR.ImageIndex = 12;
            this.butAlignR.ToolTipText = "Align Right";
            // 
            // butAlignCH
            // 
            this.butAlignCH.ImageIndex = 9;
            this.butAlignCH.ToolTipText = "Align Center Horizontal";
            // 
            // Sep1
            // 
            this.Sep1.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
            // 
            // butAlignU
            // 
            this.butAlignU.ImageIndex = 13;
            this.butAlignU.ToolTipText = "Align Top";
            // 
            // butAlignD
            // 
            this.butAlignD.ImageIndex = 10;
            this.butAlignD.ToolTipText = "Align Bottom";
            // 
            // butAlignCV
            // 
            this.butAlignCV.ImageIndex = 8;
            this.butAlignCV.ToolTipText = "Align Center Vertical";
            // 
            // Sep2
            // 
            this.Sep2.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
            // 
            // butSameH
            // 
            this.butSameH.ImageIndex = 5;
            this.butSameH.ToolTipText = "Resize Width";
            // 
            // butSameV
            // 
            this.butSameV.ImageIndex = 6;
            this.butSameV.ToolTipText = "Resize Height";
            // 
            // Sep3
            // 
            this.Sep3.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
            // 
            // butSelect
            // 
            this.butSelect.ImageIndex = 4;
            this.butSelect.ToolTipText = "Selection Mode";
            // 
            // butList
            // 
            this.butList.ImageIndex = 22;
            this.butList.ToolTipText = "Insert List Box";
            // 
            // butCombo
            // 
            this.butCombo.ImageIndex = 16;
            this.butCombo.ToolTipText = "Insert Combo Box";
            // 
            // butRadio
            // 
            this.butRadio.ImageIndex = 2;
            this.butRadio.ToolTipText = "Insert Radio Button";
            // 
            // butCheck
            // 
            this.butCheck.ImageIndex = 15;
            this.butCheck.ToolTipText = "Insert Check Box";
            // 
            // butText
            // 
            this.butText.ImageIndex = 7;
            this.butText.ToolTipText = "Insert Edit Box";
            // 
            // butFmt
            // 
            this.butFmt.ImageIndex = 17;
            this.butFmt.ToolTipText = "Insert Formatted Edit Box";
            // 
            // butFmtDate
            // 
            this.butFmtDate.ImageIndex = 18;
            this.butFmtDate.ToolTipText = "Insert Date";
            // 
            // Sep4
            // 
            this.Sep4.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
            // 
            // butLabel
            // 
            this.butLabel.ImageIndex = 21;
            this.butLabel.ToolTipText = "Insert Static Text";
            // 
            // butGroup
            // 
            this.butGroup.ImageIndex = 20;
            this.butGroup.ToolTipText = "Insert RowsetDef Box";
            // 
            // butButton
            // 
            this.butButton.ImageIndex = 14;
            this.butButton.ToolTipText = "Insert Button";
            // 
            // butShape
            // 
            this.butShape.ImageIndex = 19;
            this.butShape.ToolTipText = "Insert Frame";
            // 
            // butRectangle
            // 
            this.butRectangle.ImageIndex = 3;
            this.butRectangle.ToolTipText = "Insert Rectangle";
            // 
            // butBlob
            // 
            this.butBlob.ImageIndex = 1;
            this.butBlob.ToolTipText = "Insert BLOB Control";
            // 
            // butPosition
            // 
            this.butPosition.ImageIndex = 23;
            this.butPosition.ToolTipText = "Insert Position Control";
            // 
            // Sep5
            // 
            this.Sep5.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
            // 
            // butComponent
            // 
            this.butComponent.ImageIndex = 0;
            this.butComponent.ToolTipText = "Component";
            // 
            // imageList1
            // 
            this.imageList1.ImageSize = new System.Drawing.Size(16, 16);
            this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
            this.imageList1.TransparentColor = System.Drawing.Color.Red;
            // 
            // SCFormEditToolBar
            // 
            this.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
            this.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
                                                                               this.butAlignL,
                                                                               this.butAlignR,
                                                                               this.butAlignCH,
                                                                               this.Sep1,
                                                                               this.butAlignU,
                                                                               this.butAlignD,
                                                                               this.butAlignCV,
                                                                               this.Sep2,
                                                                               this.butSameH,
                                                                               this.butSameV,
                                                                               this.Sep3,
                                                                               this.butSelect,
                                                                               this.butList,
                                                                               this.butCombo,
                                                                               this.butRadio,
                                                                               this.butCheck,
                                                                               this.butText,
                                                                               this.butFmt,
                                                                               this.butFmtDate,
                                                                               this.Sep4,
                                                                               this.butLabel,
                                                                               this.butGroup,
                                                                               this.butButton,
                                                                               this.butShape,
                                                                               this.butRectangle,
                                                                               this.butBlob,
                                                                               this.butPosition,
                                                                               this.Sep5,
                                                                               this.butComponent});
            this.Divider = false;
            this.ImageList = this.imageList1;
            this.Location = new System.Drawing.Point(8, 8);
            this.Size = new System.Drawing.Size(616, 26);
            this.TabIndex = 25;

        }
		#endregion


        //*********************************************************	    
        //
        /// <summary>
        /// WndProc:            Override the window proc to redraw the disable button correctly.
        /// </summary>
        /// <param name="msg">  Message</param>
        //	
        //*********************************************************	    
        protected override void WndProc(ref System.Windows.Forms.Message msg) {
            System.Drawing.Graphics         gr;
            SCFormToolBarButton             scFormBut;
            
            base.WndProc(ref msg);
            if (msg.Msg == 15) {
                gr = CreateGraphics();
                foreach(System.Windows.Forms.ToolBarButton but in Buttons) {
                    if (but is RepPP.SCFormToolBarButton) {
                        scFormBut = (but as RepPP.SCFormToolBarButton);
                        if (scFormBut.BitMapImage != null) {
                            gr.DrawImage(scFormBut.BitMapImage, but.Rectangle.X + 4, but.Rectangle.Y + 3);
                        }
                    }
                }
                gr.Dispose();
            }
        }
	} // Class FormEditToolBar
} // Namespace
